;
; aztecadv
;
; Animation
; 2 frames
; - 24*32 pixels each
; - 384 bytes each
; 768 bytes total
;

; Infos
data_aztecadv_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	12*2*32	; Total number of data frames bytes

; Animation
data_aztecadv_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_aztecadv_desc:
.db     "NINO                           ", 0
;        ^         ^         ^         ^

; Palette
data_aztecadv_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$3C	; (R:0 G:3 B:3)
.db	$03	; (R:3 G:0 B:0)
.db	$07	; (R:3 G:1 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$2F	; (R:3 G:3 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_aztecadv_tiles:
; Frame 0
data_aztecadv_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$03, $00, $00, $00
.db	$04, $00, $03, $00
.db	$05, $01, $02, $00
.db	$05, $01, $02, $00
.db	$05, $01, $02, $00
.db	$0B, $00, $04, $00
.db	$17, $07, $08, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $00, $00, $00
.db	$00, $00, $FF, $00
.db	$FE, $F6, $01, $00
.db	$FE, $F8, $01, $00
.db	$FE, $FE, $01, $00
.db	$FF, $00, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $00, $05, $00
.db	$FF, $06, $0F, $00
.db	$FF, $04, $1D, $00
.db	$7F, $00, $D5, $00
.db	$37, $08, $E3, $00
.db	$FB, $0D, $68, $00
.db	$F7, $0C, $24, $00
.db	$76, $0C, $24, $00
.db	$96, $6C, $64, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$40, $00, $80, $00
.db	$A0, $80, $40, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$40, $00, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $01, $01, $00
.db	$04, $03, $03, $00
.db	$04, $03, $03, $00
.db	$0F, $07, $00, $00
.db	$08, $07, $07, $00
.db	$12, $0F, $05, $00
.db	$18, $0F, $07, $00
.db	$17, $0E, $08, $00
.db	$0A, $05, $05, $00
.db	$1F, $08, $00, $00
.db	$1F, $0E, $00, $00
.db	$0F, $07, $00, $00
.db	$07, $00, $00, $00
;;; x: 8-15
.db	$96, $6C, $64, $00
.db	$17, $EC, $E4, $00
.db	$17, $EC, $E4, $00
.db	$33, $D2, $CC, $00
.db	$1D, $E0, $EE, $00
.db	$2D, $C0, $DE, $00
.db	$3F, $C0, $C0, $00
.db	$E1, $DE, $00, $00
.db	$5F, $BE, $9E, $00
.db	$5F, $BE, $9E, $00
.db	$FF, $80, $00, $00
.db	$EF, $00, $07, $00
.db	$C7, $01, $02, $00
.db	$07, $03, $00, $00
.db	$83, $01, $00, $00
.db	$01, $00, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$60, $00, $00, $00
.db	$E0, $40, $00, $00
.db	$E0, $C0, $00, $00
.db	$E0, $C0, $00, $00
.db	$C0, $80, $00, $00
.db	$80, $00, $00, $00

; Frame 1
data_aztecadv_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$04, $00, $03, $00
.db	$05, $01, $02, $00
.db	$05, $01, $02, $00
.db	$05, $01, $02, $00
.db	$0B, $00, $04, $00
.db	$17, $07, $08, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$00, $00, $FF, $00
.db	$FE, $F6, $01, $00
.db	$FE, $F8, $01, $00
.db	$FE, $FE, $01, $00
.db	$FF, $00, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $00, $05, $00
.db	$FF, $06, $0F, $00
.db	$FF, $04, $1D, $00
.db	$7F, $00, $D5, $00
.db	$37, $08, $E3, $00
.db	$FB, $0D, $68, $00
.db	$F7, $0C, $24, $00
.db	$76, $0C, $24, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$40, $00, $80, $00
.db	$A0, $80, $40, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$40, $00, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $01, $01, $00
.db	$02, $01, $01, $00
.db	$04, $03, $03, $00
.db	$07, $03, $00, $00
.db	$04, $03, $03, $00
.db	$09, $07, $02, $00
.db	$08, $07, $07, $00
.db	$0F, $06, $00, $00
.db	$15, $0A, $0A, $00
.db	$0A, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$96, $6C, $64, $00
.db	$96, $6C, $64, $00
.db	$17, $EC, $E4, $00
.db	$17, $EC, $E4, $00
.db	$33, $D2, $CC, $00
.db	$1D, $E0, $EE, $00
.db	$2D, $C0, $DE, $00
.db	$BF, $C0, $40, $00
.db	$61, $DE, $80, $00
.db	$5F, $BE, $9E, $00
.db	$DF, $3E, $1E, $00
.db	$7F, $80, $80, $00
.db	$F8, $00, $30, $00
.db	$7C, $38, $00, $00
.db	$7E, $3C, $00, $00
.db	$7E, $00, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

