;
; bakabon
;
; Animation
; 3 frames
; - 24*32 pixels each
; - 384 bytes each
; 1152 bytes total
;

; Infos
data_bakabon_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	12*3*32	; Total number of data frames bytes

; Animation
data_bakabon_anim:
.db     4          ; Number of animation frames
.db     6          ; Animation Speed
.db     0, 1, 2, 1 ; Animation

; Description:
data_bakabon_desc:
.db     "BAKABON                        ", 0
;        ^         ^         ^         ^

; Palette
data_bakabon_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$06	; (R:2 G:1 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$3E	; (R:2 G:3 B:3)
.db	$17	; (R:3 G:1 B:1)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_bakabon_tiles:
; Frame 0
data_bakabon_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$02, $00, $01, $00
.db	$05, $01, $03, $00
.db	$06, $02, $01, $00
.db	$05, $00, $02, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $02, $00
.db	$05, $02, $02, $00
.db	$02, $01, $01, $00
.db	$02, $01, $01, $00
.db	$02, $01, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$0D, $00, $00, $00
.db	$F6, $04, $0D, $00
.db	$BD, $28, $6A, $00
.db	$D6, $C4, $ED, $00
.db	$3F, $00, $C0, $00
.db	$FF, $00, $20, $00
.db	$CF, $30, $30, $00
.db	$C0, $3F, $40, $00
.db	$92, $6D, $6D, $00
.db	$00, $FF, $FF, $00
.db	$15, $EA, $EA, $00
.db	$1F, $E0, $A0, $00
.db	$00, $FF, $6A, $00
.db	$3F, $C0, $40, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$20, $C0, $C0, $00
.db	$20, $C0, $C0, $00
.db	$C0, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0C, $00, $03, $00
.db	$18, $00, $07, $00
.db	$25, $19, $1A, $00
.db	$47, $38, $38, $00
.db	$7D, $00, $30, $00
.db	$31, $00, $00, $00
.db	$05, $00, $00, $00
.db	$0B, $04, $04, $00
.db	$17, $09, $0C, $00
.db	$17, $0B, $00, $00
.db	$17, $0B, $08, $00
.db	$1B, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$11, $FF, $D5, $00
.db	$C1, $3E, $3E, $00
.db	$7F, $01, $80, $00
.db	$17, $03, $E9, $00
.db	$3F, $23, $E3, $00
.db	$9F, $9F, $7F, $00
.db	$FF, $00, $00, $00
.db	$24, $DB, $00, $00
.db	$3D, $C3, $00, $00
.db	$FE, $1D, $00, $00
.db	$FF, $7E, $00, $00
.db	$FF, $30, $00, $00
.db	$F0, $80, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$40, $80, $00, $00
.db	$80, $00, $00, $00
.db	$E0, $80, $00, $00
.db	$D8, $40, $20, $00
.db	$A4, $18, $58, $00
.db	$F4, $08, $18, $00
.db	$9C, $00, $00, $00
.db	$40, $80, $00, $00
.db	$E0, $C0, $00, $00
.db	$20, $C0, $00, $00
.db	$70, $E0, $00, $00
.db	$90, $60, $00, $00
.db	$60, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_bakabon_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$02, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$05, $01, $03, $00
.db	$0A, $02, $07, $00
.db	$0D, $04, $02, $00
.db	$0B, $00, $04, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0E, $01, $05, $00
.db	$0A, $05, $05, $00
.db	$04, $03, $03, $00
.db	$04, $03, $02, $00
.db	$04, $03, $02, $00
.db	$02, $01, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$1B, $00, $00, $00
.db	$ED, $09, $1B, $00
.db	$7B, $51, $D5, $00
.db	$AD, $89, $DB, $00
.db	$7F, $00, $80, $00
.db	$FF, $00, $40, $00
.db	$9F, $60, $60, $00
.db	$81, $7E, $80, $00
.db	$25, $DA, $DA, $00
.db	$01, $FE, $FE, $00
.db	$2B, $D4, $D5, $00
.db	$3E, $C1, $41, $00
.db	$00, $FF, $D5, $00
.db	$7F, $80, $80, $00
.db	$22, $FF, $AA, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$40, $80, $80, $00
.db	$40, $80, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$03, $00, $00, $00
.db	$04, $00, $03, $00
.db	$08, $00, $07, $00
.db	$12, $00, $0D, $00
.db	$1F, $00, $00, $00
.db	$11, $0E, $0E, $00
.db	$1D, $02, $0E, $00
.db	$0E, $01, $00, $00
.db	$02, $01, $00, $00
.db	$03, $00, $00, $00
.db	$03, $01, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$83, $7C, $7C, $00
.db	$FF, $02, $00, $00
.db	$2C, $04, $D3, $00
.db	$7F, $46, $C6, $00
.db	$BF, $BE, $7E, $00
.db	$FF, $00, $00, $00
.db	$49, $B6, $00, $00
.db	$49, $B6, $00, $00
.db	$49, $B6, $00, $00
.db	$FF, $00, $00, $00
.db	$FE, $FC, $00, $00
.db	$FE, $EC, $00, $00
.db	$FC, $08, $00, $00
.db	$08, $F0, $E0, $00
.db	$84, $78, $58, $00
.db	$7C, $00, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$40, $00, $80, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_bakabon_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$02, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$05, $01, $03, $00
.db	$0A, $02, $07, $00
.db	$0D, $04, $02, $00
.db	$0B, $00, $04, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0E, $01, $05, $00
.db	$0A, $05, $05, $00
.db	$04, $03, $03, $00
.db	$04, $03, $02, $00
.db	$04, $03, $02, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$1B, $00, $00, $00
.db	$ED, $09, $1B, $00
.db	$7B, $51, $D5, $00
.db	$AD, $89, $DB, $00
.db	$7F, $00, $80, $00
.db	$FF, $00, $40, $00
.db	$9F, $60, $60, $00
.db	$81, $7E, $80, $00
.db	$25, $DA, $DA, $00
.db	$01, $FE, $FE, $00
.db	$2B, $D4, $D5, $00
.db	$3E, $C1, $41, $00
.db	$00, $FF, $D5, $00
.db	$7F, $80, $80, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$40, $80, $80, $00
.db	$40, $80, $80, $00
.db	$80, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$02, $01, $01, $00
.db	$07, $00, $00, $00
.db	$08, $00, $07, $00
.db	$10, $00, $0F, $00
.db	$17, $00, $08, $00
.db	$18, $07, $07, $00
.db	$0E, $01, $07, $00
.db	$07, $00, $00, $00
.db	$0E, $01, $00, $00
.db	$16, $09, $08, $00
.db	$2F, $12, $18, $00
.db	$2F, $17, $00, $00
.db	$2F, $17, $10, $00
.db	$37, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$22, $FF, $AA, $00
.db	$83, $7C, $7C, $00
.db	$FF, $02, $00, $00
.db	$2D, $04, $D2, $00
.db	$7F, $46, $C6, $00
.db	$BF, $3E, $7E, $00
.db	$FF, $00, $00, $00
.db	$4A, $B5, $00, $00
.db	$4A, $B5, $00, $00
.db	$4F, $B2, $00, $00
.db	$FF, $0F, $00, $00
.db	$FF, $F0, $00, $00
.db	$F0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$20, $C0, $00, $00
.db	$F0, $E0, $00, $00
.db	$10, $E0, $00, $00
.db	$B8, $70, $00, $00
.db	$C8, $30, $00, $00
.db	$30, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

