;
; bublbobl
;
; Animation
; 4 frames
; - 32*16 pixels each
; - 256 bytes each
; 1024 bytes total
;

; Infos
data_bublbobl_infos:
.db	4, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	8*4*32	; Total number of data frames bytes

; Animation
data_bublbobl_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_bublbobl_desc:
.db     "BUB & BOB                      ", 0
;        ^         ^         ^         ^

; Palette
data_bublbobl_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$38	; (R:0 G:2 B:3)
.db	$0C	; (R:0 G:3 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_bublbobl_tiles:
; Frame 0
data_bublbobl_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$1F, $00, $1E, $00
.db	$0F, $00, $0C, $00
.db	$07, $00, $00, $00
.db	$3F, $00, $38, $00
.db	$1F, $00, $11, $00
.db	$0F, $00, $03, $00
.db	$3F, $00, $33, $00
.db	$1F, $00, $11, $00
.db	$0B, $00, $04, $00
.db	$11, $00, $0E, $00
.db	$91, $00, $0E, $00
.db	$F3, $00, $6C, $00
.db	$7E, $00, $01, $00
.db	$3C, $00, $03, $00
;;; x: 8-15
.db	$80, $00, $80, $00
.db	$C0, $00, $C0, $00
.db	$F0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $68, $68, $00
.db	$FC, $EC, $C4, $00
.db	$FC, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $68, $68, $00
.db	$FC, $FC, $10, $00
.db	$FC, $00, $00, $00
.db	$F8, $78, $78, $00
.db	$9C, $9C, $FC, $00
.db	$0C, $0C, $FE, $00
.db	$18, $18, $FC, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $01, $01, $00
.db	$00, $1F, $1E, $00
.db	$00, $0F, $0C, $00
.db	$00, $07, $00, $00
.db	$00, $3F, $38, $00
.db	$00, $1F, $11, $00
.db	$00, $0F, $03, $00
.db	$00, $3F, $33, $00
.db	$00, $1F, $11, $00
.db	$00, $0B, $04, $00
.db	$00, $11, $0E, $00
.db	$00, $91, $0E, $00
.db	$00, $F3, $6C, $00
.db	$00, $7E, $01, $00
.db	$00, $3C, $03, $00
;;; x: 24-31
.db	$00, $80, $80, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $00, $00
.db	$00, $F8, $00, $00
.db	$68, $FC, $68, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$68, $FE, $68, $00
.db	$FC, $FC, $10, $00
.db	$00, $FC, $00, $00
.db	$78, $F8, $78, $00
.db	$9C, $9C, $FC, $00
.db	$0C, $0C, $FE, $00
.db	$18, $18, $FC, $00

; Frame 1
data_bublbobl_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$1F, $00, $1E, $00
.db	$0F, $00, $0C, $00
.db	$07, $00, $00, $00
.db	$3F, $00, $38, $00
.db	$1F, $00, $11, $00
.db	$0F, $00, $03, $00
.db	$3F, $00, $33, $00
.db	$1F, $00, $11, $00
.db	$0B, $00, $04, $00
.db	$11, $00, $0E, $00
.db	$91, $00, $0E, $00
.db	$F3, $00, $6C, $00
.db	$7E, $00, $01, $00
.db	$3C, $00, $03, $00
;;; x: 8-15
.db	$80, $00, $80, $00
.db	$C0, $00, $C0, $00
.db	$F0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $68, $68, $00
.db	$FC, $EC, $C4, $00
.db	$FC, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $68, $68, $00
.db	$FC, $FC, $10, $00
.db	$FC, $00, $00, $00
.db	$F8, $78, $78, $00
.db	$FC, $FC, $FC, $00
.db	$7C, $7C, $FE, $00
.db	$38, $38, $FF, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $01, $01, $00
.db	$00, $1F, $1E, $00
.db	$00, $0F, $0C, $00
.db	$00, $07, $00, $00
.db	$00, $3F, $38, $00
.db	$00, $1F, $11, $00
.db	$00, $0F, $03, $00
.db	$00, $3F, $33, $00
.db	$00, $1F, $11, $00
.db	$00, $0B, $04, $00
.db	$00, $11, $0E, $00
.db	$00, $91, $0E, $00
.db	$00, $F3, $6C, $00
.db	$00, $7E, $01, $00
.db	$00, $3C, $03, $00
;;; x: 24-31
.db	$00, $80, $80, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $00, $00
.db	$00, $F8, $00, $00
.db	$68, $FC, $68, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$68, $FE, $68, $00
.db	$FC, $FC, $10, $00
.db	$00, $FC, $00, $00
.db	$78, $F8, $78, $00
.db	$FC, $FC, $FC, $00
.db	$7C, $7C, $FE, $00
.db	$38, $38, $FF, $00

; Frame 2
data_bublbobl_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$1F, $00, $1E, $00
.db	$0F, $00, $0C, $00
.db	$07, $00, $00, $00
.db	$3F, $00, $38, $00
.db	$1F, $00, $11, $00
.db	$0F, $00, $03, $00
.db	$3F, $00, $33, $00
.db	$1F, $00, $11, $00
.db	$0B, $00, $04, $00
.db	$11, $00, $0E, $00
.db	$11, $00, $0E, $00
.db	$33, $00, $2C, $00
.db	$7E, $00, $41, $00
.db	$FC, $00, $03, $00
;;; x: 8-15
.db	$80, $00, $80, $00
.db	$C0, $00, $C0, $00
.db	$F0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $68, $68, $00
.db	$FC, $EC, $C4, $00
.db	$FC, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $68, $68, $00
.db	$FC, $FC, $10, $00
.db	$FC, $00, $00, $00
.db	$F8, $78, $78, $00
.db	$9C, $9C, $FC, $00
.db	$0C, $0C, $FE, $00
.db	$18, $18, $FC, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $01, $01, $00
.db	$00, $1F, $1E, $00
.db	$00, $0F, $0C, $00
.db	$00, $07, $00, $00
.db	$00, $3F, $38, $00
.db	$00, $1F, $11, $00
.db	$00, $0F, $03, $00
.db	$00, $3F, $33, $00
.db	$00, $1F, $11, $00
.db	$00, $0B, $04, $00
.db	$00, $11, $0E, $00
.db	$00, $11, $0E, $00
.db	$00, $33, $2C, $00
.db	$00, $7E, $41, $00
.db	$00, $FC, $03, $00
;;; x: 24-31
.db	$00, $80, $80, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $00, $00
.db	$00, $F8, $00, $00
.db	$68, $FC, $68, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$68, $FE, $68, $00
.db	$FC, $FC, $10, $00
.db	$00, $FC, $00, $00
.db	$78, $F8, $78, $00
.db	$9C, $9C, $FC, $00
.db	$0C, $0C, $FE, $00
.db	$18, $18, $FC, $00

; Frame 3
data_bublbobl_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$1F, $00, $1E, $00
.db	$0F, $00, $0C, $00
.db	$07, $00, $00, $00
.db	$3F, $00, $38, $00
.db	$1F, $00, $11, $00
.db	$0F, $00, $03, $00
.db	$3F, $00, $33, $00
.db	$1F, $00, $11, $00
.db	$0B, $00, $04, $00
.db	$11, $00, $0E, $00
.db	$11, $00, $0E, $00
.db	$33, $00, $2C, $00
.db	$7E, $00, $41, $00
.db	$FC, $00, $03, $00
;;; x: 8-15
.db	$80, $00, $80, $00
.db	$C0, $00, $C0, $00
.db	$F0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $68, $68, $00
.db	$FC, $EC, $C4, $00
.db	$FC, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $EC, $C4, $00
.db	$FE, $68, $68, $00
.db	$FC, $FC, $10, $00
.db	$FC, $00, $00, $00
.db	$F8, $78, $78, $00
.db	$FC, $FC, $FC, $00
.db	$7C, $7C, $FE, $00
.db	$38, $38, $FF, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $01, $01, $00
.db	$00, $1F, $1E, $00
.db	$00, $0F, $0C, $00
.db	$00, $07, $00, $00
.db	$00, $3F, $38, $00
.db	$00, $1F, $11, $00
.db	$00, $0F, $03, $00
.db	$00, $3F, $33, $00
.db	$00, $1F, $11, $00
.db	$00, $0B, $04, $00
.db	$00, $11, $0E, $00
.db	$00, $11, $0E, $00
.db	$00, $33, $2C, $00
.db	$00, $7E, $41, $00
.db	$00, $FC, $03, $00
;;; x: 24-31
.db	$00, $80, $80, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $00, $00
.db	$00, $F8, $00, $00
.db	$68, $FC, $68, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FC, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$EC, $FE, $C4, $00
.db	$68, $FE, $68, $00
.db	$FC, $FC, $10, $00
.db	$00, $FC, $00, $00
.db	$78, $F8, $78, $00
.db	$FC, $FC, $FC, $00
.db	$7C, $7C, $FE, $00
.db	$38, $38, $FF, $00

