;
; fntzone1
;
; Animation
; 2 frames
; - 16*16 pixels each
; - 128 bytes each
; 256 bytes total
;

; Infos
data_fntzone1_infos:
.db	2, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	4	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	4*2*32	; Total number of data frames bytes

; Animation
data_fntzone1_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_fntzone1_desc:
.db     "OPA OPA                        ", 0
;        ^         ^         ^         ^

; Palette
data_fntzone1_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$20	; (R:0 G:0 B:2)
.db	$30	; (R:0 G:0 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$38	; (R:0 G:2 B:3)
.db	$0C	; (R:0 G:3 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_fntzone1_tiles:
; Frame 0
data_fntzone1_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $03, $03, $00
.db	$02, $0C, $0D, $02
.db	$04, $12, $11, $0A
.db	$04, $22, $21, $1A
.db	$FF, $FF, $00, $FF
.db	$3F, $3F, $00, $3F
.db	$0F, $2E, $20, $1E
.db	$10, $30, $30, $0F
.db	$0D, $1C, $1C, $02
.db	$03, $0D, $0C, $00
.db	$00, $03, $03, $00
.db	$00, $01, $01, $00
.db	$01, $02, $02, $01
.db	$00, $03, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $C0, $00
.db	$00, $60, $A0, $00
.db	$40, $58, $B8, $40
.db	$30, $34, $CC, $30
.db	$00, $02, $FE, $00
.db	$00, $FF, $01, $FE
.db	$FE, $01, $01, $00
.db	$FE, $01, $7F, $00
.db	$FC, $06, $FA, $00
.db	$F0, $FC, $0C, $00
.db	$00, $F0, $F0, $00
.db	$C0, $30, $30, $C0
.db	$F0, $08, $08, $F0
.db	$00, $F8, $F8, $00

; Frame 1
data_fntzone1_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $03, $03, $00
.db	$02, $0C, $0D, $02
.db	$04, $12, $11, $0A
.db	$04, $22, $21, $1A
.db	$FF, $FF, $00, $FF
.db	$3F, $3F, $00, $3F
.db	$0F, $2E, $20, $1E
.db	$10, $30, $30, $0F
.db	$0D, $1C, $1C, $02
.db	$03, $0D, $0C, $00
.db	$00, $03, $03, $00
.db	$03, $04, $04, $03
.db	$07, $08, $08, $07
.db	$03, $04, $04, $03
.db	$00, $03, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $C0, $C0, $00
.db	$00, $60, $A0, $00
.db	$40, $58, $B8, $40
.db	$30, $34, $CC, $30
.db	$00, $02, $FE, $00
.db	$00, $FF, $01, $FE
.db	$FE, $01, $01, $00
.db	$FE, $01, $7F, $00
.db	$FC, $06, $FA, $00
.db	$F0, $FC, $0C, $00
.db	$00, $F8, $F8, $00
.db	$68, $94, $94, $68
.db	$38, $C4, $C4, $38
.db	$90, $68, $68, $90
.db	$00, $90, $90, $00

