;
; golvlius
;
; Animation
; 4 frames
; - 16*32 pixels each
; - 256 bytes each
; 1024 bytes total
;

; Infos
data_golvlius_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	8*4*32	; Total number of data frames bytes

; Animation
data_golvlius_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_golvlius_desc:
.db     "KELESIS                        ", 0
;        ^         ^         ^         ^

; Palette
data_golvlius_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$10	; (R:0 G:0 B:1)
.db	$04	; (R:0 G:1 B:0)
.db	$34	; (R:0 G:1 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$38	; (R:0 G:2 B:3)
.db	$15	; (R:1 G:1 B:1)
.db	$07	; (R:3 G:1 B:0)
.db	$1B	; (R:3 G:2 B:1)
.db	$00	; (R:0 G:0 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_golvlius_tiles:
; Frame 0
data_golvlius_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$07, $00, $00, $07
.db	$08, $06, $01, $0E
.db	$3C, $00, $03, $3C
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$60, $00, $1F, $60
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$00, $00, $FF, $00
.db	$80, $01, $7E, $80
.db	$60, $01, $9E, $60
.db	$80, $07, $78, $80
.db	$40, $1F, $20, $40
.db	$21, $06, $18, $20
.db	$19, $06, $00, $19
.db	$07, $01, $00, $06
;;; x: 8-15
.db	$C0, $00, $00, $C0
.db	$30, $00, $C0, $30
.db	$0A, $00, $F0, $0A
.db	$05, $00, $FA, $05
.db	$01, $10, $EE, $01
.db	$02, $10, $EC, $02
.db	$01, $18, $E6, $01
.db	$11, $28, $C6, $01
.db	$16, $E0, $08, $36
.db	$02, $70, $10, $AE
.db	$82, $40, $00, $3E
.db	$04, $C0, $00, $3C
.db	$44, $80, $00, $3C
.db	$98, $00, $00, $78
.db	$E0, $00, $00, $E0
.db	$E0, $80, $40, $20
;; y: 16-31
;;; x: 0-7
.db	$09, $00, $00, $0F
.db	$11, $00, $00, $1F
.db	$21, $00, $00, $3F
.db	$22, $00, $00, $3F
.db	$10, $00, $00, $1F
.db	$10, $00, $00, $1F
.db	$38, $00, $10, $2F
.db	$1F, $00, $00, $1F
.db	$64, $00, $00, $7F
.db	$E2, $20, $40, $9F
.db	$E3, $20, $40, $9F
.db	$F4, $30, $40, $8C
.db	$78, $30, $00, $48
.db	$38, $10, $00, $28
.db	$10, $00, $00, $10
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$E0, $80, $40, $20
.db	$E0, $80, $40, $20
.db	$E0, $C0, $C0, $20
.db	$E0, $00, $40, $A0
.db	$40, $00, $00, $C0
.db	$40, $00, $00, $C0
.db	$C0, $00, $00, $C0
.db	$A0, $00, $00, $E0
.db	$10, $00, $00, $F0
.db	$08, $00, $00, $F8
.db	$0C, $00, $00, $FC
.db	$9E, $1C, $00, $E2
.db	$7E, $1C, $20, $42
.db	$7C, $18, $20, $44
.db	$38, $00, $10, $28
.db	$10, $00, $00, $10

; Frame 1
data_golvlius_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$07, $00, $00, $07
.db	$08, $06, $01, $0E
.db	$3C, $00, $03, $3C
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$60, $00, $1F, $60
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$00, $00, $FF, $00
.db	$80, $01, $7E, $80
.db	$60, $01, $9E, $60
.db	$80, $07, $78, $80
.db	$40, $1F, $20, $40
.db	$21, $06, $18, $20
.db	$19, $06, $00, $19
.db	$07, $01, $00, $06
;;; x: 8-15
.db	$C0, $00, $00, $C0
.db	$30, $00, $C0, $30
.db	$0A, $00, $F0, $0A
.db	$05, $00, $FA, $05
.db	$01, $10, $EE, $01
.db	$02, $10, $EC, $02
.db	$01, $18, $E6, $01
.db	$11, $28, $C6, $01
.db	$16, $E0, $08, $36
.db	$02, $70, $10, $AE
.db	$82, $40, $00, $3E
.db	$04, $C0, $00, $3C
.db	$44, $80, $00, $3C
.db	$98, $00, $00, $78
.db	$E0, $00, $00, $E0
.db	$E0, $80, $40, $20
;; y: 16-31
;;; x: 0-7
.db	$09, $00, $00, $0F
.db	$11, $00, $00, $1F
.db	$21, $00, $00, $3F
.db	$22, $00, $00, $3F
.db	$10, $00, $00, $1F
.db	$10, $00, $00, $1F
.db	$38, $00, $10, $2F
.db	$17, $00, $00, $1F
.db	$10, $00, $00, $1F
.db	$10, $00, $00, $1F
.db	$31, $00, $10, $2F
.db	$7B, $19, $20, $46
.db	$7F, $1C, $20, $43
.db	$3F, $1E, $00, $21
.db	$1F, $0E, $00, $11
.db	$0E, $00, $00, $0E
;;; x: 8-15
.db	$E0, $80, $40, $20
.db	$E0, $80, $40, $20
.db	$E0, $C0, $C0, $20
.db	$E0, $00, $40, $A0
.db	$40, $00, $00, $C0
.db	$40, $00, $00, $C0
.db	$80, $00, $00, $80
.db	$C0, $00, $00, $C0
.db	$A0, $00, $00, $E0
.db	$A0, $00, $00, $E0
.db	$40, $00, $00, $C0
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_golvlius_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$07, $00, $00, $07
.db	$08, $06, $01, $0E
.db	$3C, $00, $03, $3C
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$60, $00, $1F, $60
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$00, $00, $FF, $00
.db	$80, $01, $7E, $80
.db	$60, $01, $9E, $60
.db	$80, $07, $78, $80
.db	$40, $1F, $20, $40
.db	$21, $06, $18, $20
.db	$19, $06, $00, $19
.db	$07, $01, $00, $06
;;; x: 8-15
.db	$C0, $00, $00, $C0
.db	$30, $00, $C0, $30
.db	$0A, $00, $F0, $0A
.db	$05, $00, $FA, $05
.db	$01, $10, $EE, $01
.db	$02, $10, $EC, $02
.db	$01, $18, $E6, $01
.db	$11, $28, $C6, $01
.db	$16, $E0, $08, $36
.db	$02, $70, $10, $AE
.db	$82, $40, $00, $3E
.db	$04, $C0, $00, $3C
.db	$44, $80, $00, $3C
.db	$98, $00, $00, $78
.db	$E0, $00, $00, $E0
.db	$E0, $80, $40, $20
;; y: 16-31
;;; x: 0-7
.db	$08, $00, $00, $0F
.db	$08, $00, $00, $0F
.db	$08, $00, $00, $0F
.db	$0C, $00, $00, $0F
.db	$1E, $04, $0C, $13
.db	$1F, $06, $08, $11
.db	$3F, $0E, $11, $20
.db	$1F, $00, $00, $1F
.db	$70, $00, $00, $7F
.db	$E0, $20, $40, $9F
.db	$E1, $20, $40, $9F
.db	$E6, $20, $40, $9E
.db	$78, $30, $00, $48
.db	$38, $10, $00, $28
.db	$10, $00, $00, $10
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$F0, $00, $40, $B0
.db	$48, $00, $00, $F8
.db	$08, $00, $00, $F8
.db	$08, $00, $00, $F8
.db	$10, $00, $00, $F0
.db	$E0, $00, $00, $E0
.db	$C0, $00, $80, $40
.db	$A0, $00, $00, $E0
.db	$90, $00, $00, $F0
.db	$88, $00, $00, $F8
.db	$0C, $00, $00, $FC
.db	$9E, $1C, $00, $E2
.db	$7E, $1C, $20, $42
.db	$7C, $18, $20, $44
.db	$38, $00, $10, $28
.db	$10, $00, $00, $10

; Frame 3
data_golvlius_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$07, $00, $00, $07
.db	$08, $06, $01, $0E
.db	$3C, $00, $03, $3C
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$60, $00, $1F, $60
.db	$40, $20, $1F, $60
.db	$80, $40, $3F, $C0
.db	$00, $00, $FF, $00
.db	$80, $01, $7E, $80
.db	$60, $01, $9E, $60
.db	$80, $07, $78, $80
.db	$40, $1F, $20, $40
.db	$21, $06, $18, $20
.db	$19, $06, $00, $19
.db	$07, $01, $00, $06
;;; x: 8-15
.db	$C0, $00, $00, $C0
.db	$30, $00, $C0, $30
.db	$0A, $00, $F0, $0A
.db	$05, $00, $FA, $05
.db	$01, $10, $EE, $01
.db	$02, $10, $EC, $02
.db	$01, $18, $E6, $01
.db	$11, $28, $C6, $01
.db	$16, $E0, $08, $36
.db	$02, $70, $10, $AE
.db	$82, $40, $00, $3E
.db	$04, $C0, $00, $3C
.db	$44, $80, $00, $3C
.db	$98, $00, $00, $78
.db	$E0, $00, $00, $E0
.db	$E0, $80, $40, $20
;; y: 16-31
;;; x: 0-7
.db	$08, $00, $00, $0F
.db	$08, $00, $00, $0F
.db	$08, $00, $00, $0F
.db	$0C, $00, $00, $0F
.db	$1E, $04, $0C, $13
.db	$1F, $06, $08, $11
.db	$3F, $0F, $10, $20
.db	$1F, $00, $00, $1F
.db	$12, $00, $00, $1F
.db	$14, $00, $00, $1F
.db	$0E, $02, $04, $09
.db	$0F, $03, $04, $08
.db	$1F, $03, $08, $14
.db	$1F, $05, $08, $12
.db	$0F, $06, $00, $09
.db	$06, $00, $00, $06
;;; x: 8-15
.db	$F0, $00, $40, $B0
.db	$48, $00, $00, $F8
.db	$08, $00, $00, $F8
.db	$08, $00, $00, $F8
.db	$10, $00, $00, $F0
.db	$E0, $00, $00, $E0
.db	$C0, $00, $80, $40
.db	$A0, $00, $00, $E0
.db	$10, $00, $00, $F0
.db	$10, $00, $00, $F0
.db	$20, $00, $00, $E0
.db	$40, $00, $00, $C0
.db	$80, $00, $00, $80
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

