;
; mario
;
; Animation
; 3 frames
; - 16*16 pixels each
; - 128 bytes each
; 384 bytes total
;

; Infos
data_mario_infos:
.db	2, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	4	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	4*3*32	; Total number of data frames bytes

; Animation
data_mario_anim:
.db	3	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1, 2	; Animation

; Description:
data_mario_desc:
.db     "MARIO                          ", 0
;        ^         ^         ^         ^

; Palette
data_mario_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$07	; (R:3 G:1 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$1B	; (R:3 G:2 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_mario_tiles:
; Frame 0
data_mario_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$00, $0F, $00, $00
.db	$0F, $01, $00, $00
.db	$1F, $0B, $00, $00
.db	$1F, $09, $00, $00
.db	$1F, $07, $00, $00
.db	$07, $07, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $10, $00, $00
.db	$37, $38, $00, $00
.db	$30, $0F, $00, $00
.db	$20, $1F, $00, $00
.db	$60, $1D, $00, $00
.db	$43, $00, $00, $00
.db	$03, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $F8, $00, $00
.db	$E0, $A0, $00, $00
.db	$F8, $B8, $00, $00
.db	$FC, $DC, $00, $00
.db	$F8, $80, $00, $00
.db	$F0, $F0, $00, $00
.db	$50, $90, $00, $00
.db	$F8, $38, $00, $00
.db	$F0, $30, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $C0, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00

; Frame 1
data_mario_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $0F, $00, $00
.db	$00, $1F, $00, $00
.db	$1F, $03, $00, $00
.db	$3F, $17, $00, $00
.db	$3F, $13, $00, $00
.db	$3F, $0F, $00, $00
.db	$0F, $0F, $00, $00
.db	$1B, $04, $00, $00
.db	$3C, $03, $00, $00
.db	$39, $07, $00, $00
.db	$3C, $03, $00, $00
.db	$1F, $27, $00, $00
.db	$0E, $17, $00, $00
.db	$01, $0E, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
;;; x: 8-15
.db	$00, $80, $00, $00
.db	$00, $F0, $00, $00
.db	$C0, $40, $00, $00
.db	$F0, $70, $00, $00
.db	$F8, $B8, $00, $00
.db	$F0, $00, $00, $00
.db	$E0, $E0, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$20, $E0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $C0, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_mario_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $07, $00, $00
.db	$00, $0F, $00, $00
.db	$0F, $01, $00, $00
.db	$1F, $0B, $00, $00
.db	$1F, $09, $00, $00
.db	$1F, $07, $00, $00
.db	$07, $07, $00, $00
.db	$3C, $03, $00, $00
.db	$FC, $C3, $00, $00
.db	$ED, $E3, $00, $00
.db	$C0, $CF, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3F, $00, $00
.db	$60, $1C, $00, $00
.db	$70, $00, $00, $00
.db	$38, $00, $00, $00
;;; x: 8-15
.db	$00, $C0, $00, $00
.db	$00, $F8, $00, $00
.db	$E0, $A0, $00, $00
.db	$F8, $B8, $00, $00
.db	$FC, $DC, $00, $00
.db	$F8, $80, $00, $00
.db	$F0, $F0, $00, $00
.db	$C0, $00, $00, $00
.db	$7E, $8E, $00, $00
.db	$1E, $E6, $00, $00
.db	$04, $E0, $00, $00
.db	$0C, $F0, $00, $00
.db	$0C, $F0, $00, $00
.db	$0C, $70, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

