;
; mgunjoe
;
; Animation
; 2 frames
; - 16*32 pixels each
; - 256 bytes each
; 512 bytes total
;

; Infos
data_mgunjoe_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	8*2*32	; Total number of data frames bytes

; Animation
data_mgunjoe_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_mgunjoe_desc:
.db     "MACHINEGUN JOE                 ", 0
;        ^         ^         ^         ^

; Palette
data_mgunjoe_pal:
.db	$38	; (R:0 G:2 B:3)
.db	$3C	; (R:0 G:3 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$32	; (R:2 G:0 B:3)
.db	$06	; (R:2 G:1 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$33	; (R:3 G:0 B:3)
.db	$0B	; (R:3 G:2 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_mgunjoe_tiles:
; Frame 0
data_mgunjoe_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $1F, $00, $00
.db	$0E, $1F, $01, $00
.db	$00, $FF, $00, $00
.db	$00, $FF, $00, $00
.db	$00, $21, $1E, $00
.db	$01, $23, $1D, $00
.db	$03, $27, $1B, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $F0, $E0, $00
.db	$00, $FE, $00, $00
.db	$00, $FE, $00, $00
.db	$C0, $C8, $C0, $30
.db	$20, $E8, $20, $10
.db	$A0, $64, $20, $98
;; y: 16-31
;;; x: 0-7
.db	$01, $1F, $01, $00
.db	$00, $3F, $1E, $00
.db	$04, $3F, $02, $00
.db	$18, $3F, $00, $00
.db	$10, $3F, $0B, $00
.db	$10, $3F, $0D, $00
.db	$38, $5F, $05, $20
.db	$30, $4F, $06, $30
.db	$10, $2F, $07, $10
.db	$10, $3F, $07, $00
.db	$38, $7F, $01, $00
.db	$36, $7F, $08, $00
.db	$30, $7F, $0F, $00
.db	$00, $7F, $00, $00
.db	$0F, $10, $00, $00
.db	$00, $1F, $00, $00
;;; x: 8-15
.db	$A0, $64, $20, $98
.db	$C0, $C4, $C0, $38
.db	$80, $98, $80, $60
.db	$00, $F0, $00, $00
.db	$60, $90, $00, $60
.db	$70, $88, $00, $70
.db	$20, $DA, $80, $20
.db	$00, $FF, $00, $00
.db	$00, $8F, $00, $70
.db	$40, $CF, $40, $30
.db	$60, $F8, $60, $00
.db	$00, $F0, $00, $00
.db	$00, $F0, $E0, $00
.db	$00, $E0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00

; Frame 1
data_mgunjoe_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $FF, $00, $00
.db	$0E, $FF, $01, $00
.db	$00, $3F, $00, $00
.db	$00, $21, $1E, $00
.db	$01, $23, $1D, $00
.db	$03, $27, $1B, $00
.db	$01, $3F, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $F0, $80, $00
.db	$00, $FE, $E0, $00
.db	$00, $FE, $00, $00
.db	$30, $F8, $30, $00
.db	$98, $7C, $18, $80
.db	$B8, $7C, $38, $80
;; y: 16-31
;;; x: 0-7
.db	$18, $7F, $06, $00
.db	$20, $7F, $06, $00
.db	$30, $7F, $08, $00
.db	$20, $7F, $1B, $00
.db	$20, $7F, $1D, $00
.db	$20, $7F, $1C, $00
.db	$30, $7F, $0F, $00
.db	$17, $3F, $00, $00
.db	$18, $7F, $00, $00
.db	$2C, $5F, $03, $00
.db	$16, $2F, $01, $00
.db	$0A, $17, $01, $00
.db	$0B, $17, $00, $00
.db	$02, $0F, $00, $00
.db	$00, $02, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$F8, $FC, $F8, $00
.db	$F0, $C8, $F0, $00
.db	$00, $F0, $00, $00
.db	$60, $90, $00, $60
.db	$70, $8A, $00, $70
.db	$00, $FF, $00, $00
.db	$00, $8F, $00, $70
.db	$00, $8F, $00, $70
.db	$60, $F8, $60, $00
.db	$08, $F4, $80, $00
.db	$58, $E4, $80, $00
.db	$B0, $C8, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

