;
; myhero
;
; Animation
; 2 frames
; - 16*32 pixels each
; - 256 bytes each
; 512 bytes total
;

; Infos
data_myhero_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	8*2*32	; Total number of data frames bytes

; Animation
data_myhero_anim:
.db	2	; Number of animation frames
.db     9       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_myhero_desc:
.db     "STEVE                          ", 0
;        ^         ^         ^         ^

; Palette
data_myhero_pal:
.db	$23	; (R:3 G:0 B:2)
.db	$20	; (R:0 G:0 B:2)
.db	$34	; (R:0 G:1 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$0A	; (R:2 G:2 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$2F	; (R:3 G:3 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_myhero_tiles:
; Frame 0
data_myhero_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$07, $07, $00, $00
.db	$08, $08, $07, $00
.db	$10, $10, $0F, $00
.db	$20, $21, $1F, $00
.db	$20, $23, $1F, $00
.db	$20, $23, $1F, $00
.db	$20, $23, $1F, $00
.db	$10, $17, $0F, $00
.db	$08, $0F, $07, $00
.db	$0C, $03, $03, $00
.db	$10, $1F, $00, $00
.db	$22, $3D, $00, $00
.db	$41, $7E, $00, $00
.db	$41, $7E, $00, $00
.db	$43, $7C, $00, $00
.db	$47, $78, $00, $00
;;; x: 8-15
.db	$F8, $F8, $00, $00
.db	$04, $04, $F8, $00
.db	$02, $02, $FC, $00
.db	$02, $E2, $FC, $00
.db	$CC, $FC, $F0, $00
.db	$E8, $F8, $B0, $00
.db	$E4, $FC, $B8, $00
.db	$04, $FC, $F8, $00
.db	$34, $CC, $F8, $00
.db	$08, $F8, $F0, $00
.db	$10, $F0, $60, $00
.db	$10, $F0, $60, $00
.db	$78, $88, $70, $00
.db	$78, $88, $70, $00
.db	$38, $C8, $30, $00
.db	$28, $D8, $20, $00
;; y: 16-31
;;; x: 0-7
.db	$46, $71, $38, $00
.db	$46, $71, $38, $00
.db	$42, $7F, $3C, $00
.db	$42, $7F, $3C, $00
.db	$22, $3F, $1C, $00
.db	$1F, $1F, $00, $00
.db	$0E, $0F, $00, $00
.db	$07, $05, $00, $00
.db	$0F, $0C, $00, $00
.db	$1F, $19, $00, $00
.db	$33, $3F, $00, $00
.db	$77, $79, $30, $00
.db	$7E, $7A, $38, $00
.db	$3E, $3E, $1C, $00
.db	$1E, $1E, $0C, $00
.db	$0C, $0C, $00, $00
;;; x: 8-15
.db	$1E, $FE, $10, $00
.db	$09, $FF, $06, $00
.db	$19, $FF, $16, $00
.db	$09, $FF, $06, $00
.db	$FE, $FE, $00, $00
.db	$D0, $30, $00, $00
.db	$08, $F8, $00, $00
.db	$88, $F8, $00, $00
.db	$88, $F8, $00, $00
.db	$10, $F0, $00, $00
.db	$C8, $F8, $C0, $00
.db	$FC, $FC, $F8, $00
.db	$FC, $FC, $38, $00
.db	$38, $38, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_myhero_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$07, $07, $00, $00
.db	$08, $08, $07, $00
.db	$10, $10, $0F, $00
.db	$20, $21, $1F, $00
.db	$20, $23, $1F, $00
.db	$20, $23, $1F, $00
.db	$20, $23, $1F, $00
.db	$10, $17, $0F, $00
.db	$08, $0F, $07, $00
.db	$0C, $03, $03, $00
.db	$10, $1F, $00, $00
.db	$22, $3D, $00, $00
.db	$41, $7E, $00, $00
.db	$41, $7E, $00, $00
.db	$43, $7C, $00, $00
.db	$47, $78, $00, $00
;;; x: 8-15
.db	$F8, $F8, $00, $00
.db	$04, $04, $F8, $00
.db	$02, $02, $FC, $00
.db	$02, $E2, $FC, $00
.db	$CC, $FC, $F0, $00
.db	$E8, $F8, $B0, $00
.db	$E4, $FC, $B8, $00
.db	$04, $FC, $F8, $00
.db	$34, $CC, $F8, $00
.db	$08, $F8, $F0, $00
.db	$10, $F0, $60, $00
.db	$10, $F0, $60, $00
.db	$78, $88, $70, $00
.db	$78, $88, $70, $00
.db	$38, $C8, $30, $00
.db	$28, $D8, $20, $00
;; y: 16-31
;;; x: 0-7
.db	$63, $5E, $04, $00
.db	$61, $5F, $0E, $00
.db	$20, $27, $1F, $00
.db	$30, $31, $0F, $00
.db	$2C, $3C, $03, $00
.db	$23, $3F, $00, $00
.db	$3F, $10, $00, $00
.db	$18, $17, $00, $00
.db	$1C, $13, $00, $00
.db	$0C, $0B, $00, $00
.db	$0C, $0B, $00, $00
.db	$0C, $0B, $00, $00
.db	$0C, $0B, $00, $00
.db	$0C, $0B, $00, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
;;; x: 8-15
.db	$D8, $F8, $10, $00
.db	$28, $F8, $C0, $00
.db	$38, $F8, $D0, $00
.db	$38, $E8, $C0, $00
.db	$3C, $24, $C0, $00
.db	$FC, $E4, $00, $00
.db	$F2, $4E, $00, $00
.db	$72, $CE, $00, $00
.db	$7C, $C4, $00, $00
.db	$78, $C8, $00, $00
.db	$70, $F0, $00, $00
.db	$40, $C0, $00, $00
.db	$40, $C0, $00, $00
.db	$40, $C0, $00, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $C0, $00

