;
; ngaiden
;
; Animation
; 4 frames
; - 24*32 pixels each
; - 384 bytes each
; 1536 bytes total
;

; Infos
data_ngaiden_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	12*4*32	; Total number of data frames bytes

; Animation
data_ngaiden_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_ngaiden_desc:
.db     "RYU HAYABUSA                   ", 0
;        ^         ^         ^         ^

; Palette
data_ngaiden_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$35	; (R:1 G:1 B:3)
.db	$16	; (R:2 G:1 B:1)
.db	$3A	; (R:2 G:2 B:3)
.db	$2B	; (R:3 G:2 B:2)
.db	$00	; (R:0 G:0 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_ngaiden_tiles:
; Frame 0
data_ngaiden_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$03, $00, $03, $00
.db	$03, $01, $02, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$02, $00, $03, $00
.db	$04, $02, $05, $00
.db	$06, $01, $06, $00
.db	$07, $00, $07, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$07, $00, $07, $00
.db	$8F, $03, $88, $00
.db	$E7, $81, $64, $00
.db	$FF, $80, $1D, $00
.db	$FF, $00, $8C, $00
.db	$7F, $00, $76, $00
.db	$8F, $50, $AB, $00
.db	$0F, $D4, $2B, $00
.db	$1F, $64, $91, $00
.db	$7F, $0E, $E1, $00
.db	$FF, $0C, $83, $00
.db	$FF, $00, $87, $00
.db	$FC, $00, $DF, $00
.db	$FE, $09, $F6, $00
.db	$9F, $40, $BF, $00
.db	$8F, $10, $EF, $00
;;; x: 16-23
.db	$80, $00, $80, $00
.db	$C0, $80, $40, $00
.db	$E0, $C0, $20, $00
.db	$E0, $00, $E0, $00
.db	$20, $80, $60, $00
.db	$E0, $00, $A0, $00
.db	$C0, $80, $40, $00
.db	$E0, $00, $E0, $00
.db	$D0, $20, $D0, $00
.db	$D0, $00, $F0, $00
.db	$D0, $A0, $50, $00
.db	$C8, $10, $E8, $00
.db	$E8, $10, $E8, $00
.db	$78, $80, $78, $00
.db	$F8, $00, $F8, $00
.db	$70, $00, $70, $00
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$02, $01, $03, $00
.db	$0D, $02, $0F, $00
.db	$13, $0C, $1F, $00
.db	$1D, $00, $1D, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$DF, $20, $58, $00
.db	$BF, $50, $EE, $00
.db	$7F, $B0, $CC, $00
.db	$FF, $30, $87, $00
.db	$FF, $30, $87, $00
.db	$FF, $30, $8F, $00
.db	$FF, $10, $8F, $00
.db	$FC, $00, $CC, $00
.db	$F4, $08, $F4, $00
.db	$EA, $04, $EA, $00
.db	$E4, $00, $E4, $00
.db	$C0, $00, $C0, $00
.db	$C0, $00, $C0, $00
.db	$60, $80, $60, $00
.db	$30, $80, $70, $00
.db	$C8, $00, $F8, $00
;;; x: 16-23
.db	$E0, $00, $E0, $00
.db	$F0, $40, $10, $00
.db	$F0, $20, $10, $00
.db	$E0, $00, $A0, $00
.db	$E0, $00, $A0, $00
.db	$C0, $00, $C0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_ngaiden_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $03, $00
.db	$03, $01, $02, $00
.db	$03, $01, $02, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$02, $00, $03, $00
.db	$04, $02, $05, $00
.db	$06, $01, $06, $00
.db	$07, $00, $07, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$07, $00, $07, $00
.db	$0F, $03, $08, $00
.db	$C7, $01, $C4, $00
.db	$FF, $80, $3D, $00
.db	$FF, $00, $CC, $00
.db	$7F, $00, $76, $00
.db	$8F, $50, $AB, $00
.db	$0F, $D4, $2B, $00
.db	$1F, $64, $91, $00
.db	$7F, $0E, $E1, $00
.db	$FF, $0C, $83, $00
.db	$FF, $00, $87, $00
.db	$FC, $00, $DF, $00
.db	$FE, $09, $F6, $00
.db	$9F, $40, $BF, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$80, $00, $80, $00
.db	$C0, $80, $40, $00
.db	$E0, $C0, $20, $00
.db	$E0, $00, $E0, $00
.db	$20, $80, $60, $00
.db	$E0, $00, $A0, $00
.db	$C0, $80, $40, $00
.db	$E0, $00, $E0, $00
.db	$D0, $20, $D0, $00
.db	$D0, $00, $F0, $00
.db	$D0, $A0, $50, $00
.db	$C8, $10, $E8, $00
.db	$E8, $10, $E8, $00
.db	$78, $80, $78, $00
.db	$F8, $00, $F8, $00
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$02, $01, $03, $00
.db	$05, $02, $07, $00
.db	$0B, $04, $0F, $00
.db	$37, $08, $3E, $00
.db	$7F, $00, $7E, $00
.db	$9F, $60, $9F, $00
.db	$B8, $00, $F8, $00
.db	$60, $00, $E0, $00
.db	$40, $00, $C0, $00
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$8F, $10, $EF, $00
.db	$DF, $20, $55, $00
.db	$BF, $50, $EB, $00
.db	$7F, $B0, $CC, $00
.db	$FF, $60, $88, $00
.db	$FF, $E0, $1C, $00
.db	$E7, $C0, $27, $00
.db	$C3, $00, $43, $00
.db	$81, $00, $81, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$70, $00, $70, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$C0, $80, $40, $00
.db	$E0, $40, $20, $00
.db	$E0, $40, $20, $00
.db	$F0, $20, $10, $00
.db	$F0, $00, $90, $00
.db	$F0, $00, $30, $00
.db	$F0, $00, $F0, $00
.db	$F0, $00, $F0, $00
.db	$78, $00, $78, $00
.db	$78, $00, $78, $00
.db	$3F, $00, $3F, $00
.db	$29, $16, $29, $00
.db	$26, $18, $26, $00

; Frame 2
data_ngaiden_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $03, $00
.db	$03, $00, $02, $00
.db	$01, $00, $01, $00
.db	$02, $00, $03, $00
.db	$04, $02, $05, $00
.db	$06, $01, $06, $00
.db	$07, $00, $07, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$07, $00, $07, $00
.db	$0F, $03, $08, $00
.db	$67, $01, $64, $00
.db	$FF, $20, $9D, $00
.db	$FF, $00, $8C, $00
.db	$FF, $00, $76, $00
.db	$8F, $50, $AB, $00
.db	$0F, $D4, $2B, $00
.db	$1F, $64, $91, $00
.db	$7F, $0E, $E1, $00
.db	$FF, $0C, $83, $00
.db	$FF, $00, $87, $00
.db	$FC, $00, $DF, $00
.db	$FE, $09, $F6, $00
.db	$9F, $40, $BF, $00
.db	$8F, $10, $EF, $00
;;; x: 16-23
.db	$80, $00, $80, $00
.db	$C0, $80, $40, $00
.db	$E0, $C0, $20, $00
.db	$E0, $00, $E0, $00
.db	$20, $80, $60, $00
.db	$E0, $00, $A0, $00
.db	$C0, $80, $40, $00
.db	$E0, $00, $E0, $00
.db	$D0, $20, $D0, $00
.db	$D0, $00, $F0, $00
.db	$D0, $A0, $50, $00
.db	$C8, $10, $E8, $00
.db	$E8, $10, $E8, $00
.db	$78, $80, $78, $00
.db	$F8, $00, $F8, $00
.db	$70, $00, $70, $00
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$02, $01, $03, $00
.db	$0D, $02, $0F, $00
.db	$12, $0C, $1E, $00
.db	$1C, $00, $1C, $00
.db	$01, $00, $01, $00
.db	$02, $01, $02, $00
.db	$04, $02, $05, $00
.db	$02, $00, $03, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$DF, $20, $5B, $00
.db	$BE, $50, $EE, $00
.db	$7F, $BC, $C1, $00
.db	$FF, $0C, $81, $00
.db	$7F, $02, $71, $00
.db	$FF, $00, $F9, $00
.db	$FE, $00, $FE, $00
.db	$F8, $00, $F8, $00
.db	$F0, $00, $F0, $00
.db	$F0, $00, $F0, $00
.db	$70, $00, $F0, $00
.db	$E0, $00, $E0, $00
.db	$E0, $00, $E0, $00
.db	$B0, $40, $B0, $00
.db	$98, $60, $98, $00
.db	$60, $18, $60, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 3
data_ngaiden_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$03, $00, $02, $00
.db	$03, $00, $03, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$02, $00, $03, $00
.db	$04, $02, $05, $00
.db	$06, $01, $06, $00
.db	$07, $00, $07, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$07, $00, $07, $00
.db	$EF, $03, $E8, $00
.db	$F7, $61, $14, $00
.db	$FF, $10, $ED, $00
.db	$1F, $00, $1C, $00
.db	$7F, $00, $76, $00
.db	$8F, $50, $AB, $00
.db	$0F, $D4, $2B, $00
.db	$1F, $64, $91, $00
.db	$7F, $0E, $E1, $00
.db	$FF, $0C, $83, $00
.db	$FF, $00, $87, $00
.db	$FC, $00, $DF, $00
.db	$FE, $09, $F6, $00
.db	$9F, $40, $BF, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$80, $00, $80, $00
.db	$C0, $80, $40, $00
.db	$E0, $C0, $20, $00
.db	$E0, $00, $E0, $00
.db	$20, $80, $60, $00
.db	$E0, $00, $A0, $00
.db	$C0, $80, $40, $00
.db	$E0, $00, $E0, $00
.db	$D0, $20, $D0, $00
.db	$D0, $00, $F0, $00
.db	$D0, $A0, $50, $00
.db	$C8, $10, $E8, $00
.db	$E8, $10, $E8, $00
.db	$78, $80, $78, $00
.db	$F8, $00, $F8, $00
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$02, $01, $03, $00
.db	$0D, $02, $0F, $00
.db	$13, $0C, $1F, $00
.db	$2F, $10, $2F, $00
.db	$2F, $10, $2F, $00
.db	$2C, $10, $2C, $00
.db	$18, $20, $18, $00
.db	$10, $20, $10, $00
.db	$20, $00, $20, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$8F, $10, $EF, $00
.db	$DE, $20, $5A, $00
.db	$BE, $58, $E6, $00
.db	$7E, $9C, $C2, $00
.db	$FF, $0E, $81, $00
.db	$FF, $06, $C1, $00
.db	$FF, $07, $70, $00
.db	$FF, $03, $B8, $00
.db	$FF, $00, $F9, $00
.db	$07, $00, $07, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
;;; x: 16-23
.db	$70, $00, $70, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$C0, $00, $C0, $00
.db	$C0, $00, $C0, $00
.db	$F8, $00, $F8, $00
.db	$48, $80, $78, $00
.db	$30, $80, $70, $00

