;
; psychof2
;
; Animation
; 3 frames
; - 56*32 pixels each
; - 896 bytes each
; 2688 bytes total
;

; Infos
data_psychof2_infos:
.db	7, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	28	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	28*3*32	; Total number of data frames bytes

; Animation
data_psychof2_anim:
.db     4       ; Number of animation frames
.db     7       ; Animation Speed
.db     0, 1, 2, 1 ; Animation

; Description:
data_psychof2_desc:
.db     "PSYCHO ANIMALS                 ", 0
;        ^         ^         ^         ^

; Palette
data_psychof2_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$04	; (R:0 G:1 B:0)
.db	$34	; (R:0 G:1 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$01	; (R:1 G:0 B:0)
.db	$15	; (R:1 G:1 B:1)
.db	$02	; (R:2 G:0 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$03	; (R:3 G:0 B:0)
.db	$07	; (R:3 G:1 B:0)
.db	$37	; (R:3 G:1 B:3)
.db	$0B	; (R:3 G:2 B:0)
.db	$3B	; (R:3 G:2 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_psychof2_tiles:
; Frame 0
data_psychof2_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$01, $00, $01, $01
.db	$03, $01, $02, $03
.db	$03, $01, $02, $03
.db	$07, $03, $04, $07
.db	$0F, $07, $08, $0F
.db	$1F, $01, $1E, $1F
.db	$1F, $0E, $11, $1F
.db	$3F, $03, $3C, $3F
.db	$7F, $3D, $42, $7F
.db	$7F, $07, $78, $7F
.db	$7C, $3B, $47, $7F
.db	$70, $3F, $4F, $7F
.db	$30, $1F, $2F, $3F
.db	$1C, $0F, $1F, $13
.db	$0F, $03, $0F, $0C
.db	$03, $00, $03, $03
;;; x: 8-15
.db	$A0, $00, $A0, $A0
.db	$F0, $00, $50, $F0
.db	$F0, $00, $70, $F0
.db	$F0, $00, $10, $F0
.db	$F8, $80, $08, $F8
.db	$EC, $D0, $14, $FC
.db	$C4, $F8, $3C, $FC
.db	$CE, $F0, $3A, $FE
.db	$EF, $F0, $11, $FF
.db	$FB, $B6, $07, $FD
.db	$33, $CE, $CF, $FD
.db	$07, $FF, $FF, $F8
.db	$0F, $FE, $FF, $F1
.db	$3E, $F8, $FE, $C6
.db	$F8, $E0, $F8, $18
.db	$E0, $00, $E0, $E0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$02, $00, $03, $02
.db	$02, $00, $03, $02
.db	$04, $00, $07, $04
.db	$04, $00, $07, $04
.db	$04, $00, $07, $04
.db	$84, $00, $87, $84
.db	$84, $00, $87, $84
.db	$84, $00, $87, $84
.db	$82, $00, $83, $82
.db	$01, $00, $01, $01
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$3C, $00, $3C, $3C
.db	$C3, $00, $FF, $C3
.db	$00, $00, $FF, $00
.db	$06, $00, $F9, $06
.db	$0F, $0C, $F3, $0F
.db	$0D, $0A, $F7, $0F
.db	$6C, $0B, $F7, $6F
.db	$F5, $62, $9F, $F7
.db	$F4, $53, $8F, $F7
.db	$FC, $4B, $87, $FF
.db	$7F, $3C, $C3, $7F
.db	$3F, $0F, $F0, $3F
.db	$7F, $39, $C6, $7F
.db	$FF, $3E, $C1, $FF
.db	$3F, $07, $38, $3F
.db	$27, $18, $3F, $3F
;;; x: 32-39
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$80, $00, $80, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$81, $00, $81, $81
.db	$81, $00, $81, $81
.db	$C1, $00, $C1, $C1
.db	$E1, $00, $21, $E1
.db	$E1, $80, $21, $E1
.db	$F0, $C0, $10, $F0
.db	$F0, $00, $F0, $F0
.db	$E0, $00, $20, $E0
.db	$C0, $00, $C0, $C0
;;; x: 40-47
.db	$0C, $00, $0C, $0C
.db	$12, $0C, $12, $1E
.db	$33, $0C, $33, $3F
.db	$48, $37, $48, $7F
.db	$80, $7F, $80, $FF
.db	$80, $6F, $91, $FF
.db	$80, $6F, $93, $FF
.db	$00, $FF, $03, $FF
.db	$00, $DF, $21, $FF
.db	$00, $DF, $20, $FF
.db	$00, $DF, $20, $FF
.db	$00, $EF, $10, $FF
.db	$80, $6F, $90, $FF
.db	$80, $7F, $80, $FF
.db	$60, $1F, $60, $7F
.db	$1F, $00, $1F, $1F
;;; x: 48-55
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$40, $80, $40, $C0
.db	$40, $80, $C0, $C0
.db	$20, $C0, $A0, $E0
.db	$98, $60, $98, $F8
.db	$04, $F8, $04, $FC
.db	$02, $FC, $02, $FE
.db	$0A, $F4, $0A, $F6
.db	$02, $FC, $02, $FE
.db	$02, $FC, $02, $FE
.db	$04, $F8, $04, $FC
.db	$18, $E0, $18, $F8
.db	$E0, $00, $E0, $E0
;; y: 16-31
;;; x: 0-7
.db	$0D, $02, $0F, $0F
.db	$19, $07, $1F, $1E
.db	$3F, $1A, $27, $3D
.db	$7E, $3D, $43, $7F
.db	$7C, $3B, $47, $7F
.db	$7C, $3B, $47, $7F
.db	$7F, $30, $4F, $7F
.db	$30, $0F, $3F, $3F
.db	$0C, $03, $0F, $0F
.db	$7E, $0D, $73, $7F
.db	$5F, $3E, $61, $7F
.db	$5F, $3C, $61, $7F
.db	$5E, $30, $62, $7E
.db	$5C, $30, $64, $7C
.db	$22, $1C, $3E, $3E
.db	$1E, $00, $1E, $1E
;;; x: 8-15
.db	$34, $E8, $FC, $DC
.db	$9A, $74, $FE, $EE
.db	$1A, $F4, $FE, $EE
.db	$0E, $F8, $FE, $F6
.db	$0C, $F8, $FC, $F4
.db	$1D, $F8, $FD, $E5
.db	$FE, $01, $FF, $FF
.db	$3E, $EF, $F1, $DF
.db	$3E, $EF, $F1, $DF
.db	$3E, $EF, $F1, $DF
.db	$FE, $E1, $F1, $1F
.db	$FF, $00, $FF, $FF
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$01, $00, $01, $01
.db	$03, $00, $03, $03
.db	$04, $00, $07, $04
.db	$08, $00, $0F, $08
.db	$08, $00, $0F, $08
.db	$8D, $00, $8A, $8D
.db	$8F, $04, $89, $8F
.db	$87, $00, $86, $87
.db	$81, $00, $81, $81
.db	$8E, $00, $8F, $8E
.db	$8C, $04, $8B, $8C
.db	$8C, $04, $8B, $8C
.db	$0C, $05, $0B, $0C
.db	$0C, $05, $0B, $0C
.db	$07, $02, $04, $07
.db	$03, $00, $03, $03
;;; x: 24-31
.db	$B2, $4D, $EF, $FF
.db	$19, $E6, $F7, $FF
.db	$A7, $58, $F9, $FF
.db	$47, $38, $F8, $7F
.db	$85, $7A, $FA, $FD
.db	$8C, $73, $F3, $FC
.db	$03, $FC, $FF, $F3
.db	$EE, $10, $13, $EE
.db	$FE, $00, $83, $FE
.db	$7E, $00, $C3, $7E
.db	$3E, $01, $E3, $3E
.db	$3F, $40, $FF, $3F
.db	$40, $80, $C0, $40
.db	$80, $00, $80, $80
.db	$C0, $00, $40, $C0
.db	$C0, $00, $C0, $C0
;;; x: 32-39
.db	$80, $00, $80, $80
.db	$40, $80, $C0, $C0
.db	$41, $80, $C1, $C1
.db	$C1, $00, $C1, $C1
.db	$81, $00, $81, $81
.db	$B1, $00, $B1, $B1
.db	$F1, $00, $D1, $F1
.db	$30, $00, $D0, $30
.db	$30, $20, $D0, $30
.db	$31, $20, $D1, $31
.db	$31, $E0, $D1, $31
.db	$F1, $00, $F1, $F1
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 40-47
.db	$44, $09, $4D, $76
.db	$E2, $0D, $EF, $F2
.db	$92, $68, $9E, $F3
.db	$0C, $B0, $4C, $FF
.db	$08, $70, $88, $FF
.db	$08, $71, $89, $FE
.db	$0F, $F0, $1F, $FF
.db	$5F, $AF, $F0, $F0
.db	$FF, $1F, $E0, $E0
.db	$3F, $DF, $20, $E0
.db	$3F, $8F, $60, $E0
.db	$1F, $60, $90, $F0
.db	$0F, $F0, $0F, $FF
.db	$10, $E0, $10, $F0
.db	$88, $70, $B8, $F8
.db	$78, $00, $78, $78
;;; x: 48-55
.db	$50, $20, $F0, $50
.db	$28, $90, $F8, $28
.db	$28, $90, $F8, $28
.db	$18, $C0, $F8, $18
.db	$10, $C0, $F0, $10
.db	$16, $80, $F6, $16
.db	$FA, $04, $FE, $FE
.db	$C2, $3C, $42, $7E
.db	$C2, $3C, $46, $7E
.db	$C2, $3C, $42, $7E
.db	$C2, $24, $5A, $7E
.db	$C2, $3C, $42, $7E
.db	$FE, $00, $FE, $FE
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_psychof2_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$03, $01, $02, $03
.db	$03, $01, $02, $03
.db	$07, $03, $04, $07
.db	$0F, $07, $08, $0F
.db	$1F, $01, $1E, $1F
.db	$1F, $0E, $11, $1F
.db	$3F, $03, $3C, $3F
.db	$7F, $3D, $42, $7F
.db	$7F, $07, $78, $7F
.db	$7C, $3B, $47, $7F
.db	$70, $3F, $4F, $7F
.db	$30, $1F, $2F, $3F
.db	$1C, $0F, $1F, $13
.db	$0F, $03, $0F, $0C
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$A0, $00, $A0, $A0
.db	$F0, $00, $50, $F0
.db	$F0, $00, $70, $F0
.db	$F0, $00, $10, $F0
.db	$F8, $80, $08, $F8
.db	$EC, $D0, $14, $FC
.db	$C4, $F8, $3C, $FC
.db	$CE, $F0, $3A, $FE
.db	$EF, $F0, $11, $FF
.db	$FB, $B6, $07, $FD
.db	$33, $CE, $CF, $FD
.db	$07, $FF, $FF, $F8
.db	$0F, $FE, $FF, $F1
.db	$3E, $F8, $FE, $C6
.db	$F8, $E0, $F8, $18
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$02, $00, $03, $02
.db	$02, $00, $03, $02
.db	$04, $00, $07, $04
.db	$04, $00, $07, $04
.db	$04, $00, $07, $04
.db	$84, $00, $87, $84
.db	$84, $00, $87, $84
.db	$84, $00, $87, $84
.db	$82, $00, $83, $82
.db	$01, $00, $01, $01
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$3C, $00, $3C, $3C
.db	$C3, $00, $FF, $C3
.db	$00, $00, $FF, $00
.db	$06, $00, $F9, $06
.db	$0F, $0C, $F3, $0F
.db	$0D, $0A, $F7, $0F
.db	$6C, $0B, $F7, $6F
.db	$F5, $62, $9F, $F7
.db	$F4, $53, $8F, $F7
.db	$FC, $4B, $87, $FF
.db	$7F, $3C, $C3, $7F
.db	$3F, $0F, $F0, $3F
.db	$7F, $39, $C6, $7F
.db	$FF, $3E, $C1, $FF
.db	$3F, $07, $38, $3F
;;; x: 32-39
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$80, $00, $80, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$81, $00, $81, $81
.db	$81, $00, $81, $81
.db	$C1, $00, $C1, $C1
.db	$E1, $00, $21, $E1
.db	$E1, $80, $21, $E1
.db	$F0, $C0, $10, $F0
.db	$F0, $00, $F0, $F0
.db	$E0, $00, $20, $E0
;;; x: 40-47
.db	$00, $00, $00, $00
.db	$0C, $00, $0C, $0C
.db	$12, $0C, $12, $1E
.db	$33, $0C, $33, $3F
.db	$48, $37, $48, $7F
.db	$80, $7F, $80, $FF
.db	$80, $6F, $91, $FF
.db	$80, $6F, $93, $FF
.db	$00, $FF, $03, $FF
.db	$00, $DF, $21, $FF
.db	$00, $DF, $20, $FF
.db	$00, $DF, $20, $FF
.db	$00, $EF, $10, $FF
.db	$80, $6F, $90, $FF
.db	$80, $7F, $80, $FF
.db	$60, $1F, $60, $7F
;;; x: 48-55
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$40, $80, $40, $C0
.db	$40, $80, $C0, $C0
.db	$20, $C0, $A0, $E0
.db	$98, $60, $98, $F8
.db	$04, $F8, $04, $FC
.db	$02, $FC, $02, $FE
.db	$0A, $F4, $0A, $F6
.db	$02, $FC, $02, $FE
.db	$02, $FC, $02, $FE
.db	$04, $F8, $04, $FC
.db	$18, $E0, $18, $F8
;; y: 16-31
;;; x: 0-7
.db	$0B, $04, $0F, $0F
.db	$1F, $00, $1F, $1F
.db	$1F, $07, $18, $1F
.db	$2F, $17, $38, $3F
.db	$27, $18, $3C, $3F
.db	$23, $1C, $3F, $3F
.db	$3E, $01, $3F, $3F
.db	$21, $1F, $3F, $3E
.db	$13, $0E, $1F, $1D
.db	$0F, $01, $0E, $0F
.db	$0E, $05, $0B, $0F
.db	$0F, $06, $09, $0F
.db	$1F, $0F, $10, $1F
.db	$1F, $0F, $10, $1F
.db	$08, $07, $0F, $0F
.db	$0F, $00, $0F, $0F
;;; x: 8-15
.db	$F0, $00, $F0, $E0
.db	$F0, $40, $90, $F0
.db	$F8, $E0, $08, $F8
.db	$F8, $E0, $08, $F8
.db	$F0, $00, $10, $F0
.db	$FC, $10, $FC, $EC
.db	$3E, $E8, $F2, $DE
.db	$FC, $18, $E4, $FC
.db	$FC, $F0, $04, $FC
.db	$F8, $E0, $08, $F8
.db	$70, $C0, $90, $F0
.db	$B8, $60, $C8, $F8
.db	$C8, $B0, $78, $F8
.db	$F0, $80, $30, $F0
.db	$10, $E0, $F0, $F0
.db	$F0, $00, $F0, $F0
;;; x: 16-23
.db	$01, $00, $01, $01
.db	$03, $00, $03, $03
.db	$03, $00, $03, $03
.db	$05, $02, $07, $07
.db	$04, $03, $07, $07
.db	$04, $03, $07, $07
.db	$07, $00, $07, $07
.db	$07, $00, $04, $07
.db	$03, $00, $02, $03
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
.db	$02, $00, $03, $02
.db	$02, $00, $03, $02
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
;;; x: 24-31
.db	$27, $D8, $FF, $FF
.db	$F6, $00, $FA, $F6
.db	$03, $00, $FD, $03
.db	$03, $02, $FD, $03
.db	$86, $04, $FA, $86
.db	$7F, $80, $FD, $FF
.db	$FE, $00, $C3, $FE
.db	$FC, $00, $1F, $FC
.db	$E0, $00, $3F, $E0
.db	$C1, $00, $FF, $C1
.db	$72, $30, $CE, $72
.db	$39, $08, $F7, $39
.db	$0F, $00, $F9, $0F
.db	$06, $00, $FE, $06
.db	$FE, $F0, $02, $FE
.db	$FE, $00, $FE, $FE
;;; x: 32-39
.db	$C0, $00, $C0, $C0
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
.db	$81, $00, $81, $81
.db	$41, $00, $C1, $41
.db	$81, $00, $81, $81
.db	$80, $00, $80, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 40-47
.db	$7F, $00, $7F, $7F
.db	$DE, $01, $DE, $FF
.db	$E0, $1F, $E0, $FF
.db	$20, $57, $68, $BF
.db	$10, $49, $76, $9F
.db	$0F, $20, $3F, $CF
.db	$FF, $04, $F8, $F8
.db	$FF, $78, $83, $83
.db	$FC, $33, $C4, $C7
.db	$78, $06, $79, $7F
.db	$68, $17, $68, $7F
.db	$66, $11, $6E, $7F
.db	$C1, $2E, $D1, $FF
.db	$C0, $2F, $D0, $FF
.db	$60, $1F, $62, $7F
.db	$3F, $00, $3F, $3F
;;; x: 48-55
.db	$E0, $00, $E0, $E0
.db	$60, $80, $E0, $E0
.db	$30, $C0, $70, $F0
.db	$30, $C0, $30, $F0
.db	$50, $A0, $F0, $D0
.db	$F8, $00, $B8, $B8
.db	$C4, $38, $44, $7C
.db	$88, $70, $88, $F8
.db	$08, $70, $88, $F8
.db	$10, $E0, $10, $F0
.db	$20, $C0, $20, $E0
.db	$10, $E0, $10, $F0
.db	$10, $E0, $B0, $F0
.db	$E0, $00, $E0, $E0
.db	$40, $80, $C0, $C0
.db	$C0, $00, $C0, $C0

; Frame 2
data_psychof2_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$01, $00, $01, $01
.db	$03, $01, $02, $03
.db	$03, $01, $02, $03
.db	$07, $03, $04, $07
.db	$0F, $07, $08, $0F
.db	$1F, $01, $1E, $1F
.db	$1F, $0E, $11, $1F
.db	$3F, $03, $3C, $3F
.db	$7F, $3D, $42, $7F
.db	$7F, $07, $78, $7F
.db	$7C, $3B, $47, $7F
.db	$70, $3F, $4F, $7F
.db	$30, $1F, $2F, $3F
.db	$1C, $0F, $1F, $13
.db	$0F, $03, $0F, $0C
.db	$03, $00, $03, $03
;;; x: 8-15
.db	$A0, $00, $A0, $A0
.db	$F0, $00, $50, $F0
.db	$F0, $00, $70, $F0
.db	$F0, $00, $10, $F0
.db	$F8, $80, $08, $F8
.db	$EC, $D0, $14, $FC
.db	$C4, $F8, $3C, $FC
.db	$CE, $F0, $3A, $FE
.db	$EF, $F0, $11, $FF
.db	$FB, $B6, $07, $FD
.db	$33, $CE, $CF, $FD
.db	$07, $FF, $FF, $F8
.db	$0F, $FE, $FF, $F1
.db	$3E, $F8, $FE, $C6
.db	$F8, $E0, $F8, $18
.db	$E0, $00, $E0, $E0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$02, $00, $03, $02
.db	$04, $00, $07, $04
.db	$04, $00, $07, $04
.db	$08, $00, $0F, $08
.db	$08, $00, $0F, $08
.db	$09, $00, $0F, $09
.db	$89, $00, $8F, $89
.db	$89, $00, $8F, $89
.db	$88, $00, $8F, $88
.db	$84, $00, $87, $84
.db	$02, $00, $03, $02
.db	$01, $00, $01, $01
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$78, $00, $78, $78
.db	$86, $00, $FE, $86
.db	$01, $00, $FF, $01
.db	$0D, $00, $F3, $0D
.db	$1E, $18, $E6, $1E
.db	$1A, $14, $EE, $1E
.db	$D9, $16, $EF, $DF
.db	$EB, $C4, $3F, $EF
.db	$E9, $A6, $1F, $EF
.db	$F9, $96, $0F, $FF
.db	$FF, $78, $86, $FF
.db	$7F, $1F, $E0, $7F
.db	$FF, $73, $8C, $FF
.db	$FF, $7C, $83, $FF
.db	$7F, $0E, $70, $7F
.db	$4F, $30, $7F, $7F
;;; x: 32-39
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $01
.db	$02, $01, $02, $03
.db	$02, $01, $02, $03
.db	$02, $01, $02, $03
.db	$04, $03, $04, $07
.db	$04, $03, $04, $07
.db	$84, $03, $84, $87
.db	$C4, $03, $44, $C7
.db	$C4, $03, $44, $C7
.db	$E2, $81, $22, $E3
.db	$E2, $01, $E2, $E3
.db	$C1, $00, $41, $C1
.db	$80, $00, $80, $80
;;; x: 40-47
.db	$30, $00, $30, $30
.db	$48, $30, $48, $78
.db	$CC, $30, $CC, $FC
.db	$22, $DC, $22, $FE
.db	$01, $FE, $01, $FF
.db	$01, $BE, $47, $FF
.db	$00, $BF, $4E, $FF
.db	$02, $FD, $0E, $FF
.db	$00, $7F, $84, $FF
.db	$00, $7F, $80, $FF
.db	$00, $7F, $80, $FF
.db	$00, $BF, $40, $FF
.db	$00, $BF, $40, $FF
.db	$00, $FF, $00, $FF
.db	$80, $7F, $80, $FF
.db	$7F, $00, $7F, $7F
;;; x: 48-55
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $80, $80
.db	$60, $80, $60, $E0
.db	$10, $E0, $10, $F0
.db	$08, $F0, $08, $F8
.db	$28, $D0, $28, $D8
.db	$08, $F0, $08, $F8
.db	$08, $F0, $08, $F8
.db	$10, $E0, $10, $F0
.db	$60, $80, $60, $E0
.db	$80, $00, $80, $80
;; y: 16-31
;;; x: 0-7
.db	$05, $02, $07, $07
.db	$04, $03, $07, $07
.db	$0A, $05, $0F, $0F
.db	$09, $06, $0F, $0F
.db	$08, $07, $0F, $0F
.db	$0F, $00, $0F, $0F
.db	$08, $07, $0F, $0F
.db	$08, $07, $0F, $0F
.db	$7E, $01, $7F, $7F
.db	$5F, $3E, $61, $7F
.db	$5F, $3E, $60, $7F
.db	$5F, $38, $60, $7F
.db	$5F, $20, $67, $7F
.db	$58, $20, $78, $78
.db	$60, $00, $60, $60
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$E6, $10, $F6, $D6
.db	$7F, $C4, $FB, $BF
.db	$FF, $BE, $C0, $7F
.db	$FF, $7E, $80, $FF
.db	$FF, $E0, $00, $FF
.db	$FF, $00, $FF, $FF
.db	$0C, $F8, $FC, $F4
.db	$0C, $F8, $FC, $F4
.db	$3E, $F4, $FE, $CA
.db	$FE, $C8, $FE, $36
.db	$FE, $20, $DA, $FE
.db	$FE, $38, $C2, $FE
.db	$7E, $38, $42, $7E
.db	$7F, $38, $41, $7F
.db	$40, $3F, $7F, $7F
.db	$7F, $00, $7F, $7F
;;; x: 16-23
.db	$01, $00, $01, $01
.db	$81, $00, $81, $81
.db	$82, $01, $83, $83
.db	$82, $01, $83, $83
.db	$82, $01, $83, $83
.db	$03, $00, $03, $03
.db	$03, $00, $02, $03
.db	$03, $00, $02, $03
.db	$1F, $00, $1F, $1F
.db	$18, $08, $17, $18
.db	$18, $08, $17, $18
.db	$18, $08, $17, $18
.db	$19, $00, $17, $19
.db	$1E, $00, $16, $1E
.db	$98, $00, $98, $98
.db	$80, $00, $80, $80
;;; x: 24-31
.db	$79, $86, $F5, $FD
.db	$0F, $F1, $FE, $FF
.db	$90, $60, $FF, $F0
.db	$60, $80, $FF, $E0
.db	$00, $C0, $FF, $C0
.db	$FF, $00, $FF, $FF
.db	$FF, $00, $01, $FF
.db	$FF, $00, $01, $FF
.db	$FF, $00, $82, $FF
.db	$7F, $00, $CD, $7F
.db	$36, $00, $FF, $36
.db	$30, $00, $FF, $30
.db	$D0, $00, $DF, $D0
.db	$10, $00, $1F, $10
.db	$1F, $0F, $10, $1F
.db	$1F, $00, $1F, $1F
;;; x: 32-39
.db	$80, $00, $80, $80
.db	$E0, $00, $E0, $E0
.db	$61, $40, $A1, $61
.db	$61, $00, $A1, $61
.db	$61, $40, $A1, $61
.db	$C1, $00, $C1, $C1
.db	$01, $00, $01, $01
.db	$01, $00, $01, $01
.db	$87, $00, $87, $87
.db	$84, $02, $85, $87
.db	$84, $03, $84, $87
.db	$84, $03, $86, $87
.db	$84, $03, $84, $87
.db	$45, $02, $C7, $47
.db	$E6, $00, $26, $E6
.db	$E0, $00, $E0, $E0
;;; x: 40-47
.db	$DE, $01, $DF, $FC
.db	$83, $08, $8F, $F3
.db	$44, $13, $5C, $E7
.db	$38, $43, $7C, $BF
.db	$10, $4C, $73, $9F
.db	$FF, $00, $FF, $FF
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $1C, $E0, $E0
.db	$1F, $60, $93, $F3
.db	$0D, $F2, $0D, $FF
.db	$0C, $F3, $0C, $FF
.db	$74, $81, $76, $F7
.db	$84, $01, $86, $87
.db	$04, $02, $05, $07
.db	$07, $00, $07, $07
;;; x: 48-55
.db	$60, $00, $E0, $60
.db	$B8, $40, $F8, $F8
.db	$08, $F0, $18, $F8
.db	$08, $F0, $08, $F8
.db	$08, $70, $88, $F8
.db	$F0, $00, $F0, $F0
.db	$C0, $00, $40, $40
.db	$C0, $00, $40, $40
.db	$E0, $00, $A0, $A0
.db	$E0, $00, $60, $60
.db	$A0, $40, $A0, $E0
.db	$20, $C0, $20, $E0
.db	$20, $C0, $20, $E0
.db	$10, $E0, $10, $F0
.db	$08, $F0, $58, $F8
.db	$F8, $00, $F8, $F8

