;
; psychofx
;
; Animation
; 3 frames
; - 32*32 pixels each
; - 512 bytes each
; 1536 bytes total
;

; Infos
data_psychofx_infos:
.db	4, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	16	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	16*3*32	; Total number of data frames bytes

; Animation
data_psychofx_anim:
.db     4       ; Number of animation frames
.db     7       ; Animation Speed
.db     0, 1, 2, 1 ; Animation

; Description:
data_psychofx_desc:
.db     "PSYCHO FOX & BIRD FLY          ", 0
;        ^         ^         ^         ^

; Palette
data_psychofx_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$34	; (R:0 G:1 B:3)
.db	$3C	; (R:0 G:3 B:3)
.db	$15	; (R:1 G:1 B:1)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$07	; (R:3 G:1 B:0)
.db	$37	; (R:3 G:1 B:3)
.db	$0B	; (R:3 G:2 B:0)
.db	$3B	; (R:3 G:2 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_psychofx_tiles:
; Frame 0
data_psychofx_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$02, $02, $04, $00
.db	$02, $02, $0C, $00
.db	$00, $00, $0F, $00
.db	$04, $04, $1B, $00
.db	$0A, $0E, $35, $00
.db	$15, $1F, $2A, $04
.db	$11, $19, $2E, $01
.db	$13, $1B, $0C, $03
;;; x: 8-15
.db	$00, $00, $1C, $00
.db	$1C, $18, $3F, $00
.db	$17, $1C, $2F, $10
.db	$19, $1E, $27, $18
.db	$1D, $1F, $23, $1C
.db	$0E, $0F, $11, $0E
.db	$0E, $0F, $11, $0E
.db	$01, $06, $0F, $00
.db	$0F, $0F, $7F, $00
.db	$0F, $0F, $FF, $00
.db	$1F, $1F, $FF, $00
.db	$5F, $5F, $BF, $00
.db	$9F, $DF, $78, $07
.db	$6F, $EF, $90, $6F
.db	$20, $33, $DF, $20
.db	$A8, $B8, $57, $A0
;;; x: 16-23
.db	$00, $00, $C0, $00
.db	$C0, $C0, $E0, $00
.db	$40, $40, $E0, $00
.db	$00, $00, $E0, $00
.db	$A0, $00, $F0, $00
.db	$F0, $E0, $F8, $00
.db	$F0, $60, $F8, $00
.db	$C8, $40, $FC, $00
.db	$F4, $B0, $FF, $00
.db	$FE, $FC, $FF, $00
.db	$FF, $FE, $FF, $00
.db	$FF, $FF, $FE, $01
.db	$FE, $FF, $79, $86
.db	$F0, $FE, $0F, $F0
.db	$00, $F0, $FE, $00
.db	$00, $00, $F0, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$00, $00, $C0, $00
.db	$00, $80, $C0, $00
.db	$00, $80, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$11, $19, $0E, $01
.db	$02, $06, $1D, $02
.db	$09, $00, $16, $09
.db	$0F, $00, $10, $0F
.db	$07, $00, $08, $07
.db	$03, $00, $04, $03
.db	$01, $00, $03, $00
.db	$03, $00, $07, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$28, $39, $D6, $20
.db	$C0, $E3, $3C, $C0
.db	$0D, $0C, $FE, $00
.db	$DE, $1E, $3F, $C0
.db	$DC, $1D, $3E, $C0
.db	$1C, $1D, $FE, $00
.db	$98, $98, $FF, $00
.db	$A0, $07, $F8, $07
.db	$00, $01, $06, $01
.db	$06, $06, $3F, $00
.db	$1F, $1F, $2F, $10
.db	$1F, $1E, $2F, $10
.db	$1E, $18, $2F, $10
.db	$1C, $18, $2E, $10
.db	$0E, $0E, $11, $0E
.db	$00, $00, $0E, $00
;;; x: 16-23
.db	$10, $64, $8A, $00
.db	$88, $32, $45, $00
.db	$08, $72, $85, $00
.db	$04, $F8, $03, $00
.db	$04, $F8, $02, $00
.db	$0C, $F0, $02, $00
.db	$00, $00, $FF, $00
.db	$07, $E7, $0F, $F0
.db	$07, $E7, $0F, $F0
.db	$07, $E7, $0F, $F0
.db	$07, $00, $8F, $70
.db	$00, $00, $FF, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $C0, $00
.db	$80, $80, $40, $80
.db	$80, $80, $40, $80
.db	$80, $80, $40, $80
.db	$80, $80, $40, $80
.db	$80, $80, $40, $80
.db	$00, $00, $C0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_psychofx_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$02, $02, $04, $00
.db	$02, $02, $0C, $00
.db	$00, $00, $0F, $00
.db	$04, $04, $1B, $00
.db	$0A, $0E, $35, $00
.db	$15, $1F, $2A, $04
.db	$11, $19, $2E, $01
.db	$13, $1B, $0C, $03
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $0E, $00
.db	$0E, $0C, $1F, $00
.db	$0B, $0E, $17, $08
.db	$0C, $0F, $13, $0C
.db	$0E, $0F, $11, $0E
.db	$07, $07, $08, $07
.db	$07, $07, $08, $07
.db	$08, $0B, $77, $00
.db	$17, $17, $EF, $00
.db	$07, $07, $FF, $00
.db	$6F, $6F, $9F, $00
.db	$8F, $EF, $7F, $00
.db	$6F, $EF, $9C, $63
.db	$27, $37, $D8, $27
.db	$A8, $B9, $57, $A0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $60, $00
.db	$60, $60, $F0, $00
.db	$A0, $20, $F0, $00
.db	$80, $00, $F0, $00
.db	$D0, $80, $F8, $00
.db	$78, $F0, $FC, $00
.db	$78, $B0, $FC, $00
.db	$E4, $20, $FE, $00
.db	$FA, $D8, $FF, $00
.db	$FF, $FE, $FF, $00
.db	$FF, $FF, $FF, $00
.db	$FF, $FF, $FF, $00
.db	$FF, $FF, $3C, $C3
.db	$F8, $FF, $07, $F8
.db	$00, $F8, $FF, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $C0, $00
.db	$00, $00, $E0, $00
.db	$80, $40, $E0, $00
.db	$80, $C0, $60, $80
.db	$00, $80, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$11, $19, $0E, $01
.db	$02, $06, $1D, $02
.db	$09, $00, $16, $09
.db	$0F, $00, $10, $0F
.db	$07, $00, $08, $07
.db	$03, $00, $04, $03
.db	$01, $00, $03, $00
.db	$03, $00, $07, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$28, $38, $D7, $20
.db	$C0, $E0, $3F, $C0
.db	$11, $01, $EF, $10
.db	$F1, $05, $0B, $F0
.db	$C0, $06, $39, $C0
.db	$10, $07, $F8, $00
.db	$B0, $90, $FF, $00
.db	$B0, $07, $F8, $07
.db	$00, $03, $04, $03
.db	$00, $00, $03, $00
.db	$01, $01, $03, $00
.db	$01, $01, $03, $00
.db	$03, $03, $07, $00
.db	$03, $03, $07, $00
.db	$01, $01, $02, $01
.db	$00, $00, $01, $00
;;; x: 16-23
.db	$04, $04, $F8, $00
.db	$18, $10, $FC, $00
.db	$FC, $F8, $FE, $00
.db	$FC, $F8, $FE, $00
.db	$F8, $00, $FC, $00
.db	$00, $00, $FB, $04
.db	$03, $72, $87, $78
.db	$06, $86, $3F, $C0
.db	$3E, $3C, $7F, $80
.db	$7C, $78, $FE, $00
.db	$78, $70, $9C, $60
.db	$9C, $98, $EE, $10
.db	$EC, $EC, $F2, $0C
.db	$F0, $E0, $FC, $00
.db	$F8, $F8, $04, $F8
.db	$00, $00, $F8, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_psychofx_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$02, $02, $04, $00
.db	$02, $02, $0C, $00
.db	$00, $00, $0F, $00
.db	$04, $04, $1B, $00
.db	$0A, $0E, $35, $00
.db	$15, $1F, $2A, $04
.db	$11, $19, $2E, $01
.db	$13, $1B, $0C, $03
;;; x: 8-15
.db	$00, $00, $1C, $00
.db	$1C, $18, $3F, $00
.db	$17, $1C, $2F, $10
.db	$19, $1E, $27, $18
.db	$1D, $1F, $23, $1C
.db	$0E, $0F, $11, $0E
.db	$0E, $0F, $11, $0E
.db	$01, $06, $0F, $00
.db	$0F, $0F, $7F, $00
.db	$0F, $0F, $FF, $00
.db	$1F, $1F, $FF, $00
.db	$5F, $5F, $BF, $00
.db	$9F, $DF, $78, $07
.db	$6F, $EF, $90, $6F
.db	$20, $33, $DF, $20
.db	$A8, $B8, $57, $A0
;;; x: 16-23
.db	$00, $00, $C0, $00
.db	$C0, $C0, $E0, $00
.db	$40, $40, $E0, $00
.db	$00, $00, $E0, $00
.db	$A0, $00, $F0, $00
.db	$F0, $E0, $F8, $00
.db	$F0, $60, $F8, $00
.db	$C8, $40, $FC, $00
.db	$F4, $B0, $FF, $00
.db	$FE, $FC, $FF, $00
.db	$FF, $FE, $FF, $00
.db	$FF, $FF, $FE, $01
.db	$FE, $FF, $79, $86
.db	$F0, $FE, $0F, $F0
.db	$00, $F0, $FE, $00
.db	$00, $00, $F0, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$00, $00, $C0, $00
.db	$00, $80, $C0, $00
.db	$00, $80, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$11, $19, $0E, $01
.db	$02, $06, $1D, $02
.db	$09, $00, $16, $09
.db	$0F, $00, $10, $0F
.db	$07, $00, $08, $07
.db	$03, $00, $04, $03
.db	$01, $00, $03, $00
.db	$03, $00, $07, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$28, $39, $D6, $20
.db	$C0, $E5, $3E, $C0
.db	$10, $02, $ED, $10
.db	$F0, $03, $0C, $F0
.db	$C0, $03, $3C, $C0
.db	$18, $08, $FF, $00
.db	$B8, $9B, $FC, $03
.db	$B8, $03, $FC, $03
.db	$00, $00, $3F, $00
.db	$1F, $1F, $2F, $10
.db	$1F, $1F, $2F, $10
.db	$1F, $1C, $2F, $10
.db	$1C, $10, $2F, $10
.db	$10, $10, $2C, $10
.db	$00, $00, $30, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$10, $18, $E3, $00
.db	$22, $C2, $1F, $00
.db	$5F, $9F, $3F, $00
.db	$3F, $3F, $FF, $00
.db	$7F, $F0, $7F, $00
.db	$00, $00, $FF, $00
.db	$00, $F8, $02, $FC
.db	$00, $F8, $02, $FC
.db	$00, $E0, $05, $FA
.db	$00, $00, $9B, $64
.db	$92, $10, $FF, $00
.db	$9E, $1C, $FF, $00
.db	$1E, $1C, $BF, $00
.db	$1F, $1C, $3F, $00
.db	$1F, $1F, $20, $1F
.db	$00, $00, $3F, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$00, $00, $C0, $00
.db	$80, $00, $C0, $00
.db	$80, $00, $C0, $00
.db	$80, $00, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$80, $80, $40, $80
.db	$00, $00, $C0, $00

