;
; snail
;
; Animation
; 2 frames
; - 8*16 pixels each
; - 64 bytes each
; 128 bytes total
;

; Infos
data_snail_infos:
.db	1, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	2	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	2*2*32	; Total number of data frames bytes

; Animation
data_snail_anim:
.db	2	; Number of animation frames
.db     5       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_snail_desc:
.db     "SNAIL                          ", 0
;        ^         ^         ^         ^

; Palette
data_snail_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$16	; (R:2 G:1 B:1)
.db	$07	; (R:3 G:1 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_snail_tiles:
; Frame 0
data_snail_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$78, $78, $00, $00
.db	$FC, $CC, $00, $00
.db	$FC, $B4, $01, $00
.db	$FC, $AD, $00, $00
.db	$FC, $C7, $00, $00
.db	$78, $7F, $00, $00
.db	$2A, $D4, $00, $00

; Frame 1
data_snail_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$78, $78, $00, $00
.db	$FC, $CC, $00, $00
.db	$FC, $B4, $00, $00
.db	$FC, $AC, $01, $00
.db	$FC, $C7, $00, $00
.db	$78, $7F, $00, $00
.db	$54, $AA, $00, $00

