;
; sonic
;
; Animation
; 6 frames
; - 24*32 pixels each
; - 384 bytes each
; 2304 bytes total
;

; Infos
data_sonic_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	6	; Number of data frames
.dw	12*6*32	; Total number of data frames bytes

; Animation
data_sonic_anim:
.db	6	; Number of animation frames
.db     5                       ; Animation Speed
.db	0, 1, 2, 3, 4, 5	; Animation

; Description:
data_sonic_desc:
.db     "SONIC THE HEDGEHOG             ", 0
;        ^         ^         ^         ^

; Palette
data_sonic_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$20	; (R:0 G:0 B:2)
.db	$00	; (R:0 G:0 B:0)
.db	$35	; (R:1 G:1 B:3)
.db	$16	; (R:2 G:1 B:1)
.db	$2A	; (R:2 G:2 B:2)
.db	$1B	; (R:3 G:2 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_sonic_tiles:
; Frame 0
data_sonic_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $01, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $07, $00, $00
.db	$1F, $0F, $00, $00
.db	$3F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $01, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$F9, $00, $00, $00
.db	$F7, $E0, $08, $00
.db	$F3, $6B, $0C, $00
.db	$E7, $0F, $18, $00
.db	$E7, $0F, $18, $00
.db	$EF, $CF, $11, $00
.db	$FF, $FD, $03, $00
.db	$FF, $FD, $03, $00
.db	$FF, $3D, $03, $00
.db	$FF, $3D, $03, $00
.db	$F9, $11, $07, $00
.db	$F0, $C6, $0F, $00
.db	$F0, $07, $0F, $00
.db	$F8, $02, $07, $00
.db	$FD, $00, $03, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $00, $00
.db	$C0, $80, $00, $00
.db	$E0, $C0, $00, $00
.db	$E0, $C0, $80, $00
.db	$A0, $C0, $80, $00
.db	$A0, $C0, $80, $00
.db	$A0, $F8, $A0, $00
.db	$80, $D8, $A0, $00
.db	$00, $30, $E0, $00
.db	$00, $80, $E0, $00
.db	$C0, $00, $C0, $00
.db	$E0, $C0, $E0, $00
;; y: 16-31
;;; x: 0-7
.db	$08, $07, $00, $00
.db	$04, $1A, $05, $00
.db	$0E, $11, $0E, $00
.db	$0D, $13, $0C, $00
.db	$0D, $12, $0C, $00
.db	$03, $0C, $00, $00
.db	$00, $0E, $06, $00
.db	$03, $1D, $0F, $00
.db	$02, $3F, $1E, $00
.db	$02, $3F, $1E, $00
.db	$13, $79, $3F, $00
.db	$08, $78, $3C, $00
.db	$08, $F8, $78, $00
.db	$00, $E0, $70, $00
.db	$00, $C0, $60, $00
.db	$00, $80, $40, $00
;;; x: 8-15
.db	$29, $D2, $05, $00
.db	$61, $1F, $81, $00
.db	$E1, $92, $0D, $00
.db	$F0, $0C, $03, $00
.db	$E0, $06, $1F, $00
.db	$E0, $0E, $1F, $00
.db	$71, $0C, $0E, $00
.db	$3E, $00, $00, $00
.db	$F0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$F0, $E0, $F0, $00
.db	$F0, $E0, $F0, $00
.db	$E0, $C0, $E1, $00
.db	$C0, $00, $C3, $00
.db	$E0, $01, $02, $00
.db	$F4, $01, $16, $00
.db	$24, $03, $3C, $00
.db	$44, $02, $7C, $00
.db	$00, $06, $78, $00
.db	$00, $0C, $70, $00
.db	$00, $1C, $20, $00
.db	$00, $18, $20, $00
.db	$00, $10, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_sonic_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0F, $03, $00, $00
.db	$03, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0F, $01, $00, $00
.db	$1F, $0F, $00, $00
.db	$3F, $1F, $00, $00
.db	$7F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $01, $00, $00
.db	$0F, $02, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$F2, $00, $00, $00
.db	$EE, $C0, $10, $00
.db	$E7, $D6, $18, $00
.db	$CF, $1F, $30, $00
.db	$CF, $1F, $30, $00
.db	$DF, $9F, $22, $00
.db	$FF, $FB, $07, $00
.db	$FF, $FB, $07, $00
.db	$FF, $7B, $07, $00
.db	$FF, $7B, $07, $00
.db	$F3, $23, $0F, $00
.db	$E0, $8C, $1F, $00
.db	$E0, $0F, $1F, $00
.db	$F0, $07, $0F, $00
.db	$F8, $00, $06, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $00, $00
.db	$C0, $80, $00, $00
.db	$40, $80, $00, $00
.db	$40, $80, $00, $00
.db	$40, $F0, $40, $00
.db	$00, $B0, $40, $00
.db	$00, $60, $C0, $00
.db	$00, $80, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $01, $00, $00
.db	$07, $02, $00, $00
.db	$00, $07, $03, $00
.db	$01, $08, $07, $00
.db	$01, $09, $07, $00
.db	$01, $09, $07, $00
.db	$01, $08, $07, $00
.db	$00, $05, $03, $00
.db	$02, $04, $03, $00
.db	$01, $03, $01, $00
.db	$00, $02, $01, $00
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$78, $00, $00, $00
.db	$C0, $10, $2C, $00
.db	$8C, $20, $5E, $00
.db	$9E, $34, $5E, $00
.db	$DE, $16, $3E, $00
.db	$FE, $8C, $9E, $00
.db	$9E, $60, $0C, $00
.db	$FC, $80, $00, $00
.db	$FC, $F0, $80, $00
.db	$76, $88, $80, $00
.db	$42, $C4, $C1, $00
.db	$80, $C0, $C3, $00
.db	$00, $C5, $C2, $00
.db	$00, $42, $C1, $00
.db	$00, $C2, $01, $00
.db	$00, $03, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $04, $08, $00
.db	$00, $04, $18, $00
.db	$00, $08, $30, $00
.db	$40, $08, $70, $00
.db	$20, $10, $E0, $00
.db	$00, $20, $C0, $00
.db	$00, $60, $80, $00
.db	$00, $C0, $00, $00
.db	$00, $80, $00, $00

; Frame 2
data_sonic_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0F, $03, $00, $00
.db	$03, $01, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $02, $00, $00
.db	$1F, $07, $00, $00
.db	$3F, $1F, $00, $00
.db	$7F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $04, $00, $00
.db	$1F, $08, $00, $00
.db	$1F, $08, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$E1, $00, $00, $00
.db	$FF, $A1, $00, $00
.db	$BF, $1D, $40, $00
.db	$9F, $4E, $60, $00
.db	$1F, $4E, $E0, $00
.db	$3F, $7F, $C8, $00
.db	$FF, $EF, $1C, $00
.db	$FD, $EF, $1C, $00
.db	$FD, $EF, $1C, $00
.db	$FC, $EF, $1C, $00
.db	$CC, $4E, $3D, $00
.db	$80, $31, $7F, $00
.db	$80, $3F, $7F, $00
.db	$C0, $1E, $3F, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$3F, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $00, $01, $00
.db	$06, $02, $07, $00
.db	$0F, $07, $0F, $00
.db	$0F, $06, $0F, $00
.db	$0F, $07, $0F, $00
.db	$06, $01, $06, $00
.db	$00, $03, $00, $00
.db	$00, $06, $01, $00
.db	$00, $06, $01, $00
.db	$00, $05, $02, $00
.db	$00, $04, $03, $00
.db	$00, $02, $01, $00
.db	$00, $01, $00, $00
;;; x: 8-15
.db	$F0, $03, $0C, $00
.db	$F3, $0C, $03, $00
.db	$23, $44, $DB, $00
.db	$42, $99, $BE, $00
.db	$F0, $26, $0C, $00
.db	$F8, $18, $0C, $00
.db	$F0, $3C, $38, $00
.db	$C0, $3C, $3C, $00
.db	$82, $7F, $7F, $00
.db	$04, $8F, $7F, $00
.db	$04, $F0, $0F, $00
.db	$00, $8F, $00, $00
.db	$00, $40, $80, $00
.db	$00, $38, $C0, $00
.db	$40, $04, $F8, $00
.db	$00, $FC, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $C0, $00
.db	$00, $00, $C0, $00
.db	$00, $C0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 3
data_sonic_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $01, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $01, $00, $00
.db	$0F, $03, $00, $00
.db	$1F, $0F, $00, $00
.db	$3F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $02, $00, $00
.db	$0F, $04, $00, $00
.db	$0F, $04, $00, $00
.db	$1F, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$F0, $00, $00, $00
.db	$FF, $D0, $00, $00
.db	$DF, $8E, $20, $00
.db	$CF, $27, $30, $00
.db	$8F, $27, $70, $00
.db	$9F, $3F, $64, $00
.db	$FF, $F7, $0E, $00
.db	$FE, $F7, $0E, $00
.db	$FE, $77, $0E, $00
.db	$FE, $77, $0E, $00
.db	$E6, $27, $1E, $00
.db	$C0, $19, $3F, $00
.db	$C0, $1F, $3F, $00
.db	$E0, $0F, $1F, $00
.db	$F8, $01, $06, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $80, $00, $00
.db	$80, $80, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $00, $00
.db	$C0, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $60, $80, $00
.db	$00, $F0, $80, $00
.db	$30, $88, $F0, $00
.db	$30, $48, $B0, $00
.db	$70, $88, $70, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $03, $00, $00
.db	$08, $0D, $0B, $00
.db	$39, $2A, $3E, $00
.db	$3F, $3C, $3C, $00
.db	$3F, $34, $3C, $00
.db	$3F, $18, $38, $00
.db	$1A, $00, $18, $00
.db	$00, $02, $00, $00
.db	$00, $0F, $00, $00
.db	$01, $1A, $04, $00
.db	$00, $19, $06, $00
.db	$00, $11, $0E, $00
.db	$00, $32, $0C, $00
.db	$08, $24, $18, $00
.db	$00, $48, $30, $00
.db	$00, $70, $00, $00
;;; x: 8-15
.db	$78, $86, $01, $00
.db	$30, $83, $CC, $00
.db	$E0, $08, $1C, $00
.db	$E0, $18, $1C, $00
.db	$E0, $38, $1C, $00
.db	$F0, $30, $0C, $00
.db	$FF, $0F, $00, $00
.db	$7F, $80, $00, $00
.db	$01, $E0, $00, $00
.db	$80, $40, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$70, $08, $F0, $00
.db	$00, $F0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $06, $04, $00
.db	$00, $0E, $0C, $00
.db	$00, $0E, $0C, $00
.db	$00, $0E, $0C, $00
.db	$98, $9E, $1C, $00
.db	$C4, $5E, $5C, $00
.db	$C0, $7C, $78, $00
.db	$80, $F4, $F8, $00
.db	$00, $64, $78, $00
.db	$00, $08, $70, $00
.db	$00, $48, $30, $00
.db	$00, $30, $00, $00
.db	$00, $00, $00, $00

; Frame 4
data_sonic_tiles_frame4:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$07, $01, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $01, $00, $00
.db	$0F, $03, $00, $00
.db	$1F, $0F, $00, $00
.db	$3F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $02, $00, $00
.db	$0F, $04, $00, $00
.db	$0F, $04, $00, $00
.db	$1F, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$F0, $00, $00, $00
.db	$FF, $D0, $00, $00
.db	$DF, $8E, $20, $00
.db	$CF, $27, $30, $00
.db	$8F, $27, $70, $00
.db	$9F, $3F, $64, $00
.db	$FF, $F7, $0E, $00
.db	$FE, $F7, $0E, $00
.db	$FE, $77, $0E, $00
.db	$FE, $77, $0E, $00
.db	$E6, $27, $1E, $00
.db	$C0, $18, $3F, $00
.db	$C0, $1F, $3F, $00
.db	$E0, $0F, $1F, $00
.db	$F8, $00, $06, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $80, $00, $00
.db	$80, $80, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $00, $00
.db	$C0, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $60, $80, $00
.db	$00, $E0, $80, $00
.db	$00, $80, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$03, $01, $03, $00
.db	$07, $03, $07, $00
.db	$07, $03, $07, $00
.db	$07, $01, $07, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $00
.db	$00, $07, $00, $00
.db	$00, $0A, $05, $00
.db	$04, $11, $0E, $00
.db	$00, $13, $0C, $00
.db	$00, $1C, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$F8, $84, $80, $00
.db	$D0, $83, $EC, $00
.db	$E0, $8D, $DE, $00
.db	$E1, $0C, $9F, $00
.db	$C1, $1C, $3F, $00
.db	$C0, $19, $3C, $00
.db	$F8, $00, $04, $00
.db	$78, $88, $00, $00
.db	$4C, $A4, $00, $00
.db	$0C, $E4, $00, $00
.db	$04, $C0, $00, $00
.db	$0E, $0E, $0E, $00
.db	$00, $0F, $0F, $00
.db	$00, $1F, $1F, $00
.db	$00, $1F, $18, $00
.db	$00, $0F, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $40, $80, $00
.db	$C0, $20, $C0, $00
.db	$C0, $20, $C0, $00
.db	$00, $C0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $18, $10, $00
.db	$00, $38, $20, $00
.db	$00, $68, $50, $00
.db	$80, $F0, $C0, $00
.db	$80, $D0, $A0, $00
.db	$80, $20, $C0, $00
.db	$00, $60, $80, $00
.db	$00, $C0, $00, $00

; Frame 5
data_sonic_tiles_frame5:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $00, $00, $00
.db	$1F, $07, $00, $00
.db	$07, $01, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $00
.db	$1F, $03, $00, $00
.db	$3F, $1F, $00, $00
.db	$7F, $3F, $00, $00
.db	$FF, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0F, $03, $00, $00
.db	$1F, $04, $00, $00
.db	$1F, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$E4, $00, $00, $00
.db	$DC, $80, $20, $00
.db	$CE, $AC, $30, $00
.db	$9F, $3E, $60, $00
.db	$9F, $3E, $60, $00
.db	$BF, $3F, $44, $00
.db	$FF, $F7, $0E, $00
.db	$FE, $F7, $0E, $00
.db	$FE, $F7, $0E, $00
.db	$FE, $F7, $0E, $00
.db	$E6, $47, $1E, $00
.db	$C0, $19, $3F, $00
.db	$C0, $1F, $3F, $00
.db	$E0, $0E, $1F, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $E0, $80, $00
.db	$00, $60, $80, $00
.db	$00, $C0, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$3F, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $02, $00, $00
.db	$0F, $04, $00, $00
.db	$0F, $00, $00, $00
.db	$09, $00, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $01, $03, $00
.db	$01, $0B, $07, $00
.db	$01, $0B, $07, $00
.db	$01, $0B, $07, $00
.db	$00, $0B, $07, $00
.db	$00, $09, $07, $00
.db	$00, $07, $00, $00
;;; x: 8-15
.db	$F0, $00, $0C, $00
.db	$F8, $18, $18, $00
.db	$FE, $1C, $3E, $00
.db	$BE, $1C, $7E, $00
.db	$BC, $18, $7C, $00
.db	$D8, $00, $3C, $00
.db	$E0, $02, $1C, $00
.db	$F4, $23, $08, $00
.db	$F8, $15, $02, $00
.db	$30, $1D, $02, $00
.db	$B0, $98, $87, $00
.db	$F0, $28, $07, $00
.db	$E0, $04, $03, $00
.db	$80, $83, $80, $00
.db	$00, $F0, $E0, $00
.db	$00, $E0, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $40, $80, $00
.db	$80, $20, $C0, $00
.db	$00, $10, $E0, $00
.db	$00, $F0, $00, $00
.db	$00, $00, $00, $00

