;
; wboy1
;
; Animation
; 4 frames
; - 24*32 pixels each
; - 384 bytes each
; 1536 bytes total
;

; Infos
data_wboy1_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	12*4*32	; Total number of data frames bytes

; Animation
data_wboy1_anim:
.db	4	; Number of animation frames
.db     8       ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_wboy1_desc:
.db     "TOM TOM                        ", 0
;        ^         ^         ^         ^

; Palette
data_wboy1_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$0C	; (R:0 G:3 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$16	; (R:2 G:1 B:1)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_wboy1_tiles:
; Frame 0
data_wboy1_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $08
.db	$00, $08, $0C, $33
.db	$00, $15, $1D, $02
.db	$00, $0A, $0A, $35
.db	$08, $0F, $07, $00
.db	$08, $0F, $07, $00
.db	$10, $1F, $0F, $00
.db	$10, $1E, $0E, $01
.db	$10, $1C, $0C, $03
.db	$10, $1C, $0C, $03
.db	$10, $1E, $0F, $00
.db	$10, $1E, $0F, $00
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$04, $07, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $F8
.db	$18, $00, $00, $FE
.db	$06, $00, $00, $FF
.db	$02, $C0, $C0, $3F
.db	$00, $80, $80, $7F
.db	$11, $80, $80, $7F
.db	$19, $09, $09, $F6
.db	$40, $40, $4B, $B4
.db	$07, $07, $5F, $A0
.db	$1F, $12, $72, $8D
.db	$3F, $27, $62, $98
.db	$3F, $27, $62, $98
.db	$1F, $1F, $FF, $00
.db	$5F, $5D, $7D, $82
.db	$3F, $3D, $7F, $80
.db	$1F, $1F, $3F, $C0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $C0
.db	$00, $00, $00, $C0
.db	$00, $00, $80, $40
.db	$80, $80, $80, $40
.db	$80, $00, $00, $C0
.db	$80, $00, $00, $C0
.db	$80, $80, $80, $40
.db	$80, $80, $80, $00
.db	$80, $80, $80, $00
.db	$00, $00, $00, $80
;; y: 16-31
;;; x: 0-7
.db	$03, $03, $01, $00
.db	$07, $07, $03, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$07, $07, $03, $00
.db	$03, $03, $00, $00
.db	$0F, $0E, $00, $00
.db	$10, $10, $0F, $00
.db	$10, $10, $0F, $00
.db	$17, $17, $0F, $00
.db	$17, $17, $0E, $00
.db	$16, $16, $0C, $00
.db	$0C, $0C, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$E0, $E0, $FE, $01
.db	$FE, $FE, $FE, $00
.db	$BF, $BF, $FF, $00
.db	$9F, $9F, $FF, $00
.db	$EF, $EF, $FF, $00
.db	$F1, $F1, $FF, $00
.db	$DE, $DF, $FE, $00
.db	$FF, $3F, $3F, $00
.db	$E7, $07, $1F, $00
.db	$79, $11, $87, $00
.db	$FC, $DC, $83, $00
.db	$A2, $A2, $01, $00
.db	$01, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $C0, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$00, $80, $00, $00
.db	$B0, $B0, $B0, $00
.db	$F8, $F8, $F8, $00
.db	$F8, $F8, $F8, $00
.db	$30, $30, $F0, $00
.db	$10, $10, $E0, $00
.db	$E0, $E0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_wboy1_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $08
.db	$00, $08, $0C, $33
.db	$00, $15, $1D, $02
.db	$00, $0A, $0A, $35
.db	$08, $0F, $07, $00
.db	$08, $0F, $07, $00
.db	$10, $1F, $0F, $00
.db	$10, $1E, $0E, $01
.db	$10, $1C, $0C, $03
.db	$10, $1C, $0C, $03
.db	$10, $1E, $0F, $00
.db	$10, $1E, $0F, $00
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$04, $07, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $F8
.db	$18, $00, $00, $FE
.db	$06, $00, $00, $FF
.db	$02, $C0, $C0, $3F
.db	$00, $80, $80, $7F
.db	$11, $80, $80, $7F
.db	$19, $09, $09, $F6
.db	$40, $40, $4B, $B4
.db	$07, $07, $5F, $A0
.db	$1F, $12, $72, $8D
.db	$3F, $27, $62, $98
.db	$3F, $27, $62, $98
.db	$1F, $1F, $FF, $00
.db	$5F, $5D, $7D, $82
.db	$3F, $3D, $7F, $80
.db	$1F, $1F, $3F, $C0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $C0
.db	$00, $00, $00, $C0
.db	$00, $00, $80, $40
.db	$80, $80, $80, $40
.db	$80, $00, $00, $C0
.db	$80, $00, $00, $C0
.db	$80, $80, $80, $40
.db	$80, $80, $80, $00
.db	$80, $80, $80, $00
.db	$00, $00, $00, $80
;; y: 16-31
;;; x: 0-7
.db	$03, $03, $01, $00
.db	$07, $07, $03, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$07, $07, $03, $00
.db	$03, $03, $00, $00
.db	$03, $02, $00, $00
.db	$07, $04, $00, $00
.db	$0F, $08, $00, $00
.db	$07, $07, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$E0, $E0, $FE, $01
.db	$FF, $FF, $FF, $00
.db	$BF, $BF, $FF, $00
.db	$9F, $9F, $FF, $00
.db	$EF, $EF, $FF, $00
.db	$F1, $F1, $FF, $00
.db	$CC, $C3, $F0, $00
.db	$FE, $31, $30, $00
.db	$7E, $79, $F8, $00
.db	$3D, $3C, $FA, $00
.db	$39, $39, $FF, $00
.db	$BA, $BA, $7E, $00
.db	$98, $98, $78, $00
.db	$9C, $9C, $7C, $00
.db	$4C, $4C, $3C, $00
.db	$3C, $3C, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_wboy1_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $11
.db	$00, $10, $18, $67
.db	$00, $2A, $3A, $05
.db	$00, $15, $15, $6A
.db	$10, $1F, $0F, $00
.db	$10, $1F, $0F, $00
.db	$20, $3E, $1E, $01
.db	$20, $3C, $1C, $03
.db	$20, $38, $18, $07
.db	$20, $38, $18, $07
.db	$20, $3C, $1E, $01
.db	$20, $3C, $1E, $01
.db	$10, $1C, $0D, $02
.db	$10, $1C, $0C, $03
.db	$10, $1C, $0C, $03
.db	$08, $0E, $06, $01
;;; x: 8-15
.db	$00, $00, $00, $F0
.db	$30, $00, $00, $FC
.db	$0C, $00, $00, $FE
.db	$04, $80, $80, $7E
.db	$00, $00, $00, $FF
.db	$22, $00, $00, $FF
.db	$32, $12, $12, $ED
.db	$80, $80, $96, $69
.db	$0E, $0E, $BF, $40
.db	$3F, $25, $E5, $1A
.db	$7F, $4E, $C4, $31
.db	$7F, $4E, $C4, $31
.db	$3F, $3F, $FF, $00
.db	$BF, $BB, $FB, $04
.db	$7F, $7B, $FF, $00
.db	$3E, $3E, $7E, $81
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$07, $07, $01, $00
.db	$07, $07, $03, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$33, $3F, $03, $00
.db	$7C, $43, $00, $00
.db	$7F, $20, $00, $00
.db	$7F, $50, $00, $00
.db	$6F, $20, $10, $00
.db	$4F, $43, $33, $00
.db	$4E, $4E, $3E, $00
.db	$5C, $5C, $3C, $00
.db	$3C, $3C, $1C, $00
.db	$18, $18, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$C0, $C0, $FC, $02
.db	$FC, $FC, $FC, $00
.db	$BE, $BE, $FE, $00
.db	$9E, $9E, $FE, $00
.db	$EE, $EE, $FE, $00
.db	$F6, $F6, $FE, $00
.db	$F1, $F7, $F9, $00
.db	$67, $FF, $67, $00
.db	$83, $7B, $07, $00
.db	$F0, $00, $0F, $00
.db	$FF, $BF, $00, $00
.db	$40, $40, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$D8, $D8, $D8, $00
.db	$FC, $FC, $FC, $00
.db	$7C, $7C, $FC, $00
.db	$3C, $3C, $F8, $00
.db	$88, $88, $70, $00
.db	$70, $70, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 3
data_wboy1_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $08
.db	$00, $08, $0C, $33
.db	$00, $15, $1D, $02
.db	$00, $0A, $0A, $35
.db	$08, $0F, $07, $00
.db	$08, $0F, $07, $00
.db	$10, $1F, $0F, $00
.db	$10, $1E, $0E, $01
.db	$10, $1C, $0C, $03
.db	$10, $1C, $0C, $03
.db	$10, $1E, $0F, $00
.db	$10, $1E, $0F, $00
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$08, $0E, $06, $01
.db	$04, $07, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $F8
.db	$18, $00, $00, $FE
.db	$06, $00, $00, $FF
.db	$02, $C0, $C0, $3F
.db	$00, $80, $80, $7F
.db	$11, $80, $80, $7F
.db	$19, $09, $09, $F6
.db	$40, $40, $4B, $B4
.db	$07, $07, $5F, $A0
.db	$1F, $12, $72, $8D
.db	$3F, $27, $62, $98
.db	$3F, $27, $62, $98
.db	$1F, $1F, $FF, $00
.db	$5F, $5D, $7D, $82
.db	$3F, $3D, $7F, $80
.db	$1F, $1F, $3F, $C0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $00, $00, $C0
.db	$00, $00, $00, $C0
.db	$00, $00, $80, $40
.db	$80, $80, $80, $40
.db	$80, $00, $00, $C0
.db	$80, $00, $00, $C0
.db	$80, $80, $80, $40
.db	$80, $80, $80, $00
.db	$80, $80, $80, $00
.db	$00, $00, $00, $80
;; y: 16-31
;;; x: 0-7
.db	$03, $03, $01, $00
.db	$07, $07, $03, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$0F, $0F, $07, $00
.db	$07, $07, $03, $00
.db	$0F, $0F, $00, $00
.db	$1F, $10, $00, $00
.db	$0F, $08, $00, $00
.db	$06, $04, $01, $00
.db	$04, $04, $03, $00
.db	$04, $04, $03, $00
.db	$02, $02, $01, $00
.db	$01, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$E0, $E0, $FE, $01
.db	$FE, $FE, $FE, $00
.db	$FF, $FF, $FF, $00
.db	$9F, $9F, $FF, $00
.db	$EF, $EF, $FF, $00
.db	$F7, $F7, $FF, $00
.db	$F7, $F7, $FF, $00
.db	$E0, $61, $7E, $00
.db	$80, $7F, $00, $00
.db	$F3, $0B, $07, $00
.db	$F3, $8B, $87, $00
.db	$E3, $EB, $F7, $00
.db	$EB, $EB, $C7, $00
.db	$C9, $C9, $07, $00
.db	$04, $04, $03, $00
.db	$03, $03, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$40, $40, $C0, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$80, $80, $80, $00
.db	$80, $80, $80, $00
.db	$80, $80, $80, $00
.db	$C0, $C0, $C0, $00
.db	$40, $40, $C0, $00
.db	$80, $80, $00, $00

