;
; akiddmw
;
; Animation
; 3 frames
; - 16*32 pixels each
; - 256 bytes each
; 768 bytes total
;

; Infos
data_akiddmw_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	8*3*32	; Total number of data frames bytes

; Animation
data_akiddmw_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db     0, 1, 2, 1      ; Animation

; Description:
data_akiddmw_desc:
.db     "ALEX KIDD                      ", 0
;        ^         ^         ^         ^

; Palette
data_akiddmw_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$30	; (R:0 G:0 B:3)
.db	$05	; (R:1 G:1 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_akiddmw_tiles:
; Frame 0
data_akiddmw_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $07, $00, $00
.db	$18, $1F, $00, $00
.db	$20, $3F, $00, $00
.db	$40, $7F, $00, $00
.db	$40, $7F, $06, $00
.db	$80, $FD, $0F, $00
.db	$80, $FB, $0E, $00
.db	$80, $FB, $0E, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $00, $00
.db	$38, $F8, $00, $00
.db	$04, $FC, $00, $00
.db	$04, $FC, $00, $00
.db	$02, $FE, $08, $00
.db	$02, $FE, $18, $00
.db	$34, $FC, $78, $00
.db	$74, $FC, $E8, $00
;; y: 16-31
;;; x: 0-7
.db	$40, $7B, $0E, $00
.db	$80, $FD, $06, $00
.db	$60, $7F, $02, $00
.db	$18, $1F, $00, $00
.db	$07, $07, $03, $00
.db	$0F, $0A, $07, $00
.db	$1F, $14, $0F, $00
.db	$3F, $39, $1E, $00
.db	$4F, $7A, $3D, $00
.db	$47, $7C, $3B, $00
.db	$3F, $38, $07, $00
.db	$3F, $26, $01, $00
.db	$3F, $23, $00, $00
.db	$3C, $24, $00, $00
.db	$38, $28, $00, $00
.db	$30, $30, $00, $00
;;; x: 8-15
.db	$74, $FC, $E8, $00
.db	$72, $FE, $FC, $00
.db	$02, $FE, $FC, $00
.db	$04, $FC, $F8, $00
.db	$F8, $F8, $00, $00
.db	$C0, $40, $00, $00
.db	$E0, $20, $80, $00
.db	$F0, $30, $C0, $00
.db	$E8, $38, $D0, $00
.db	$C8, $78, $B0, $00
.db	$F8, $38, $C0, $00
.db	$FC, $04, $E0, $00
.db	$FC, $84, $40, $00
.db	$F8, $88, $00, $00
.db	$70, $50, $00, $00
.db	$20, $20, $00, $00

; Frame 1
data_akiddmw_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $07, $00, $00
.db	$18, $1F, $00, $00
.db	$20, $3F, $00, $00
.db	$40, $7F, $00, $00
.db	$40, $7F, $06, $00
.db	$80, $FD, $0F, $00
.db	$80, $FB, $0E, $00
.db	$80, $FB, $0E, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $00, $00
.db	$38, $F8, $00, $00
.db	$04, $FC, $00, $00
.db	$04, $FC, $00, $00
.db	$02, $FE, $08, $00
.db	$02, $FE, $18, $00
.db	$34, $FC, $78, $00
.db	$74, $FC, $E8, $00
;; y: 16-31
;;; x: 0-7
.db	$40, $7B, $0E, $00
.db	$80, $FD, $06, $00
.db	$60, $7F, $02, $00
.db	$18, $1F, $00, $00
.db	$07, $07, $03, $00
.db	$0F, $0A, $07, $00
.db	$0F, $0A, $07, $00
.db	$0F, $0A, $07, $00
.db	$0F, $0F, $07, $00
.db	$08, $0F, $07, $00
.db	$08, $0F, $07, $00
.db	$07, $07, $00, $00
.db	$07, $04, $03, $00
.db	$07, $04, $00, $00
.db	$07, $04, $00, $00
.db	$07, $07, $00, $00
;;; x: 8-15
.db	$74, $FC, $E8, $00
.db	$72, $FE, $FC, $00
.db	$02, $FE, $FC, $00
.db	$04, $FC, $F8, $00
.db	$F8, $F8, $00, $00
.db	$C0, $40, $00, $00
.db	$E0, $A0, $00, $00
.db	$E0, $A0, $40, $00
.db	$E0, $A0, $40, $00
.db	$60, $E0, $80, $00
.db	$E0, $A0, $40, $00
.db	$C0, $40, $80, $00
.db	$80, $80, $00, $00
.db	$C0, $40, $00, $00
.db	$E0, $20, $00, $00
.db	$E0, $E0, $00, $00

; Frame 2
data_akiddmw_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $07, $00, $00
.db	$18, $1F, $00, $00
.db	$20, $3F, $00, $00
.db	$40, $7F, $00, $00
.db	$40, $7F, $06, $00
.db	$80, $FD, $0F, $00
.db	$80, $FB, $0E, $00
.db	$80, $FB, $0E, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $00, $00
.db	$38, $F8, $00, $00
.db	$04, $FC, $00, $00
.db	$04, $FC, $00, $00
.db	$02, $FE, $08, $00
.db	$02, $FE, $18, $00
.db	$34, $FC, $78, $00
.db	$74, $FC, $E8, $00
;; y: 16-31
;;; x: 0-7
.db	$40, $7B, $0E, $00
.db	$80, $FD, $06, $00
.db	$60, $7F, $02, $00
.db	$18, $1F, $00, $00
.db	$07, $07, $03, $00
.db	$0F, $09, $07, $00
.db	$0F, $08, $07, $00
.db	$1F, $1A, $05, $00
.db	$2F, $39, $16, $00
.db	$2F, $38, $17, $00
.db	$1F, $10, $0F, $00
.db	$1F, $10, $0F, $00
.db	$3F, $21, $06, $00
.db	$7E, $42, $00, $00
.db	$3E, $22, $00, $00
.db	$1E, $1E, $00, $00
;;; x: 8-15
.db	$74, $FC, $E8, $00
.db	$72, $FE, $FC, $00
.db	$02, $FE, $FC, $00
.db	$04, $FC, $F8, $00
.db	$F8, $F8, $00, $00
.db	$E0, $20, $80, $00
.db	$F0, $90, $C0, $00
.db	$F0, $70, $E0, $00
.db	$C8, $78, $F0, $00
.db	$88, $F8, $70, $00
.db	$D0, $70, $A0, $00
.db	$FC, $7C, $80, $00
.db	$FE, $C2, $00, $00
.db	$7C, $44, $00, $00
.db	$38, $28, $00, $00
.db	$10, $10, $00, $00

