;
; akiddsw
;
; Animation
; 3 frames
; - 16*32 pixels each
; - 256 bytes each
; 768 bytes total
;

; Infos
data_akiddsw_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	8*3*32	; Total number of data frames bytes

; Animation
data_akiddsw_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db     0, 1, 0, 2      ; Animation

; Description:
data_akiddsw_desc:
.db     "ALEX KIDD                      ", 0
;        ^         ^         ^         ^

; Palette
data_akiddsw_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$38	; (R:0 G:2 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$05	; (R:1 G:1 B:0)
.db	$13	; (R:3 G:0 B:1)
.db	$1B	; (R:3 G:2 B:1)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_akiddsw_tiles:
; Frame 0
data_akiddsw_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$07, $1F, $00, $00
.db	$1F, $3F, $00, $00
.db	$3F, $7F, $00, $00
.db	$3F, $7F, $00, $00
.db	$0F, $4F, $30, $00
.db	$37, $87, $78, $00
.db	$57, $94, $6B, $00
.db	$6F, $AD, $53, $00
.db	$2F, $AD, $53, $00
.db	$3D, $9C, $63, $00
.db	$1F, $4E, $31, $00
.db	$0F, $2E, $11, $00
.db	$00, $1C, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $E0, $00, $00
.db	$E0, $F8, $00, $00
.db	$F8, $FC, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $EE, $10, $00
.db	$FC, $C6, $38, $00
.db	$B8, $8C, $F8, $00
.db	$30, $DE, $30, $00
.db	$30, $DE, $30, $00
.db	$F8, $32, $CC, $00
.db	$FC, $82, $7C, $00
.db	$F8, $74, $88, $00
.db	$D0, $0C, $F0, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $1E, $01, $00
.db	$01, $3E, $01, $00
.db	$10, $6F, $00, $00
.db	$18, $67, $00, $00
.db	$18, $27, $00, $00
.db	$18, $27, $03, $00
.db	$00, $27, $18, $00
.db	$18, $27, $18, $00
.db	$18, $27, $18, $00
.db	$00, $1F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$04, $0F, $04, $00
.db	$07, $0F, $07, $00
.db	$00, $0F, $00, $00
;;; x: 8-15
.db	$00, $38, $C0, $00
.db	$E0, $10, $E0, $00
.db	$E0, $18, $00, $00
.db	$60, $98, $00, $00
.db	$20, $D8, $00, $00
.db	$00, $F8, $F0, $00
.db	$00, $F8, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$40, $E0, $40, $00
.db	$A0, $F0, $A0, $00
.db	$00, $F0, $00, $00

; Frame 1
data_akiddsw_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$07, $1F, $00, $00
.db	$1F, $3F, $00, $00
.db	$3F, $7F, $00, $00
.db	$3F, $7F, $00, $00
.db	$4F, $CF, $30, $00
.db	$37, $87, $78, $00
.db	$57, $94, $6B, $00
.db	$6F, $AD, $53, $00
.db	$2F, $AD, $53, $00
.db	$3D, $9C, $63, $00
.db	$1F, $4E, $31, $00
.db	$07, $2E, $11, $00
.db	$00, $3C, $03, $00
.db	$00, $7E, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $E0, $00, $00
.db	$E0, $F8, $00, $00
.db	$F8, $FC, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $EE, $10, $00
.db	$FC, $C6, $38, $00
.db	$B8, $8C, $F8, $00
.db	$30, $DE, $30, $00
.db	$30, $DE, $30, $00
.db	$F8, $32, $CC, $00
.db	$FC, $82, $7C, $00
.db	$F8, $74, $88, $00
.db	$D0, $0C, $F0, $00
.db	$00, $38, $C0, $00
;; y: 16-31
;;; x: 0-7
.db	$31, $CE, $01, $00
.db	$70, $8F, $00, $00
.db	$60, $9F, $00, $00
.db	$00, $9F, $60, $00
.db	$60, $9F, $60, $00
.db	$60, $9F, $60, $00
.db	$00, $6F, $00, $00
.db	$00, $0F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3E, $00, $00
.db	$00, $3C, $00, $00
.db	$00, $7C, $00, $00
.db	$20, $7C, $20, $00
.db	$3C, $7E, $3C, $00
.db	$00, $3E, $00, $00
;;; x: 8-15
.db	$E0, $18, $E0, $00
.db	$E0, $1C, $00, $00
.db	$60, $9A, $04, $00
.db	$22, $D9, $06, $00
.db	$06, $F9, $F6, $00
.db	$00, $F6, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $F0, $00, $00
.db	$00, $FE, $00, $00
.db	$04, $FE, $04, $00
.db	$08, $FC, $08, $00
.db	$30, $78, $30, $00
.db	$00, $30, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_akiddsw_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$07, $1F, $00, $00
.db	$1F, $3F, $00, $00
.db	$3F, $7F, $00, $00
.db	$3F, $7F, $00, $00
.db	$4F, $CF, $30, $00
.db	$37, $87, $78, $00
.db	$57, $94, $6B, $00
.db	$6F, $AD, $53, $00
.db	$2F, $AD, $53, $00
.db	$3D, $9C, $63, $00
.db	$1F, $4E, $31, $00
.db	$07, $2E, $11, $00
.db	$00, $1C, $03, $00
.db	$01, $1E, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $E0, $00, $00
.db	$E0, $F8, $00, $00
.db	$F8, $FC, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $FE, $00, $00
.db	$FC, $EE, $10, $00
.db	$FC, $C6, $38, $00
.db	$B8, $8C, $F8, $00
.db	$30, $DE, $30, $00
.db	$30, $DE, $30, $00
.db	$F8, $32, $CC, $00
.db	$FC, $82, $7C, $00
.db	$F8, $74, $88, $00
.db	$D0, $0C, $F0, $00
.db	$00, $38, $C0, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $1F, $00, $00
.db	$06, $19, $00, $00
.db	$07, $38, $00, $00
.db	$23, $5C, $20, $00
.db	$20, $5F, $2C, $00
.db	$00, $3F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $3E, $00, $00
.db	$00, $3E, $00, $00
.db	$20, $7C, $20, $00
.db	$20, $7C, $20, $00
.db	$38, $7C, $38, $00
.db	$00, $3C, $00, $00
;;; x: 8-15
.db	$E0, $10, $E0, $00
.db	$20, $D0, $00, $00
.db	$80, $70, $00, $00
.db	$60, $10, $E0, $00
.db	$60, $10, $E0, $00
.db	$00, $F0, $00, $00
.db	$00, $F8, $00, $00
.db	$00, $F8, $00, $00
.db	$00, $FF, $00, $00
.db	$02, $7F, $02, $00
.db	$14, $3E, $14, $00
.db	$08, $1C, $08, $00
.db	$00, $08, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

