;
; aliensyn
;
; Animation
; 2 frames
; - 16*32 pixels each
; - 256 bytes each
; 512 bytes total
;

; Infos
data_aliensyn_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	8*2*32	; Total number of data frames bytes

; Animation
data_aliensyn_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_aliensyn_desc:
.db     "RICKY                          ", 0
;        ^         ^         ^         ^

; Palette
data_aliensyn_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$20	; (R:0 G:0 B:2)
.db	$30	; (R:0 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$05	; (R:1 G:1 B:0)
.db	$1A	; (R:2 G:2 B:1)
.db	$2A	; (R:2 G:2 B:2)
.db	$07	; (R:3 G:1 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$1B	; (R:3 G:2 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_aliensyn_tiles:
; Frame 0
data_aliensyn_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $07, $00, $00
.db	$08, $08, $07, $00
.db	$11, $11, $0E, $00
.db	$03, $03, $1C, $00
.db	$01, $01, $1E, $00
.db	$1F, $1F, $00, $00
.db	$13, $13, $0C, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$E0, $E0, $00, $00
.db	$F0, $F0, $00, $00
.db	$F8, $F8, $00, $00
.db	$F8, $F8, $00, $00
.db	$F8, $F8, $00, $00
.db	$FC, $FC, $0C, $00
.db	$BA, $AA, $0A, $54
;; y: 16-31
;;; x: 0-7
.db	$0E, $0E, $00, $01
.db	$1F, $03, $00, $00
.db	$02, $1D, $20, $00
.db	$65, $4A, $5F, $20
.db	$90, $B5, $9F, $60
.db	$68, $28, $2F, $D0
.db	$BF, $80, $80, $7C
.db	$44, $47, $44, $38
.db	$04, $03, $00, $00
.db	$06, $01, $00, $00
.db	$19, $16, $00, $00
.db	$31, $2E, $00, $00
.db	$32, $3D, $00, $00
.db	$23, $20, $00, $00
.db	$03, $02, $00, $00
.db	$01, $01, $00, $00
;;; x: 8-15
.db	$D5, $09, $01, $F6
.db	$37, $09, $01, $E6
.db	$05, $F5, $0D, $02
.db	$55, $AA, $FF, $00
.db	$00, $54, $FE, $00
.db	$20, $00, $CC, $00
.db	$20, $C0, $00, $00
.db	$60, $80, $00, $00
.db	$20, $C0, $00, $00
.db	$10, $E0, $00, $00
.db	$00, $F0, $00, $00
.db	$10, $E0, $00, $00
.db	$60, $80, $00, $00
.db	$00, $C0, $00, $00
.db	$80, $60, $00, $00
.db	$E0, $E0, $00, $00

; Frame 1
data_aliensyn_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$07, $07, $00, $00
.db	$08, $08, $07, $00
.db	$11, $11, $0E, $00
.db	$03, $03, $1C, $00
.db	$01, $01, $1E, $00
.db	$1F, $1F, $00, $00
.db	$13, $13, $0C, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$E0, $E0, $00, $00
.db	$F0, $F0, $00, $00
.db	$F8, $F8, $00, $00
.db	$F8, $F8, $00, $00
.db	$F8, $F8, $00, $00
.db	$FC, $FC, $0C, $00
.db	$BA, $AA, $0A, $54
;; y: 16-31
;;; x: 0-7
.db	$0E, $0E, $00, $01
.db	$1F, $03, $00, $00
.db	$02, $1D, $20, $00
.db	$65, $4A, $5F, $20
.db	$90, $B5, $9F, $60
.db	$68, $28, $2F, $D0
.db	$BF, $80, $80, $7C
.db	$44, $47, $44, $38
.db	$30, $0F, $00, $00
.db	$20, $1F, $00, $00
.db	$43, $3C, $00, $00
.db	$45, $39, $00, $00
.db	$98, $E0, $00, $00
.db	$B0, $C0, $00, $00
.db	$E0, $C0, $00, $00
.db	$70, $70, $00, $00
;;; x: 8-15
.db	$D5, $09, $01, $F6
.db	$37, $09, $01, $E6
.db	$05, $F5, $0D, $02
.db	$55, $AA, $FF, $00
.db	$00, $54, $FE, $00
.db	$20, $00, $CC, $00
.db	$20, $C0, $00, $00
.db	$60, $80, $00, $00
.db	$60, $90, $00, $00
.db	$C0, $38, $00, $00
.db	$80, $78, $00, $00
.db	$80, $70, $00, $00
.db	$A0, $E0, $00, $00
.db	$60, $60, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

