;
; anmitsuh
;
; Animation
; 3 frames
; - 16*32 pixels each
; - 256 bytes each
; 768 bytes total
;

; Infos
data_anmitsuh_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	8*3*32	; Total number of data frames bytes

; Animation
data_anmitsuh_anim:
.db	3	; Number of animation frames
.db     6       ; Animation speed
.db	0, 1, 2	; Animation

; Description:
data_anmitsuh_desc:
.db     "ANMITSU                        ", 0
;        ^         ^         ^         ^

; Palette
data_anmitsuh_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$30	; (R:0 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$3E	; (R:2 G:3 B:3)
.db	$03	; (R:3 G:0 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_anmitsuh_tiles:
; Frame 0
data_anmitsuh_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $0E, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $7B, $00, $00
.db	$20, $7F, $20, $00
.db	$30, $7F, $20, $00
.db	$40, $FF, $40, $00
.db	$60, $FF, $00, $00
.db	$20, $7F, $00, $00
.db	$20, $7F, $00, $00
.db	$22, $7D, $22, $00
.db	$23, $7C, $23, $00
.db	$03, $2C, $03, $00
.db	$01, $06, $01, $00
;;; x: 8-15
.db	$00, $10, $00, $00
.db	$00, $78, $10, $00
.db	$00, $BC, $78, $00
.db	$00, $54, $F8, $00
.db	$00, $E4, $F8, $00
.db	$00, $7E, $C0, $00
.db	$00, $7F, $8E, $00
.db	$00, $FF, $0E, $00
.db	$0A, $FF, $0E, $00
.db	$20, $DF, $20, $00
.db	$7C, $82, $7C, $00
.db	$5C, $BA, $5C, $00
.db	$74, $9A, $74, $00
.db	$76, $88, $76, $00
.db	$6C, $82, $7C, $00
.db	$7C, $82, $7C, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$06, $09, $00, $00
.db	$0E, $10, $01, $00
.db	$0E, $10, $01, $00
.db	$1E, $26, $05, $00
.db	$1E, $38, $11, $00
.db	$1C, $2A, $09, $00
.db	$1C, $26, $01, $00
.db	$0C, $1A, $09, $00
.db	$04, $0B, $01, $00
.db	$00, $0B, $05, $00
.db	$00, $11, $0E, $00
.db	$1F, $3F, $0F, $00
.db	$00, $1F, $00, $00
;;; x: 8-15
.db	$78, $84, $78, $00
.db	$60, $98, $60, $00
.db	$70, $F8, $70, $00
.db	$18, $BC, $58, $00
.db	$00, $9C, $60, $00
.db	$0C, $12, $E0, $00
.db	$0C, $1E, $E0, $00
.db	$3C, $22, $F8, $00
.db	$3C, $22, $F8, $00
.db	$30, $B6, $F8, $00
.db	$10, $5A, $F4, $00
.db	$00, $BA, $F4, $00
.db	$00, $F2, $EC, $00
.db	$00, $E2, $1C, $00
.db	$FE, $FF, $FE, $00
.db	$00, $FF, $00, $00

; Frame 1
data_anmitsuh_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $0E, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $7B, $00, $00
.db	$20, $7F, $20, $00
.db	$30, $7F, $20, $00
.db	$40, $FF, $40, $00
.db	$60, $FF, $00, $00
.db	$20, $7F, $00, $00
.db	$20, $7F, $00, $00
.db	$22, $7D, $22, $00
.db	$23, $7C, $23, $00
.db	$03, $2C, $03, $00
.db	$01, $06, $01, $00
;;; x: 8-15
.db	$00, $10, $00, $00
.db	$00, $78, $10, $00
.db	$00, $BC, $78, $00
.db	$00, $54, $F8, $00
.db	$00, $E4, $F8, $00
.db	$00, $7E, $C0, $00
.db	$00, $7F, $8E, $00
.db	$00, $FF, $0E, $00
.db	$0A, $FF, $0E, $00
.db	$20, $DF, $20, $00
.db	$7C, $82, $7C, $00
.db	$5C, $BA, $5C, $00
.db	$74, $9A, $74, $00
.db	$76, $88, $76, $00
.db	$6C, $82, $7C, $00
.db	$7C, $82, $7C, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$06, $09, $00, $00
.db	$0E, $10, $01, $00
.db	$0C, $10, $03, $00
.db	$1C, $24, $03, $00
.db	$1C, $38, $13, $00
.db	$1C, $28, $0B, $00
.db	$1C, $26, $03, $00
.db	$08, $19, $0F, $00
.db	$00, $0E, $07, $00
.db	$00, $0F, $07, $00
.db	$00, $17, $08, $00
.db	$0F, $1F, $07, $00
.db	$00, $0F, $00, $00
;;; x: 8-15
.db	$78, $84, $78, $00
.db	$60, $98, $60, $00
.db	$70, $F8, $70, $00
.db	$18, $BC, $58, $00
.db	$00, $9C, $60, $00
.db	$0C, $12, $E0, $00
.db	$0C, $1E, $E0, $00
.db	$EC, $92, $E0, $00
.db	$EC, $92, $E0, $00
.db	$C0, $D2, $EC, $00
.db	$40, $62, $DC, $00
.db	$00, $E2, $DC, $00
.db	$04, $E6, $9C, $00
.db	$0E, $CF, $3C, $00
.db	$FC, $FE, $F8, $00
.db	$00, $FE, $00, $00

; Frame 2
data_anmitsuh_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $0E, $00, $00
.db	$00, $1F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $3F, $00, $00
.db	$00, $7B, $00, $00
.db	$20, $7F, $20, $00
.db	$30, $FF, $20, $00
.db	$40, $FF, $40, $00
.db	$60, $FF, $00, $00
.db	$20, $7F, $00, $00
.db	$40, $FF, $40, $00
.db	$42, $FD, $42, $00
.db	$43, $FC, $43, $00
.db	$03, $4C, $03, $00
.db	$01, $06, $01, $00
;;; x: 8-15
.db	$00, $10, $00, $00
.db	$00, $78, $10, $00
.db	$00, $BC, $78, $00
.db	$00, $54, $F8, $00
.db	$00, $E4, $F8, $00
.db	$00, $7E, $C0, $00
.db	$00, $7F, $8E, $00
.db	$00, $FF, $0E, $00
.db	$0A, $FF, $0E, $00
.db	$20, $DF, $20, $00
.db	$7C, $82, $7C, $00
.db	$5C, $BA, $5C, $00
.db	$74, $9A, $74, $00
.db	$76, $88, $76, $00
.db	$6C, $82, $7C, $00
.db	$7C, $82, $7C, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$06, $09, $00, $00
.db	$0E, $10, $01, $00
.db	$0C, $10, $03, $00
.db	$1C, $24, $03, $00
.db	$1C, $38, $13, $00
.db	$1C, $28, $0B, $00
.db	$1C, $25, $03, $00
.db	$0C, $18, $0B, $00
.db	$04, $0B, $03, $00
.db	$00, $0F, $03, $00
.db	$00, $13, $0C, $00
.db	$1F, $3F, $0F, $00
.db	$00, $1F, $00, $00
;;; x: 8-15
.db	$78, $84, $78, $00
.db	$60, $98, $60, $00
.db	$70, $F8, $70, $00
.db	$18, $BC, $58, $00
.db	$00, $9C, $60, $00
.db	$0C, $12, $E0, $00
.db	$0C, $1E, $E0, $00
.db	$74, $4A, $F0, $00
.db	$74, $4A, $F0, $00
.db	$60, $6A, $F4, $00
.db	$20, $B2, $EC, $00
.db	$00, $7A, $EC, $00
.db	$0C, $FE, $CC, $00
.db	$18, $FE, $10, $00
.db	$F6, $FF, $E0, $00
.db	$00, $FF, $00, $00

