;
; asterix
;
; Animation
; 6 frames
; - 24*32 pixels each
; - 384 bytes each
; 2304 bytes total
;

; Infos
data_asterix_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	6	; Number of data frames
.dw	12*6*32	; Total number of data frames bytes

; Animation
data_asterix_anim:
.db	6	; Number of animation frames
.db     8       ; Animation Speed
.db	0, 1, 2, 3, 4, 5	; Animation

; Description:
data_asterix_desc:
.db     "ASTERIX                        ", 0
;        ^         ^         ^         ^

; Palette
data_asterix_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$01	; (R:1 G:0 B:0)
.db	$39	; (R:1 G:2 B:3)
.db	$3D	; (R:1 G:3 B:3)
.db	$06	; (R:2 G:1 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$03	; (R:3 G:0 B:0)
.db	$1B	; (R:3 G:2 B:1)
.db	$00	; (R:0 G:0 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_asterix_tiles:
; Frame 0
data_asterix_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$0C, $00, $00, $0C
.db	$1A, $08, $04, $12
.db	$1F, $00, $00, $1F
.db	$10, $0F, $00, $1F
.db	$20, $1F, $0F, $30
.db	$23, $1C, $0C, $33
.db	$4C, $33, $10, $6C
.db	$50, $24, $20, $53
.db	$A0, $48, $40, $A7
.db	$C0, $0B, $00, $C4
.db	$18, $0D, $10, $0A
.db	$1C, $0F, $10, $0C
.db	$0F, $06, $09, $06
.db	$07, $00, $06, $01
.db	$03, $1C, $00, $03
.db	$03, $30, $00, $0F
;;; x: 8-15
.db	$03, $00, $00, $03
.db	$E4, $00, $00, $E4
.db	$9F, $80, $60, $1F
.db	$E4, $20, $18, $C4
.db	$2C, $E2, $00, $DC
.db	$E8, $E2, $00, $3C
.db	$E8, $E7, $00, $FE
.db	$F2, $75, $80, $7E
.db	$72, $31, $40, $BE
.db	$70, $24, $50, $AF
.db	$60, $05, $60, $9E
.db	$03, $81, $02, $7D
.db	$07, $8B, $04, $73
.db	$87, $63, $84, $1B
.db	$CF, $36, $09, $C6
.db	$3C, $C3, $1C, $20
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$30, $00, $30, $00
.db	$48, $30, $48, $30
.db	$84, $48, $84, $78
.db	$04, $88, $04, $F8
.db	$C4, $00, $C4, $38
.db	$08, $00, $08, $F0
.db	$10, $08, $10, $E0
.db	$00, $E0, $00, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$0E, $21, $08, $16
.db	$0E, $21, $08, $16
.db	$0F, $20, $00, $1F
.db	$3F, $00, $00, $31
.db	$7F, $00, $00, $7C
.db	$7F, $00, $00, $7F
.db	$3F, $00, $00, $3F
.db	$0F, $00, $00, $0F
.db	$3F, $07, $07, $38
.db	$7F, $06, $26, $59
.db	$FE, $1C, $7C, $82
.db	$F4, $18, $70, $84
.db	$EE, $1C, $6C, $82
.db	$B3, $4C, $30, $83
.db	$BF, $40, $3F, $80
.db	$5F, $20, $1F, $40
;;; x: 8-15
.db	$90, $25, $80, $53
.db	$84, $19, $84, $63
.db	$44, $80, $44, $3B
.db	$BE, $40, $3E, $81
.db	$C0, $3F, $00, $00
.db	$FC, $30, $00, $BC
.db	$FF, $0C, $0C, $F3
.db	$FF, $FE, $FE, $01
.db	$FF, $86, $86, $79
.db	$8F, $02, $03, $8C
.db	$07, $00, $03, $04
.db	$06, $01, $02, $04
.db	$06, $01, $02, $04
.db	$03, $00, $00, $03
.db	$80, $00, $00, $80
.db	$80, $00, $00, $80
;;; x: 16-23
.db	$00, $40, $00, $80
.db	$00, $A0, $00, $C0
.db	$00, $A0, $00, $C0
.db	$00, $40, $00, $80
.db	$1C, $80, $00, $1C
.db	$3E, $00, $18, $26
.db	$7E, $00, $3C, $42
.db	$E2, $1C, $60, $82
.db	$DE, $20, $C0, $1E
.db	$BC, $40, $80, $3C
.db	$78, $80, $00, $78
.db	$E0, $00, $00, $E0
.db	$C0, $00, $00, $C0
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_asterix_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $03
.db	$07, $02, $00, $05
.db	$06, $01, $00, $07
.db	$08, $07, $00, $0F
.db	$10, $0F, $03, $1C
.db	$60, $1F, $0F, $70
.db	$8F, $70, $30, $CF
.db	$F0, $01, $00, $F0
.db	$04, $02, $04, $01
.db	$0C, $06, $08, $05
.db	$0E, $07, $08, $06
.db	$07, $03, $04, $03
.db	$03, $00, $03, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$02, $00, $00, $02
.db	$01, $00, $00, $01
.db	$B9, $00, $00, $B9
.db	$67, $A0, $18, $C7
.db	$39, $C8, $06, $F1
.db	$0B, $F8, $C0, $37
.db	$FA, $38, $00, $CF
.db	$3A, $F9, $00, $3F
.db	$3C, $1D, $20, $DF
.db	$1C, $0C, $10, $EF
.db	$1C, $C9, $14, $2B
.db	$18, $41, $18, $A7
.db	$00, $E0, $00, $1F
.db	$83, $20, $83, $1C
.db	$67, $1B, $24, $43
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$20, $00, $00, $20
.db	$40, $00, $00, $40
.db	$80, $00, $00, $80
.db	$0C, $80, $0C, $00
.db	$12, $8C, $12, $0C
.db	$A1, $52, $21, $9E
.db	$81, $62, $01, $BE
.db	$31, $C0, $31, $8E
.db	$02, $00, $02, $FC
.db	$44, $02, $44, $B8
.db	$C0, $78, $80, $40
.db	$E0, $C0, $20, $C0
.db	$E0, $C0, $20, $C0
;; y: 16-31
;;; x: 0-7
.db	$00, $01, $00, $00
.db	$00, $02, $00, $01
.db	$01, $04, $00, $03
.db	$03, $04, $00, $03
.db	$3F, $00, $00, $3E
.db	$3F, $00, $10, $2F
.db	$67, $18, $20, $47
.db	$6F, $1C, $2C, $43
.db	$E7, $1F, $27, $C0
.db	$F7, $0B, $73, $84
.db	$FF, $00, $78, $87
.db	$FC, $00, $78, $84
.db	$7C, $00, $30, $4C
.db	$38, $00, $00, $38
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$73, $8C, $03, $70
.db	$CD, $30, $01, $CC
.db	$A4, $48, $20, $94
.db	$A4, $49, $20, $94
.db	$B8, $46, $38, $01
.db	$A0, $41, $20, $9F
.db	$DE, $20, $1E, $C1
.db	$E6, $98, $86, $61
.db	$F8, $CF, $C8, $30
.db	$FE, $9C, $9C, $62
.db	$DE, $0C, $0C, $D2
.db	$1C, $08, $08, $14
.db	$35, $18, $10, $25
.db	$67, $1C, $05, $62
.db	$B1, $4E, $31, $80
.db	$BF, $40, $3F, $80
;;; x: 16-23
.db	$C0, $80, $40, $80
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
.db	$40, $20, $40, $80
.db	$00, $A0, $00, $C0
.db	$00, $A0, $00, $C0
.db	$00, $40, $00, $80
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $00, $00, $C0
.db	$E0, $00, $C0, $20
.db	$F0, $00, $E0, $10
.db	$D0, $20, $C0, $10

; Frame 2
data_asterix_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$06, $00, $00, $06
.db	$0D, $04, $02, $09
.db	$0F, $00, $00, $0F
.db	$08, $07, $00, $0F
.db	$10, $0F, $03, $1C
.db	$11, $0E, $06, $19
.db	$62, $1D, $0C, $72
.db	$8C, $72, $30, $CD
.db	$70, $04, $00, $73
.db	$00, $05, $00, $02
.db	$04, $02, $04, $01
.db	$0E, $07, $08, $06
.db	$0F, $07, $08, $07
.db	$07, $02, $05, $02
.db	$02, $00, $02, $00
;;; x: 8-15
.db	$01, $00, $00, $01
.db	$01, $00, $00, $01
.db	$72, $00, $00, $72
.db	$CF, $40, $30, $8F
.db	$F3, $10, $0C, $E3
.db	$16, $F1, $80, $6E
.db	$F4, $71, $00, $9E
.db	$70, $F0, $00, $7F
.db	$7B, $38, $40, $BF
.db	$38, $18, $20, $DF
.db	$38, $92, $28, $57
.db	$30, $82, $30, $4F
.db	$01, $C0, $01, $3E
.db	$83, $C5, $02, $B9
.db	$C3, $31, $42, $8D
.db	$E3, $19, $02, $E5
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$40, $00, $00, $40
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$18, $00, $18, $00
.db	$24, $18, $24, $18
.db	$42, $A4, $42, $3C
.db	$02, $C4, $02, $7C
.db	$62, $80, $62, $1C
.db	$04, $00, $04, $F8
.db	$88, $04, $88, $70
.db	$C0, $B0, $40, $80
.db	$C0, $80, $40, $80
.db	$E0, $C0, $20, $C0
.db	$E0, $C0, $20, $C0
;; y: 16-31
;;; x: 0-7
.db	$01, $00, $00, $01
.db	$00, $03, $00, $00
.db	$00, $04, $00, $03
.db	$01, $04, $01, $02
.db	$01, $08, $01, $06
.db	$00, $12, $00, $0F
.db	$00, $16, $00, $0F
.db	$01, $08, $01, $06
.db	$00, $07, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $01
.db	$02, $01, $00, $02
.db	$05, $02, $01, $04
.db	$04, $03, $00, $04
;;; x: 8-15
.db	$3B, $C5, $02, $39
.db	$1F, $20, $01, $DE
.db	$DE, $20, $C0, $1F
.db	$3F, $C4, $00, $3F
.db	$7F, $81, $01, $1E
.db	$7F, $8F, $0F, $70
.db	$7F, $F9, $79, $06
.db	$7F, $E3, $63, $1C
.db	$FF, $00, $10, $EF
.db	$7F, $06, $36, $49
.db	$7F, $00, $39, $46
.db	$FF, $00, $1F, $E0
.db	$DF, $E0, $C3, $1C
.db	$27, $F8, $20, $07
.db	$9F, $60, $9C, $03
.db	$FF, $00, $FF, $00
;;; x: 16-23
.db	$C0, $00, $C0, $00
.db	$80, $00, $80, $00
.db	$00, $40, $00, $80
.db	$80, $20, $00, $C0
.db	$C0, $A0, $80, $40
.db	$E0, $C0, $C0, $20
.db	$E0, $C0, $C0, $20
.db	$C0, $80, $80, $40
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$E0, $00, $00, $E0
.db	$F0, $00, $E0, $10
.db	$F8, $00, $F0, $08
.db	$F8, $00, $F0, $08
.db	$F0, $00, $00, $F0
.db	$80, $00, $00, $80

; Frame 3
data_asterix_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$0C, $00, $00, $0C
.db	$1A, $08, $04, $12
.db	$1F, $00, $00, $1F
.db	$10, $0F, $00, $1F
.db	$20, $1F, $0F, $30
.db	$23, $1C, $0C, $33
.db	$4C, $33, $10, $6C
.db	$50, $24, $20, $53
.db	$A0, $48, $40, $A7
.db	$C0, $0B, $00, $C4
.db	$18, $0D, $10, $0A
.db	$1C, $0F, $10, $0C
.db	$0F, $06, $09, $06
.db	$07, $00, $06, $01
.db	$00, $0F, $00, $00
.db	$00, $10, $00, $0F
;;; x: 8-15
.db	$03, $00, $00, $03
.db	$E4, $00, $00, $E4
.db	$9F, $80, $60, $1F
.db	$E4, $20, $18, $C4
.db	$2C, $E2, $00, $DC
.db	$E8, $E2, $00, $3C
.db	$E8, $E7, $00, $FE
.db	$F2, $75, $80, $7E
.db	$72, $31, $40, $BE
.db	$70, $24, $50, $AF
.db	$60, $05, $60, $9E
.db	$03, $81, $02, $7D
.db	$07, $8B, $04, $73
.db	$87, $63, $84, $1B
.db	$5F, $AE, $11, $4E
.db	$2E, $51, $0E, $A0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$30, $00, $30, $00
.db	$48, $30, $48, $30
.db	$84, $48, $84, $78
.db	$04, $88, $04, $F8
.db	$C4, $00, $C4, $38
.db	$08, $00, $08, $F0
.db	$10, $08, $10, $E0
.db	$00, $E0, $00, $00
.db	$80, $00, $80, $00
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$07, $20, $07, $18
.db	$1C, $43, $1C, $20
.db	$0B, $84, $08, $73
.db	$03, $B4, $00, $79
.db	$03, $94, $00, $78
.db	$07, $C8, $00, $37
.db	$0F, $30, $00, $0F
.db	$0F, $00, $00, $0F
.db	$07, $03, $03, $04
.db	$3F, $02, $02, $3D
.db	$7F, $06, $36, $49
.db	$7F, $0C, $3C, $43
.db	$7C, $00, $38, $44
.db	$7F, $00, $1C, $63
.db	$7F, $00, $1F, $60
.db	$7F, $00, $0F, $70
;;; x: 8-15
.db	$B1, $46, $81, $30
.db	$76, $88, $06, $71
.db	$FE, $00, $06, $F9
.db	$FD, $02, $05, $F8
.db	$F8, $1F, $00, $18
.db	$FC, $18, $00, $9C
.db	$FE, $04, $04, $FA
.db	$FF, $3E, $3E, $C1
.db	$FF, $03, $03, $FC
.db	$87, $01, $01, $86
.db	$03, $01, $01, $02
.db	$02, $01, $00, $02
.db	$03, $00, $00, $03
.db	$81, $00, $00, $81
.db	$C0, $00, $00, $C0
.db	$C0, $00, $00, $C0
;;; x: 16-23
.db	$00, $60, $00, $C0
.db	$00, $B0, $00, $60
.db	$00, $B0, $00, $60
.db	$80, $20, $80, $40
.db	$0E, $C0, $00, $0E
.db	$1F, $00, $0C, $13
.db	$3F, $00, $1E, $21
.db	$7F, $00, $3E, $41
.db	$DE, $60, $5C, $82
.db	$5A, $E4, $58, $02
.db	$A4, $D8, $A0, $04
.db	$58, $A0, $40, $18
.db	$20, $C0, $00, $20
.db	$C0, $00, $00, $C0
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 4
data_asterix_tiles_frame4:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $03
.db	$07, $02, $00, $05
.db	$06, $01, $00, $07
.db	$08, $07, $00, $0F
.db	$10, $0F, $03, $1C
.db	$60, $1F, $0F, $70
.db	$8F, $70, $30, $CF
.db	$F0, $01, $00, $F0
.db	$04, $02, $04, $01
.db	$0C, $06, $08, $05
.db	$0E, $07, $08, $06
.db	$07, $03, $04, $03
.db	$03, $00, $03, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$02, $00, $00, $02
.db	$01, $00, $00, $01
.db	$B9, $00, $00, $B9
.db	$67, $A0, $18, $C7
.db	$39, $C8, $06, $F1
.db	$0B, $F8, $C0, $37
.db	$FA, $38, $00, $CF
.db	$3A, $F9, $00, $3F
.db	$3C, $1D, $20, $DF
.db	$1C, $0C, $10, $EF
.db	$1C, $C9, $14, $2B
.db	$18, $41, $18, $A7
.db	$00, $E0, $00, $1F
.db	$83, $20, $83, $1C
.db	$67, $1B, $24, $43
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$20, $00, $00, $20
.db	$40, $00, $00, $40
.db	$80, $00, $00, $80
.db	$0C, $80, $0C, $00
.db	$12, $8C, $12, $0C
.db	$A1, $52, $21, $9E
.db	$81, $62, $01, $BE
.db	$31, $C0, $31, $8E
.db	$02, $00, $02, $FC
.db	$44, $02, $44, $B8
.db	$C0, $78, $80, $40
.db	$E0, $C0, $20, $C0
.db	$E0, $C0, $20, $C0
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $01, $00, $00
.db	$30, $02, $00, $31
.db	$78, $04, $30, $4B
.db	$7A, $04, $1A, $61
.db	$FB, $04, $1B, $E0
.db	$FC, $03, $18, $E4
.db	$F6, $09, $30, $C6
.db	$F7, $08, $30, $C7
.db	$FF, $00, $38, $C7
.db	$FD, $00, $38, $C5
.db	$FC, $00, $38, $C4
.db	$F8, $00, $30, $C8
.db	$70, $00, $00, $70
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$33, $CC, $03, $30
.db	$1D, $20, $01, $DC
.db	$5C, $20, $40, $9C
.db	$9C, $60, $80, $1C
.db	$0C, $73, $00, $EC
.db	$86, $28, $82, $71
.db	$97, $08, $93, $60
.db	$6F, $90, $63, $0C
.db	$9E, $78, $18, $87
.db	$FE, $7D, $7C, $82
.db	$FE, $0C, $0C, $F2
.db	$3C, $08, $08, $34
.db	$35, $18, $10, $25
.db	$67, $1C, $05, $62
.db	$B1, $4E, $31, $80
.db	$BF, $40, $3F, $80
;;; x: 16-23
.db	$C0, $80, $40, $80
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $40, $00, $80
.db	$00, $40, $00, $80
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $00, $00, $C0
.db	$E0, $00, $C0, $20
.db	$F0, $00, $E0, $10
.db	$D0, $20, $C0, $10

; Frame 5
data_asterix_tiles_frame5:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$06, $00, $00, $06
.db	$0D, $04, $02, $09
.db	$0F, $00, $00, $0F
.db	$08, $07, $00, $0F
.db	$10, $0F, $03, $1C
.db	$11, $0E, $06, $19
.db	$62, $1D, $0C, $72
.db	$8C, $72, $30, $CD
.db	$70, $04, $00, $73
.db	$00, $05, $00, $02
.db	$04, $02, $04, $01
.db	$0E, $07, $08, $06
.db	$0F, $07, $08, $07
.db	$07, $02, $05, $02
.db	$02, $00, $02, $00
;;; x: 8-15
.db	$01, $00, $00, $01
.db	$01, $00, $00, $01
.db	$72, $00, $00, $72
.db	$CF, $40, $30, $8F
.db	$F3, $10, $0C, $E3
.db	$16, $F1, $80, $6E
.db	$F4, $71, $00, $9E
.db	$70, $F0, $00, $7F
.db	$7B, $38, $40, $BF
.db	$38, $18, $20, $DF
.db	$38, $92, $28, $57
.db	$30, $82, $30, $4F
.db	$01, $C0, $01, $3E
.db	$83, $C5, $02, $B9
.db	$C3, $F1, $02, $CD
.db	$63, $19, $22, $45
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$40, $00, $00, $40
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$18, $00, $18, $00
.db	$24, $18, $24, $18
.db	$42, $A4, $42, $3C
.db	$02, $C4, $02, $7C
.db	$62, $80, $62, $1C
.db	$04, $00, $04, $F8
.db	$88, $04, $88, $70
.db	$C0, $B0, $40, $80
.db	$C0, $80, $40, $80
.db	$E0, $C0, $20, $C0
.db	$E0, $C0, $20, $C0
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $01
.db	$01, $00, $00, $01
.db	$01, $00, $00, $01
.db	$03, $00, $00, $03
.db	$0F, $00, $00, $0F
.db	$0F, $00, $00, $0F
.db	$07, $00, $00, $07
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $01
.db	$01, $00, $00, $01
.db	$03, $00, $01, $02
.db	$05, $02, $01, $04
.db	$04, $03, $00, $04
;;; x: 8-15
.db	$FB, $05, $02, $F9
.db	$9D, $60, $01, $9C
.db	$4E, $90, $40, $2E
.db	$4F, $90, $40, $2F
.db	$4F, $95, $41, $2E
.db	$41, $8F, $41, $30
.db	$B0, $47, $30, $8E
.db	$D8, $22, $18, $C7
.db	$E8, $10, $08, $E7
.db	$E6, $19, $06, $E0
.db	$F9, $36, $30, $C9
.db	$F3, $60, $60, $93
.db	$EE, $80, $80, $6E
.db	$5F, $E0, $4E, $11
.db	$1F, $E0, $1F, $00
.db	$FF, $00, $FF, $00
;;; x: 16-23
.db	$C0, $00, $C0, $00
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$80, $00, $00, $80
.db	$00, $00, $00, $00
.db	$40, $80, $00, $40
.db	$60, $80, $40, $20
.db	$F0, $00, $E0, $10
.db	$F0, $00, $20, $D0
.db	$E0, $00, $00, $E0
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$80, $00, $00, $80
.db	$C0, $00, $80, $40

