;
; dyndux
;
; Animation
; 3 frames
; - 24*32 pixels each
; - 384 bytes each
; 1152 bytes total
;

; Infos
data_dyndux_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	12*3*32	; Total number of data frames bytes

; Animation
data_dyndux_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db     0, 1, 2, 1      ; Animation

; Description:
data_dyndux_desc:
.db     "DYNAMITE DUX                   ", 0
;        ^         ^         ^         ^

; Palette
data_dyndux_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$20	; (R:0 G:0 B:2)
.db	$30	; (R:0 G:0 B:3)
.db	$15	; (R:1 G:1 B:1)
.db	$39	; (R:1 G:2 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$06	; (R:2 G:1 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_dyndux_tiles:
; Frame 0
data_dyndux_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $02, $00
.db	$07, $00, $04, $00
.db	$0E, $01, $08, $00
.db	$0E, $01, $08, $00
.db	$1E, $01, $10, $00
.db	$1E, $00, $11, $01
.db	$1E, $00, $11, $01
.db	$1E, $00, $10, $01
.db	$1F, $00, $10, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$07, $00, $04, $00
.db	$03, $00, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$F8, $06, $80, $00
.db	$C0, $3F, $00, $00
.db	$00, $F9, $06, $00
.db	$00, $FE, $01, $00
.db	$00, $FF, $00, $00
.db	$01, $18, $C6, $E6
.db	$67, $10, $EF, $88
.db	$D4, $00, $EE, $2A
.db	$F6, $00, $E6, $08
.db	$62, $3E, $61, $9F
.db	$CF, $7F, $40, $3F
.db	$DC, $FF, $C0, $3F
.db	$E5, $FB, $E3, $1C
.db	$FF, $7C, $7F, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $E0, $00, $00
.db	$C0, $30, $00, $00
.db	$40, $B0, $00, $00
.db	$00, $B0, $00, $00
.db	$00, $A0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $00, $C0
.db	$40, $C0, $40, $80
.db	$C0, $80, $C0, $00
.db	$88, $00, $8E, $06
;; y: 16-31
;;; x: 0-7
.db	$08, $07, $08, $00
.db	$23, $1C, $20, $00
.db	$47, $00, $7B, $38
.db	$87, $00, $B7, $78
.db	$89, $04, $89, $70
.db	$77, $08, $71, $00
.db	$2F, $10, $22, $00
.db	$2F, $10, $2E, $00
.db	$13, $00, $12, $00
.db	$01, $00, $01, $00
.db	$07, $00, $07, $00
.db	$0D, $02, $0F, $00
.db	$0E, $01, $0F, $00
.db	$0E, $01, $0F, $00
.db	$07, $00, $07, $00
.db	$03, $00, $03, $00
;;; x: 8-15
.db	$D2, $2C, $EC, $12
.db	$1A, $E5, $24, $12
.db	$9D, $62, $00, $00
.db	$C1, $38, $86, $00
.db	$C0, $3D, $02, $00
.db	$C0, $3F, $00, $00
.db	$81, $7E, $00, $00
.db	$83, $7C, $00, $00
.db	$C7, $3B, $00, $03
.db	$F9, $07, $80, $07
.db	$FE, $01, $FE, $01
.db	$C1, $60, $C1, $20
.db	$30, $C0, $C0, $30
.db	$18, $E0, $E0, $18
.db	$F8, $00, $F8, $00
.db	$F0, $00, $F0, $00
;;; x: 16-23
.db	$12, $02, $1C, $0D
.db	$22, $D2, $24, $0D
.db	$F3, $02, $01, $0C
.db	$FE, $00, $9E, $00
.db	$E0, $00, $60, $00
.db	$DC, $00, $50, $0C
.db	$F8, $06, $66, $18
.db	$D7, $28, $EF, $10
.db	$A7, $5A, $FD, $00
.db	$8F, $F0, $7F, $80
.db	$0F, $F0, $7F, $80
.db	$CE, $30, $FE, $00
.db	$3E, $00, $3E, $00
.db	$1C, $00, $1C, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_dyndux_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$03, $00, $02, $00
.db	$07, $00, $04, $00
.db	$07, $00, $04, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$07, $00, $04, $00
.db	$07, $00, $04, $00
.db	$03, $00, $02, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$7C, $03, $40, $00
.db	$E0, $1F, $00, $00
.db	$80, $7C, $03, $00
.db	$00, $FF, $00, $00
.db	$00, $FF, $00, $00
.db	$00, $8C, $63, $73
.db	$33, $08, $F7, $C4
.db	$6A, $00, $F7, $95
.db	$7B, $00, $73, $84
.db	$B1, $1F, $30, $4F
.db	$E7, $3F, $20, $1F
.db	$EE, $7F, $60, $1F
.db	$F2, $7D, $71, $0E
.db	$FF, $3E, $BF, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $F0, $00, $00
.db	$60, $18, $80, $00
.db	$20, $D8, $00, $00
.db	$80, $58, $00, $00
.db	$80, $50, $80, $00
.db	$00, $40, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $80
.db	$E0, $E0, $00, $E0
.db	$20, $E0, $20, $C0
.db	$E0, $C0, $E0, $00
.db	$C0, $00, $C0, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$02, $01, $02, $00
.db	$06, $11, $04, $00
.db	$35, $0A, $24, $00
.db	$3F, $00, $24, $00
.db	$1F, $00, $14, $00
.db	$0B, $00, $0A, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$02, $01, $03, $00
.db	$02, $01, $03, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
;;; x: 8-15
.db	$69, $16, $56, $09
.db	$ED, $12, $92, $09
.db	$D3, $2C, $40, $00
.db	$B9, $46, $90, $00
.db	$FD, $02, $B0, $00
.db	$E3, $00, $BC, $1C
.db	$C5, $04, $53, $3A
.db	$C0, $00, $5C, $3E
.db	$22, $C0, $22, $DC
.db	$BC, $60, $9C, $60
.db	$6A, $C5, $2D, $C2
.db	$2D, $D2, $F0, $0F
.db	$4F, $B0, $F0, $0F
.db	$04, $FB, $FB, $04
.db	$03, $FC, $FF, $00
.db	$FE, $00, $FE, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $80, $00
.db	$00, $80, $80, $00
.db	$80, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_dyndux_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $02, $00
.db	$07, $00, $04, $00
.db	$0E, $01, $08, $00
.db	$0E, $01, $08, $00
.db	$1E, $01, $10, $00
.db	$1E, $00, $11, $01
.db	$1E, $00, $11, $01
.db	$1E, $00, $10, $01
.db	$1F, $00, $10, $00
.db	$0F, $00, $08, $00
.db	$0F, $00, $08, $00
.db	$07, $00, $04, $00
.db	$03, $00, $03, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$F8, $06, $80, $00
.db	$C0, $3F, $00, $00
.db	$00, $F9, $06, $00
.db	$00, $FE, $01, $00
.db	$00, $FF, $00, $00
.db	$01, $18, $C6, $E6
.db	$67, $10, $EF, $88
.db	$D4, $00, $EE, $2A
.db	$F6, $00, $E6, $08
.db	$62, $3E, $61, $9F
.db	$CF, $7F, $40, $3F
.db	$DC, $FF, $C0, $3F
.db	$E5, $FB, $E3, $1C
.db	$FF, $7C, $7F, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $E0, $00, $00
.db	$C0, $30, $00, $00
.db	$40, $B0, $00, $00
.db	$00, $B0, $00, $00
.db	$00, $A0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $C0, $00, $C0
.db	$40, $C0, $40, $80
.db	$C0, $80, $C0, $00
.db	$80, $00, $80, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$21, $18, $21, $00
.db	$5F, $20, $42, $00
.db	$7F, $00, $4A, $00
.db	$77, $00, $54, $00
.db	$2F, $00, $2C, $00
.db	$1B, $04, $1C, $00
.db	$21, $1F, $38, $07
.db	$2B, $16, $3D, $02
.db	$27, $18, $38, $07
.db	$2E, $11, $30, $0F
.db	$23, $1C, $3C, $03
.db	$10, $0F, $1F, $00
.db	$0F, $00, $0F, $00
;;; x: 8-15
.db	$D2, $2C, $EC, $12
.db	$DB, $24, $A5, $12
.db	$DF, $20, $1F, $00
.db	$E2, $1C, $01, $01
.db	$FE, $00, $20, $01
.db	$BF, $40, $1F, $00
.db	$1F, $E0, $00, $00
.db	$07, $F8, $01, $00
.db	$9E, $60, $00, $00
.db	$FC, $06, $04, $02
.db	$FF, $01, $FF, $00
.db	$82, $41, $43, $80
.db	$43, $A0, $23, $C0
.db	$C4, $23, $27, $C0
.db	$22, $C1, $E3, $00
.db	$C1, $00, $C1, $00
;;; x: 16-23
.db	$80, $00, $C0, $40
.db	$00, $00, $80, $F0
.db	$00, $00, $E0, $F8
.db	$08, $08, $E0, $F0
.db	$18, $10, $08, $E0
.db	$F0, $00, $F0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$7C, $80, $40, $BC
.db	$14, $EA, $E2, $1C
.db	$9C, $62, $E2, $1C
.db	$32, $CC, $CE, $30
.db	$0C, $F0, $FC, $00
.db	$F0, $00, $F0, $00

