;
; fntzone2
;
; Animation
; 2 frames
; - 24*16 pixels each
; - 192 bytes each
; 384 bytes total
;

; Infos
data_fntzone2_infos:
.db	3, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	6	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	6*2*32	; Total number of data frames bytes

; Animation
data_fntzone2_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_fntzone2_desc:
.db     "OPA OPA                        ", 0
;        ^         ^         ^         ^

; Palette
data_fntzone2_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$0C	; (R:0 G:3 B:0)
.db	$3C	; (R:0 G:3 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_fntzone2_tiles:
; Frame 0
data_fntzone2_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $03, $00
.db	$02, $01, $07, $00
.db	$00, $03, $07, $00
.db	$3F, $00, $00, $3F
.db	$0F, $00, $00, $0F
.db	$07, $00, $0C, $03
.db	$06, $01, $0F, $00
.db	$03, $00, $07, $00
.db	$03, $00, $07, $00
.db	$00, $00, $03, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $F8, $00
.db	$78, $78, $E6, $00
.db	$1E, $12, $81, $6C
.db	$1F, $1C, $80, $63
.db	$FF, $1F, $00, $E0
.db	$EF, $0F, $00, $F0
.db	$C0, $00, $20, $DF
.db	$00, $E0, $FF, $00
.db	$00, $EF, $F0, $00
.db	$C0, $1F, $E0, $00
.db	$BF, $00, $C0, $00
.db	$00, $00, $FF, $00
.db	$30, $30, $78, $00
.db	$30, $30, $7C, $00
.db	$7C, $7C, $FE, $00
.db	$00, $00, $FE, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$80, $80, $40, $00
.db	$C0, $40, $20, $80
.db	$E0, $E0, $10, $00
.db	$20, $20, $30, $C0
.db	$00, $00, $F0, $00
.db	$00, $E0, $10, $00
.db	$40, $80, $20, $00
.db	$00, $00, $C0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_fntzone2_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $03, $00
.db	$02, $01, $07, $00
.db	$00, $03, $07, $00
.db	$3F, $00, $00, $3F
.db	$0F, $00, $00, $0F
.db	$07, $00, $0C, $03
.db	$06, $01, $0F, $00
.db	$03, $00, $07, $00
.db	$03, $00, $07, $00
.db	$00, $00, $03, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $F8, $00
.db	$78, $78, $E6, $00
.db	$1E, $12, $81, $6C
.db	$1F, $1C, $80, $63
.db	$FF, $1F, $00, $E0
.db	$EF, $0F, $00, $F0
.db	$C0, $00, $20, $DF
.db	$00, $E0, $FF, $00
.db	$00, $EF, $F0, $00
.db	$C0, $1F, $E0, $00
.db	$BF, $00, $C0, $00
.db	$00, $00, $FF, $00
.db	$6D, $6D, $FF, $00
.db	$C7, $C7, $FF, $00
.db	$72, $72, $FF, $00
.db	$00, $00, $76, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$80, $80, $40, $00
.db	$C0, $40, $20, $80
.db	$E0, $E0, $10, $00
.db	$20, $20, $30, $C0
.db	$00, $00, $F0, $00
.db	$00, $E0, $10, $00
.db	$40, $80, $20, $00
.db	$00, $00, $C0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

