;
; gsthouse
;
; Animation
; 2 frames
; - 16*32 pixels each
; - 256 bytes each
; 512 bytes total
;

; Infos
data_gsthouse_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	8*2*32	; Total number of data frames bytes

; Animation
data_gsthouse_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_gsthouse_desc:
.db     "MICKEY                         ", 0
;        ^         ^         ^         ^

; Palette
data_gsthouse_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$20	; (R:0 G:0 B:2)
.db	$34	; (R:0 G:1 B:3)
.db	$38	; (R:0 G:2 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$3C	; (R:0 G:3 B:3)
.db	$03	; (R:3 G:0 B:0)
.db	$27	; (R:3 G:1 B:2)
.db	$0B	; (R:3 G:2 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_gsthouse_tiles:
; Frame 0
data_gsthouse_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $3F, $00
.db	$00, $00, $7F, $00
.db	$00, $00, $FF, $00
.db	$40, $00, $BF, $40
.db	$60, $00, $9F, $60
.db	$70, $00, $8F, $70
.db	$29, $01, $C7, $38
.db	$2A, $03, $C6, $39
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $F0, $00
.db	$00, $00, $FC, $00
.db	$00, $00, $FE, $00
.db	$00, $00, $FE, $00
.db	$00, $00, $FF, $00
.db	$00, $00, $FF, $00
.db	$C0, $C0, $EF, $00
.db	$40, $C0, $67, $80
;; y: 16-31
;;; x: 0-7
.db	$1E, $03, $E2, $1D
.db	$07, $00, $F8, $07
.db	$07, $00, $78, $07
.db	$07, $04, $3C, $03
.db	$0E, $02, $1D, $00
.db	$1C, $0F, $30, $00
.db	$34, $1B, $60, $00
.db	$14, $1B, $60, $00
.db	$7C, $03, $80, $70
.db	$38, $07, $87, $70
.db	$18, $07, $87, $70
.db	$00, $00, $7F, $00
.db	$00, $00, $0F, $00
.db	$00, $0F, $1F, $00
.db	$00, $0F, $1F, $00
.db	$00, $00, $1F, $00
;;; x: 8-15
.db	$50, $40, $E3, $10
.db	$E0, $00, $12, $E0
.db	$E0, $00, $14, $E0
.db	$C0, $00, $20, $C0
.db	$00, $00, $C0, $00
.db	$00, $00, $80, $00
.db	$00, $80, $40, $00
.db	$00, $80, $40, $00
.db	$20, $A0, $60, $00
.db	$60, $60, $E0, $00
.db	$60, $60, $E0, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $80, $00
.db	$00, $80, $C0, $00
.db	$00, $00, $C0, $00

; Frame 1
data_gsthouse_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $3F, $00
.db	$00, $00, $7F, $00
.db	$00, $00, $FF, $00
.db	$40, $00, $BF, $40
.db	$60, $00, $9F, $60
.db	$70, $00, $8F, $70
.db	$29, $01, $C7, $38
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $F0, $00
.db	$00, $00, $FC, $00
.db	$00, $00, $FE, $00
.db	$00, $00, $FE, $00
.db	$00, $00, $FF, $00
.db	$00, $00, $FF, $00
.db	$C0, $C0, $EF, $00
;; y: 16-31
;;; x: 0-7
.db	$2A, $03, $C6, $39
.db	$1E, $03, $E2, $1D
.db	$07, $00, $F8, $07
.db	$07, $00, $78, $07
.db	$07, $04, $3C, $03
.db	$0C, $0A, $15, $00
.db	$0E, $1B, $24, $00
.db	$07, $19, $27, $00
.db	$27, $2E, $32, $C1
.db	$6D, $60, $70, $83
.db	$C0, $DC, $FE, $01
.db	$00, $0E, $7F, $00
.db	$00, $60, $FF, $00
.db	$00, $70, $F9, $00
.db	$00, $38, $7D, $00
.db	$00, $00, $38, $00
;;; x: 8-15
.db	$40, $C0, $67, $80
.db	$50, $40, $E3, $10
.db	$E0, $00, $16, $E0
.db	$E0, $00, $10, $E0
.db	$C0, $00, $20, $C0
.db	$00, $00, $C0, $00
.db	$00, $00, $80, $00
.db	$80, $00, $40, $80
.db	$C0, $00, $00, $C0
.db	$C0, $00, $20, $C0
.db	$00, $00, $40, $80
.db	$00, $00, $F8, $00
.db	$00, $78, $FC, $00
.db	$00, $F0, $F8, $00
.db	$00, $C0, $F0, $00
.db	$00, $00, $C0, $00

