;
; kenseidn
;
; Animation
; 4 frames
; - 24*48 pixels each
; - 576 bytes each
; 2304 bytes total
;

; Infos
data_kenseidn_infos:
.db	3, 6	; Size in 8x8 tiles
.db	48	; Vertical Size in pixels
.db	18	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	18*4*32	; Total number of data frames bytes

; Animation
data_kenseidn_anim:
.db     4               ; Number of animation frames
.db     8               ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_kenseidn_desc:
.db     "HAYATE                         ", 0
;        ^         ^         ^         ^

; Palette
data_kenseidn_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$01	; (R:1 G:0 B:0)
.db	$06	; (R:2 G:1 B:0)
.db	$0A	; (R:2 G:2 B:0)
.db	$1A	; (R:2 G:2 B:1)
.db	$2A	; (R:2 G:2 B:2)
.db	$07	; (R:3 G:1 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_kenseidn_tiles:
; Frame 0
data_kenseidn_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$01, $00, $03, $00
.db	$03, $00, $02, $01
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$02, $0C, $0C, $00
.db	$01, $1E, $1E, $00
.db	$01, $1E, $1E, $00
.db	$13, $2C, $2C, $00
.db	$1E, $20, $20, $00
.db	$30, $40, $40, $00
.db	$23, $43, $43, $00
.db	$27, $44, $44, $00
.db	$0F, $28, $2F, $00
.db	$1F, $10, $18, $07
.db	$3F, $00, $24, $1B
.db	$FF, $00, $C0, $3F
.db	$FF, $00, $00, $FF
.db	$FF, $00, $02, $FD
.db	$FF, $00, $07, $F8
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$60, $18, $18, $00
.db	$4C, $B0, $B0, $00
.db	$FC, $00, $00, $00
.db	$FC, $08, $08, $00
.db	$D8, $00, $00, $20
.db	$B0, $20, $A0, $48
.db	$D0, $80, $80, $68
.db	$F0, $40, $60, $08
.db	$E0, $20, $A0, $00
.db	$F0, $20, $70, $80
.db	$F0, $20, $60, $90
.db	$F0, $10, $10, $C0
.db	$F0, $10, $50, $80
.db	$F0, $10, $10, $00
;; y: 16-31
;;; x: 0-7
.db	$03, $00, $02, $01
.db	$03, $00, $02, $01
.db	$01, $00, $01, $00
.db	$3F, $00, $3E, $00
.db	$3F, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $00, $01, $FE
.db	$FF, $00, $00, $FF
.db	$FE, $02, $02, $FD
.db	$FC, $04, $84, $7B
.db	$FE, $02, $42, $31
.db	$7F, $01, $23, $00
.db	$FF, $00, $1C, $00
.db	$FF, $00, $00, $00
.db	$FF, $40, $40, $00
.db	$FF, $70, $70, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $3F, $3F, $00
.db	$7F, $3F, $3F, $00
.db	$7F, $1F, $1F, $00
.db	$3F, $1F, $1F, $00
.db	$3F, $0B, $0B, $00
;;; x: 16-23
.db	$F0, $10, $90, $00
.db	$E0, $20, $A0, $00
.db	$E0, $20, $20, $00
.db	$60, $40, $40, $80
.db	$78, $00, $30, $88
.db	$F8, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$E0, $C0, $C0, $00
;; y: 32-47
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $01, $01, $00
.db	$03, $01, $01, $00
.db	$07, $01, $09, $04
.db	$0F, $09, $09, $04
.db	$0F, $08, $0C, $00
.db	$0F, $08, $0C, $00
.db	$07, $04, $06, $00
.db	$03, $02, $02, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$3F, $07, $07, $00
.db	$3F, $0B, $0B, $00
.db	$7F, $3F, $3F, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $FE, $FE, $00
.db	$FF, $FE, $FE, $00
.db	$FF, $F8, $F8, $00
.db	$FF, $F0, $F0, $00
.db	$FE, $C0, $C0, $00
.db	$FE, $00, $00, $00
.db	$FC, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$F0, $00, $00, $00
.db	$F0, $10, $E0, $00
.db	$F8, $C0, $E0, $08
.db	$38, $38, $38, $00
;;; x: 16-23
.db	$E0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$C0, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_kenseidn_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$03, $00, $02, $01
.db	$03, $00, $02, $01
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$04, $18, $18, $00
.db	$02, $3C, $3C, $00
.db	$02, $3D, $3D, $00
.db	$07, $38, $38, $00
.db	$0D, $10, $10, $00
.db	$09, $10, $10, $00
.db	$1F, $26, $27, $00
.db	$1F, $29, $29, $00
.db	$3F, $50, $5E, $00
.db	$3F, $20, $31, $0E
.db	$7F, $00, $48, $37
.db	$FF, $00, $80, $7F
.db	$FF, $00, $00, $FF
.db	$FF, $00, $04, $FB
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $30, $30, $00
.db	$98, $60, $60, $00
.db	$F8, $00, $00, $00
.db	$F8, $10, $10, $00
.db	$B0, $00, $00, $40
.db	$60, $40, $40, $90
.db	$A0, $00, $00, $D0
.db	$E0, $80, $C0, $10
.db	$C0, $40, $40, $00
.db	$E0, $40, $E0, $00
.db	$E0, $40, $C0, $20
.db	$E0, $20, $20, $80
.db	$E0, $20, $A0, $00
;; y: 16-31
;;; x: 0-7
.db	$07, $00, $04, $03
.db	$07, $00, $04, $03
.db	$07, $00, $04, $03
.db	$03, $00, $02, $01
.db	$7F, $00, $7D, $00
.db	$7F, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
;;; x: 8-15
.db	$FF, $00, $0E, $F0
.db	$FF, $00, $03, $FC
.db	$FF, $00, $01, $FE
.db	$FD, $04, $04, $FA
.db	$F8, $08, $08, $F7
.db	$FC, $04, $84, $63
.db	$7F, $03, $47, $00
.db	$FF, $00, $38, $00
.db	$FF, $00, $00, $00
.db	$FF, $40, $40, $00
.db	$FF, $61, $61, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $3F, $3F, $00
.db	$FF, $0F, $0F, $00
.db	$FF, $80, $80, $00
.db	$FD, $C0, $C0, $00
;;; x: 16-23
.db	$E0, $20, $20, $00
.db	$EA, $22, $22, $05
.db	$FC, $40, $70, $03
.db	$FD, $49, $69, $02
.db	$FC, $8C, $CC, $00
.db	$F8, $08, $68, $10
.db	$F8, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $F0, $F0, $00
.db	$FE, $FC, $FC, $00
.db	$FE, $FC, $FC, $00
.db	$FE, $7C, $7C, $00
.db	$FC, $78, $78, $00
.db	$FC, $38, $38, $00
;; y: 32-47
;;; x: 0-7
.db	$03, $01, $01, $00
.db	$03, $01, $01, $00
.db	$07, $00, $00, $00
.db	$07, $02, $02, $00
.db	$0F, $04, $04, $00
.db	$1F, $0E, $0E, $00
.db	$3F, $1E, $1E, $00
.db	$3F, $1C, $1C, $00
.db	$7F, $3C, $3C, $00
.db	$FF, $78, $78, $00
.db	$FF, $20, $20, $00
.db	$7E, $00, $00, $00
.db	$7E, $00, $40, $00
.db	$FC, $C0, $A0, $00
.db	$78, $60, $E0, $08
.db	$18, $18, $18, $00
;;; x: 8-15
.db	$FF, $C0, $C0, $00
.db	$FF, $81, $81, $00
.db	$FF, $01, $01, $00
.db	$FF, $03, $03, $00
.db	$FF, $03, $03, $00
.db	$EF, $07, $07, $00
.db	$EF, $07, $07, $00
.db	$CF, $03, $03, $00
.db	$87, $00, $04, $00
.db	$8F, $0C, $0B, $00
.db	$07, $06, $06, $00
.db	$01, $01, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$F8, $F0, $F0, $00
.db	$F8, $F0, $F0, $00
.db	$F0, $E0, $E0, $00
.db	$F0, $E0, $E0, $00
.db	$E0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$C0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$80, $80, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_kenseidn_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $01, $00
.db	$01, $00, $01, $00
.db	$03, $00, $02, $01
.db	$03, $00, $02, $01
;;; x: 8-15
.db	$02, $0C, $0C, $00
.db	$01, $1E, $1E, $00
.db	$01, $1E, $1E, $00
.db	$13, $2C, $2C, $00
.db	$1E, $20, $20, $00
.db	$30, $40, $40, $00
.db	$23, $43, $43, $00
.db	$27, $44, $44, $00
.db	$0F, $28, $2F, $00
.db	$1F, $30, $18, $07
.db	$3F, $00, $24, $1B
.db	$FF, $00, $C0, $3F
.db	$FF, $00, $00, $FF
.db	$FF, $00, $02, $FD
.db	$FF, $00, $07, $F8
.db	$FF, $00, $01, $FE
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$60, $18, $18, $00
.db	$4C, $B0, $B0, $00
.db	$FC, $00, $00, $00
.db	$FC, $08, $08, $00
.db	$D8, $00, $00, $20
.db	$B0, $20, $A0, $48
.db	$D0, $80, $80, $68
.db	$F0, $40, $60, $08
.db	$E0, $20, $A0, $00
.db	$F0, $20, $60, $90
.db	$F0, $20, $70, $80
.db	$F0, $10, $10, $C0
.db	$F0, $10, $50, $80
.db	$F0, $10, $10, $00
.db	$F0, $10, $90, $00
;; y: 16-31
;;; x: 0-7
.db	$03, $00, $02, $01
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $00, $00, $FF
.db	$FE, $02, $02, $FD
.db	$FC, $04, $84, $7B
.db	$7E, $02, $42, $31
.db	$7F, $01, $23, $00
.db	$FF, $00, $1C, $00
.db	$FF, $40, $40, $00
.db	$FF, $60, $60, $00
.db	$FF, $7E, $7E, $00
.db	$FF, $3F, $3F, $00
.db	$7F, $3F, $3F, $00
.db	$7F, $3F, $3F, $00
.db	$3F, $1F, $1F, $00
.db	$3F, $1F, $1F, $00
.db	$1F, $0F, $0F, $00
.db	$1F, $0B, $0B, $00
;;; x: 16-23
.db	$E0, $20, $A0, $00
.db	$E0, $20, $20, $00
.db	$60, $40, $40, $80
.db	$78, $00, $30, $88
.db	$F8, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $80, $80, $00
.db	$E0, $80, $80, $00
.db	$F0, $80, $80, $00
.db	$F0, $C0, $C0, $00
.db	$F0, $C0, $C0, $00
;; y: 32-47
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $04
.db	$0F, $08, $0C, $00
.db	$0F, $08, $0C, $00
.db	$0F, $09, $0D, $00
.db	$07, $05, $05, $00
.db	$03, $01, $01, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$0F, $07, $07, $00
.db	$FF, $03, $03, $00
.db	$FF, $0F, $0F, $00
.db	$FF, $1F, $1F, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $FF, $FF, $00
.db	$FF, $FE, $FE, $00
.db	$FE, $FC, $FC, $00
.db	$FC, $F8, $F8, $00
.db	$F8, $F0, $F0, $00
.db	$F8, $F0, $F0, $00
.db	$F0, $60, $60, $00
.db	$F0, $10, $00, $00
.db	$F0, $10, $E0, $00
.db	$F8, $C0, $C0, $28
.db	$38, $38, $38, $00
;;; x: 16-23
.db	$F0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$E0, $80, $80, $00
.db	$C0, $80, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 3
data_kenseidn_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$03, $00, $01, $00
.db	$07, $00, $02, $01
.db	$07, $00, $02, $01
.db	$07, $00, $04, $03
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$04, $18, $18, $00
.db	$02, $3C, $3C, $00
.db	$02, $3D, $3D, $00
.db	$07, $38, $38, $00
.db	$0D, $10, $10, $00
.db	$09, $10, $10, $00
.db	$1F, $26, $27, $00
.db	$1F, $29, $29, $00
.db	$3F, $50, $5E, $00
.db	$FF, $20, $31, $0E
.db	$FF, $00, $48, $37
.db	$FF, $00, $80, $7F
.db	$FF, $00, $00, $FF
.db	$FF, $00, $04, $FB
.db	$FF, $00, $0E, $F0
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $30, $30, $00
.db	$98, $60, $60, $00
.db	$F8, $00, $00, $00
.db	$F8, $10, $10, $00
.db	$B0, $00, $00, $40
.db	$60, $40, $40, $90
.db	$A0, $00, $00, $D0
.db	$E0, $80, $C0, $10
.db	$C0, $40, $40, $00
.db	$E0, $40, $E0, $00
.db	$E0, $40, $C0, $20
.db	$E0, $20, $20, $80
.db	$E0, $20, $A0, $00
.db	$E0, $20, $20, $00
;; y: 16-31
;;; x: 0-7
.db	$07, $00, $04, $03
.db	$07, $00, $04, $03
.db	$07, $04, $02, $01
.db	$7F, $00, $7D, $00
.db	$7F, $00, $00, $00
.db	$00, $00, $01, $00
.db	$01, $01, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$03, $00, $00, $00
.db	$03, $01, $01, $00
.db	$03, $01, $01, $00
.db	$03, $01, $01, $00
;;; x: 8-15
.db	$FF, $00, $03, $FC
.db	$FF, $00, $01, $FE
.db	$FD, $04, $04, $FA
.db	$F8, $08, $08, $F7
.db	$FC, $04, $84, $63
.db	$7F, $03, $C7, $00
.db	$FF, $00, $38, $00
.db	$FF, $00, $00, $00
.db	$FF, $40, $40, $00
.db	$FF, $E0, $E0, $00
.db	$FF, $F8, $F8, $00
.db	$FF, $F8, $F8, $00
.db	$FF, $FC, $FC, $00
.db	$FF, $FC, $FC, $00
.db	$FF, $FA, $F8, $00
.db	$FF, $F0, $F0, $00
;;; x: 16-23
.db	$E0, $20, $20, $00
.db	$C0, $40, $40, $00
.db	$C0, $40, $40, $00
.db	$C0, $80, $80, $00
.db	$F0, $00, $60, $10
.db	$F0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$FC, $30, $30, $00
.db	$FE, $7C, $7C, $00
.db	$FE, $7C, $7C, $00
.db	$FE, $3C, $3C, $00
.db	$FC, $78, $78, $00
.db	$FC, $30, $30, $00
.db	$F8, $F0, $F0, $00
;; y: 32-47
;;; x: 0-7
.db	$07, $01, $01, $00
.db	$07, $03, $03, $00
.db	$0F, $07, $07, $00
.db	$1F, $0F, $0F, $00
.db	$3F, $1F, $1F, $00
.db	$3F, $1F, $1F, $00
.db	$7F, $3F, $3F, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $7F, $7F, $00
.db	$FF, $7E, $7E, $00
.db	$7E, $3C, $3C, $00
.db	$7E, $1C, $5C, $00
.db	$7C, $02, $20, $40
.db	$B0, $88, $D0, $20
.db	$78, $60, $60, $08
.db	$18, $18, $18, $00
;;; x: 8-15
.db	$FF, $D8, $D8, $00
.db	$FF, $F1, $F1, $00
.db	$FF, $F1, $F1, $00
.db	$FF, $E1, $E1, $00
.db	$E7, $80, $80, $00
.db	$E7, $C0, $C0, $00
.db	$C7, $80, $84, $00
.db	$8B, $0C, $0B, $00
.db	$87, $06, $06, $00
.db	$01, $01, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$F8, $E0, $E0, $00
.db	$F0, $E0, $E0, $00
.db	$F0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$E0, $C0, $C0, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $80
.db	$80, $80, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

