;
; kujakuou
;
; Animation
; 6 frames
; - 24*48 pixels each
; - 576 bytes each
; 3456 bytes total
;

; Infos
data_kujakuou_infos:
.db	3, 6	; Size in 8x8 tiles
.db	48	; Vertical Size in pixels
.db	18	; Number of 8x8 tiles
.db	6	; Number of data frames
.dw	18*6*32	; Total number of data frames bytes

; Animation
data_kujakuou_anim:
.db     6                       ; Number of animation frames
.db     6                       ; Animation Speed
.db	0, 1, 2, 3, 4, 5	; Animation

; Description:
data_kujakuou_desc:
.db     "KUJYAKU                        ", 0
;        ^         ^         ^         ^

; Palette
data_kujakuou_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$21	; (R:1 G:0 B:2)
.db	$00	; (R:0 G:0 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$07	; (R:3 G:1 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_kujakuou_tiles:
; Frame 0
data_kujakuou_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$03, $07, $01, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$01, $0F, $01, $00
.db	$00, $07, $01, $00
.db	$00, $05, $03, $00
.db	$0C, $06, $03, $00
.db	$3E, $03, $03, $00
.db	$7F, $11, $01, $00
.db	$FF, $08, $00, $00
.db	$EF, $18, $00, $00
.db	$EF, $10, $00, $00
.db	$CF, $30, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $40, $80, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $80, $00
.db	$00, $80, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $8C, $8C, $00
;; y: 16-31
;;; x: 0-7
.db	$03, $00, $00, $00
.db	$06, $01, $00, $00
.db	$07, $01, $00, $00
.db	$0F, $03, $01, $00
.db	$0F, $03, $01, $00
.db	$0F, $03, $01, $00
.db	$0F, $03, $02, $00
.db	$0E, $02, $00, $00
.db	$0E, $04, $04, $00
.db	$0E, $04, $00, $00
.db	$0F, $05, $00, $00
.db	$1B, $0B, $00, $00
.db	$1F, $0F, $00, $00
.db	$1F, $07, $00, $00
.db	$1F, $07, $00, $00
.db	$1F, $0F, $00, $00
;;; x: 8-15
.db	$4F, $B3, $03, $00
.db	$1F, $FF, $07, $00
.db	$BF, $FF, $0F, $00
.db	$DF, $DF, $9F, $00
.db	$FF, $FF, $DE, $00
.db	$F3, $FF, $EE, $00
.db	$FA, $FE, $6C, $00
.db	$7B, $7B, $1C, $00
.db	$7F, $7F, $27, $00
.db	$FF, $FF, $3F, $00
.db	$FF, $FF, $1F, $00
.db	$FF, $FF, $0F, $00
.db	$FF, $FF, $03, $00
.db	$FF, $FF, $01, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
;;; x: 16-23
.db	$E0, $F4, $9E, $00
.db	$F0, $F0, $2C, $00
.db	$E0, $E0, $00, $00
.db	$C0, $C0, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$C0, $C0, $C0, $00
.db	$C0, $C0, $C0, $00
.db	$E0, $E0, $E0, $00
.db	$F0, $F0, $F0, $00
.db	$F0, $F0, $F0, $00
.db	$F0, $F0, $60, $00
;; y: 32-47
;;; x: 0-7
.db	$3F, $0F, $00, $00
.db	$3F, $1F, $00, $00
.db	$5F, $1F, $00, $00
.db	$1F, $07, $00, $00
.db	$1F, $07, $00, $00
.db	$0F, $03, $00, $00
.db	$0F, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $0F, $08, $00
.db	$1E, $1E, $18, $00
.db	$0C, $0C, $10, $00
.db	$30, $30, $28, $00
.db	$70, $70, $60, $00
.db	$30, $30, $40, $00
.db	$08, $08, $30, $00
.db	$00, $00, $18, $00
;;; x: 8-15
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $F0, $00, $00
.db	$FE, $80, $00, $00
.db	$F0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$E0, $20, $E0, $00
.db	$60, $00, $60, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $40, $00
.db	$E0, $C0, $00, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_kujakuou_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$0E, $01, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$03, $07, $01, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$01, $0F, $01, $00
.db	$00, $07, $01, $00
.db	$00, $05, $03, $00
.db	$0C, $06, $03, $00
.db	$3E, $03, $03, $00
.db	$7F, $11, $01, $00
.db	$FF, $08, $00, $00
.db	$FF, $08, $00, $00
.db	$67, $98, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $40, $80, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $80, $00
.db	$00, $80, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $86, $86, $00
.db	$C0, $0A, $0F, $00
.db	$F8, $38, $06, $00
;; y: 16-31
;;; x: 0-7
.db	$0F, $00, $00, $00
.db	$0F, $03, $00, $00
.db	$1F, $07, $03, $00
.db	$1F, $07, $03, $00
.db	$1B, $0F, $09, $00
.db	$19, $0D, $08, $00
.db	$38, $0C, $08, $00
.db	$30, $18, $00, $00
.db	$38, $10, $10, $00
.db	$38, $10, $00, $00
.db	$30, $10, $00, $00
.db	$30, $10, $00, $00
.db	$31, $11, $00, $00
.db	$67, $07, $00, $00
.db	$6F, $0F, $00, $00
.db	$5F, $1F, $00, $00
;;; x: 8-15
.db	$0F, $F0, $00, $00
.db	$8F, $73, $03, $00
.db	$BF, $FF, $07, $00
.db	$BF, $BF, $8F, $00
.db	$DF, $DF, $8E, $00
.db	$CF, $DF, $BE, $00
.db	$CF, $EF, $7C, $00
.db	$4F, $6F, $7C, $00
.db	$5F, $5F, $3B, $00
.db	$7F, $7F, $1F, $00
.db	$FF, $FF, $0F, $00
.db	$FF, $FF, $03, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
;;; x: 16-23
.db	$FC, $FC, $98, $00
.db	$F8, $F8, $90, $00
.db	$F0, $B0, $00, $00
.db	$E0, $80, $00, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $80, $00, $00
.db	$C0, $C0, $80, $00
.db	$E0, $E0, $E0, $00
.db	$F0, $F0, $F0, $00
.db	$F8, $F8, $F8, $00
.db	$F8, $F8, $F8, $00
.db	$FC, $FC, $7C, $00
.db	$FC, $FC, $1C, $00
.db	$FC, $FC, $18, $00
;; y: 32-47
;;; x: 0-7
.db	$5F, $1F, $00, $00
.db	$9F, $1F, $00, $00
.db	$0F, $0F, $00, $00
.db	$1F, $0F, $00, $00
.db	$1F, $07, $00, $00
.db	$1F, $07, $00, $00
.db	$0F, $03, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $18, $00, $00
.db	$3F, $3F, $18, $00
.db	$5C, $5C, $70, $00
.db	$60, $60, $F0, $00
.db	$60, $60, $C0, $00
.db	$40, $40, $80, $00
.db	$00, $00, $C0, $00
.db	$20, $20, $40, $00
;;; x: 8-15
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $F0, $00, $00
.db	$FF, $81, $00, $00
.db	$F9, $01, $03, $00
.db	$C3, $02, $01, $00
.db	$07, $07, $03, $00
.db	$03, $03, $05, $00
.db	$03, $00, $03, $00
.db	$01, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$FC, $FC, $10, $00
.db	$F8, $F8, $20, $00
.db	$F8, $F0, $00, $00
.db	$F0, $C0, $00, $00
.db	$F0, $10, $10, $00
.db	$E0, $E0, $20, $00
.db	$C0, $C0, $C0, $00
.db	$C0, $C0, $80, $00
.db	$80, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_kujakuou_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$03, $01, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $04, $00, $00
.db	$1F, $02, $00, $00
.db	$3F, $02, $00, $00
.db	$3D, $02, $00, $00
.db	$7D, $02, $00, $00
.db	$7B, $04, $00, $00
;;; x: 16-23
.db	$00, $E0, $00, $00
.db	$E0, $F0, $40, $00
.db	$00, $F0, $00, $00
.db	$00, $D0, $20, $00
.db	$00, $E0, $00, $00
.db	$40, $E0, $40, $00
.db	$00, $E0, $60, $00
.db	$00, $60, $E0, $00
.db	$00, $80, $E0, $00
.db	$80, $C0, $C0, $00
.db	$C0, $40, $40, $00
.db	$E0, $20, $20, $00
.db	$E0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $20, $20, $00
.db	$E0, $E0, $C0, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $01, $00, $00
.db	$03, $03, $00, $00
.db	$03, $03, $00, $00
.db	$07, $07, $00, $00
;;; x: 8-15
.db	$F7, $0F, $01, $00
.db	$C7, $3F, $03, $00
.db	$FF, $07, $07, $00
.db	$FF, $1F, $09, $00
.db	$FF, $3F, $1E, $00
.db	$FF, $3F, $0E, $00
.db	$EF, $3F, $20, $00
.db	$EF, $3F, $2F, $00
.db	$6F, $3F, $2F, $00
.db	$7F, $1F, $17, $00
.db	$7F, $1F, $17, $00
.db	$FF, $9F, $17, $00
.db	$FF, $DF, $17, $00
.db	$FF, $CF, $07, $00
.db	$FF, $CF, $03, $00
.db	$FF, $CF, $03, $00
;;; x: 16-23
.db	$E0, $E0, $C0, $00
.db	$C0, $C0, $80, $00
.db	$C0, $C0, $80, $00
.db	$C0, $C0, $80, $00
.db	$00, $C0, $C0, $00
.db	$80, $C0, $C0, $00
.db	$80, $80, $C0, $00
.db	$C0, $C0, $00, $00
.db	$C0, $C0, $80, $00
.db	$C0, $C0, $80, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $C0, $00
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
;; y: 32-47
;;; x: 0-7
.db	$07, $07, $00, $00
.db	$07, $07, $00, $00
.db	$07, $07, $00, $00
.db	$07, $03, $00, $00
.db	$0F, $0B, $18, $00
.db	$0F, $08, $10, $00
.db	$1B, $18, $20, $00
.db	$03, $00, $30, $00
.db	$10, $10, $20, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $DF, $03, $00
.db	$FF, $DF, $03, $00
.db	$FF, $9F, $03, $00
.db	$FF, $BF, $07, $00
.db	$FF, $7F, $00, $00
.db	$FF, $FE, $00, $00
.db	$FF, $70, $00, $00
.db	$FE, $00, $00, $00
.db	$7E, $06, $02, $00
.db	$1C, $1C, $04, $00
.db	$18, $18, $18, $00
.db	$38, $18, $38, $00
.db	$60, $60, $70, $00
.db	$70, $70, $70, $00
.db	$3C, $14, $7C, $00
.db	$18, $00, $1C, $00
;;; x: 16-23
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $00, $00
.db	$E0, $80, $00, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 3
data_kujakuou_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $03, $00, $00
.db	$01, $03, $00, $00
.db	$00, $07, $00, $00
.db	$00, $07, $00, $00
.db	$00, $07, $00, $00
.db	$00, $07, $00, $00
.db	$00, $03, $00, $00
.db	$00, $02, $01, $00
.db	$06, $03, $01, $00
.db	$1F, $01, $01, $00
.db	$3F, $08, $00, $00
.db	$3F, $04, $00, $00
.db	$3D, $42, $00, $00
.db	$3D, $42, $00, $00
.db	$3E, $41, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $C0, $00, $00
.db	$C0, $E0, $80, $00
.db	$00, $E0, $00, $00
.db	$00, $A0, $40, $00
.db	$00, $C0, $00, $00
.db	$80, $C0, $80, $00
.db	$00, $C0, $C0, $00
.db	$00, $C0, $C0, $00
.db	$00, $00, $C0, $00
.db	$00, $80, $80, $00
.db	$80, $80, $80, $00
.db	$C0, $40, $40, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $46, $46, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $01, $00, $00
.db	$02, $01, $00, $00
.db	$02, $01, $00, $00
.db	$04, $03, $00, $00
.db	$04, $03, $00, $00
.db	$04, $03, $00, $00
.db	$04, $02, $00, $00
.db	$08, $06, $00, $00
.db	$09, $05, $00, $00
.db	$0B, $07, $01, $00
.db	$07, $0F, $01, $00
.db	$1F, $0F, $07, $00
.db	$1F, $0E, $06, $00
;;; x: 8-15
.db	$BD, $42, $00, $00
.db	$1F, $E1, $00, $00
.db	$1F, $E1, $00, $00
.db	$0F, $F1, $00, $00
.db	$7E, $86, $01, $00
.db	$7F, $87, $02, $00
.db	$7F, $0F, $06, $00
.db	$7F, $0F, $06, $00
.db	$7F, $1F, $0F, $00
.db	$FF, $1F, $0F, $00
.db	$FF, $1F, $0F, $00
.db	$FF, $3F, $1F, $00
.db	$FF, $3F, $1E, $00
.db	$FF, $7F, $3E, $00
.db	$FF, $7F, $3E, $00
.db	$FF, $7F, $3C, $00
;;; x: 16-23
.db	$7E, $FF, $07, $00
.db	$FE, $FE, $3A, $00
.db	$FC, $FC, $FA, $00
.db	$F8, $F8, $E0, $00
.db	$E0, $E0, $00, $00
.db	$80, $80, $00, $00
.db	$C0, $C0, $00, $00
.db	$C0, $C0, $80, $00
.db	$E0, $E0, $40, $00
.db	$F0, $F0, $60, $00
.db	$F0, $F0, $20, $00
.db	$F8, $F8, $30, $00
.db	$F8, $F8, $30, $00
.db	$F8, $F8, $10, $00
.db	$F8, $F8, $10, $00
.db	$F8, $F8, $10, $00
;; y: 32-47
;;; x: 0-7
.db	$1F, $0E, $06, $00
.db	$17, $06, $02, $00
.db	$2F, $06, $02, $00
.db	$0F, $02, $00, $00
.db	$0F, $01, $00, $00
.db	$05, $03, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $0C, $08, $00
.db	$0F, $0F, $0C, $00
.db	$1E, $1E, $1C, $00
.db	$1C, $0C, $18, $00
.db	$38, $30, $28, $00
.db	$70, $70, $60, $00
.db	$70, $30, $40, $00
.db	$38, $08, $30, $00
.db	$18, $00, $18, $00
;;; x: 8-15
.db	$FF, $7F, $3C, $00
.db	$FF, $FF, $78, $00
.db	$FF, $FF, $78, $00
.db	$FF, $FF, $70, $00
.db	$FF, $F8, $C0, $00
.db	$FF, $C0, $00, $00
.db	$F8, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$10, $10, $60, $00
.db	$00, $00, $30, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$F0, $F0, $00, $00
.db	$F0, $F0, $40, $00
.db	$F0, $E0, $00, $00
.db	$E0, $80, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 4
data_kujakuou_tiles_frame4:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $00, $00, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$03, $07, $01, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$00, $0F, $00, $00
.db	$01, $0F, $01, $00
.db	$00, $07, $01, $00
.db	$00, $05, $03, $00
.db	$0C, $06, $03, $00
.db	$3E, $03, $03, $00
.db	$7F, $11, $01, $00
.db	$7F, $08, $00, $00
.db	$3B, $C4, $00, $00
.db	$3C, $C3, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $40, $80, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $80, $00
.db	$00, $80, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $86, $86, $00
.db	$86, $0F, $0F, $00
.db	$9E, $1E, $04, $00
;; y: 16-31
;;; x: 0-7
.db	$02, $01, $00, $00
.db	$04, $03, $00, $00
.db	$04, $03, $00, $00
.db	$08, $07, $00, $00
.db	$08, $07, $00, $00
.db	$10, $0E, $00, $00
.db	$10, $0C, $00, $00
.db	$20, $1C, $00, $00
.db	$20, $18, $00, $00
.db	$20, $10, $00, $00
.db	$40, $20, $00, $00
.db	$40, $20, $00, $00
.db	$41, $21, $00, $00
.db	$47, $07, $01, $00
.db	$4F, $0F, $07, $00
.db	$5F, $1F, $0F, $00
;;; x: 8-15
.db	$3E, $C1, $00, $00
.db	$1D, $E2, $00, $00
.db	$0F, $F0, $00, $00
.db	$3F, $E1, $01, $00
.db	$3F, $21, $00, $00
.db	$3F, $22, $02, $00
.db	$3F, $23, $00, $00
.db	$7F, $45, $04, $00
.db	$7F, $4B, $08, $00
.db	$FF, $CF, $06, $00
.db	$FF, $D7, $16, $00
.db	$FF, $9F, $07, $00
.db	$FF, $8F, $87, $00
.db	$FF, $8F, $87, $00
.db	$FF, $9F, $8F, $00
.db	$FF, $9F, $8E, $00
;;; x: 16-23
.db	$7C, $FC, $1A, $00
.db	$FC, $7C, $38, $00
.db	$F8, $F8, $B0, $00
.db	$B0, $B0, $40, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $00, $00
.db	$C0, $C0, $80, $00
.db	$E0, $E0, $40, $00
.db	$F0, $F0, $60, $00
.db	$F8, $F8, $30, $00
.db	$F8, $F8, $30, $00
.db	$FC, $FC, $18, $00
.db	$FC, $FC, $18, $00
.db	$FC, $FC, $18, $00
;; y: 32-47
;;; x: 0-7
.db	$5F, $1F, $0F, $00
.db	$9F, $1F, $0F, $00
.db	$0F, $0F, $07, $00
.db	$1F, $0F, $07, $00
.db	$1F, $06, $02, $00
.db	$1F, $07, $02, $00
.db	$0F, $03, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $18, $10, $00
.db	$3F, $3F, $38, $00
.db	$7C, $5C, $70, $00
.db	$E0, $60, $F0, $00
.db	$E0, $60, $C0, $00
.db	$C0, $40, $C0, $00
.db	$C0, $00, $C0, $00
.db	$60, $20, $60, $00
;;; x: 8-15
.db	$FF, $BF, $9E, $00
.db	$FF, $3F, $1C, $00
.db	$FF, $7F, $3C, $00
.db	$FF, $7F, $38, $00
.db	$FF, $FF, $70, $00
.db	$FF, $F0, $80, $00
.db	$FF, $81, $00, $00
.db	$F9, $01, $02, $00
.db	$C3, $02, $01, $00
.db	$07, $07, $00, $00
.db	$03, $03, $05, $00
.db	$01, $00, $03, $00
.db	$00, $00, $01, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$FC, $FC, $10, $00
.db	$F8, $F8, $00, $00
.db	$F8, $F0, $00, $00
.db	$F0, $C0, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $E0, $00, $00
.db	$C0, $C0, $80, $00
.db	$80, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $80, $80, $00
.db	$00, $00, $80, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 5
data_kujakuou_tiles_frame5:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$03, $01, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $04, $00, $00
.db	$1F, $02, $00, $00
.db	$3F, $02, $00, $00
.db	$3D, $02, $00, $00
.db	$7D, $02, $00, $00
.db	$7B, $04, $00, $00
;;; x: 16-23
.db	$00, $E0, $00, $00
.db	$E0, $F0, $40, $00
.db	$00, $F0, $00, $00
.db	$00, $D0, $20, $00
.db	$00, $E0, $00, $00
.db	$40, $E0, $40, $00
.db	$00, $E0, $60, $00
.db	$00, $60, $E0, $00
.db	$00, $80, $E0, $00
.db	$80, $C0, $C0, $00
.db	$C0, $40, $40, $00
.db	$E0, $20, $20, $00
.db	$E0, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$E0, $20, $20, $00
.db	$E0, $E0, $C0, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$01, $01, $00, $00
.db	$03, $03, $00, $00
.db	$03, $03, $00, $00
.db	$07, $07, $00, $00
;;; x: 8-15
.db	$F7, $0F, $01, $00
.db	$C7, $3F, $03, $00
.db	$FF, $07, $07, $00
.db	$FF, $1F, $09, $00
.db	$FF, $3F, $1E, $00
.db	$FF, $3F, $0E, $00
.db	$EF, $3F, $20, $00
.db	$EF, $3F, $2F, $00
.db	$6F, $3F, $2F, $00
.db	$7F, $1F, $17, $00
.db	$7F, $1F, $17, $00
.db	$FF, $9F, $17, $00
.db	$FF, $DF, $17, $00
.db	$FF, $CF, $07, $00
.db	$FF, $CF, $03, $00
.db	$FF, $CF, $03, $00
;;; x: 16-23
.db	$E0, $E0, $C0, $00
.db	$C0, $C0, $80, $00
.db	$C0, $C0, $80, $00
.db	$C0, $C0, $80, $00
.db	$00, $C0, $C0, $00
.db	$80, $C0, $C0, $00
.db	$80, $80, $C0, $00
.db	$C0, $C0, $00, $00
.db	$C0, $C0, $00, $00
.db	$C0, $C0, $80, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $C0, $00
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
;; y: 32-47
;;; x: 0-7
.db	$07, $07, $00, $00
.db	$07, $07, $00, $00
.db	$07, $07, $00, $00
.db	$07, $03, $00, $00
.db	$1F, $0B, $18, $00
.db	$1F, $08, $18, $00
.db	$3B, $18, $38, $00
.db	$33, $00, $30, $00
.db	$10, $10, $30, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $DF, $03, $00
.db	$FF, $DF, $03, $00
.db	$FF, $9F, $03, $00
.db	$FF, $BF, $07, $00
.db	$FF, $7F, $00, $00
.db	$FF, $FE, $00, $00
.db	$FF, $70, $00, $00
.db	$FE, $00, $00, $00
.db	$7E, $06, $00, $00
.db	$1C, $1C, $04, $00
.db	$18, $18, $08, $00
.db	$18, $18, $38, $00
.db	$60, $60, $10, $00
.db	$70, $70, $10, $00
.db	$14, $14, $6C, $00
.db	$00, $00, $1C, $00
;;; x: 16-23
.db	$F0, $F0, $E0, $00
.db	$F0, $F0, $E0, $00
.db	$E0, $E0, $C0, $00
.db	$E0, $E0, $00, $00
.db	$E0, $80, $00, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

