;
; kunfukid
;
; Animation
; 3 frames
; - 24*32 pixels each
; - 384 bytes each
; 1152 bytes total
;

; Infos
data_kunfukid_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	12*3*32	; Total number of data frames bytes

; Animation
data_kunfukid_anim:
.db     4               ; Number of animation frames
.db     8               ; Animation Speed
.db     0, 1, 0, 2      ; Animation

; Description:
data_kunfukid_desc:
.db     "WANG                           ", 0
;        ^         ^         ^         ^

; Palette
data_kunfukid_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$34	; (R:0 G:1 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$06	; (R:2 G:1 B:0)
.db	$3E	; (R:2 G:3 B:3)
.db	$07	; (R:3 G:1 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_kunfukid_tiles:
; Frame 0
data_kunfukid_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$01, $03, $00, $00
.db	$01, $03, $00, $00
.db	$01, $0F, $00, $00
.db	$03, $07, $00, $00
.db	$01, $03, $00, $00
.db	$01, $07, $00, $00
.db	$01, $03, $00, $00
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $7F, $00, $00
.db	$7F, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$E8, $FF, $00, $00
.db	$81, $FF, $17, $00
.db	$42, $BF, $5E, $00
.db	$42, $BF, $5E, $00
.db	$A0, $DF, $3F, $00
.db	$30, $CF, $3F, $00
.db	$00, $7F, $00, $00
.db	$1C, $DE, $3C, $00
.db	$06, $BF, $46, $00
.db	$02, $FF, $3A, $00
.db	$02, $FF, $3A, $00
.db	$2A, $D7, $3A, $00
;;; x: 16-23
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$C0, $E0, $00, $00
.db	$C0, $E0, $00, $00
.db	$C0, $E0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $C0, $80, $00
.db	$00, $C0, $80, $00
.db	$80, $40, $80, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$02, $FF, $32, $00
.db	$00, $FF, $00, $00
.db	$00, $FF, $0C, $00
.db	$0C, $3B, $DC, $00
.db	$1C, $23, $DC, $00
.db	$20, $3F, $E0, $00
.db	$3C, $BE, $7C, $00
.db	$3C, $BE, $7C, $00
.db	$0C, $8E, $7C, $00
.db	$3C, $BE, $7C, $00
.db	$3C, $BE, $7C, $00
.db	$3C, $BE, $7C, $00
.db	$18, $9C, $78, $00
.db	$00, $84, $78, $00
.db	$00, $FE, $00, $00
.db	$00, $FF, $00, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 1
data_kunfukid_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $07, $00, $00
.db	$01, $03, $00, $00
.db	$01, $03, $00, $00
.db	$01, $0F, $00, $00
.db	$03, $07, $00, $00
.db	$01, $03, $00, $00
.db	$01, $07, $00, $00
.db	$01, $03, $00, $00
.db	$00, $01, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $01, $00, $00
.db	$00, $03, $01, $00
.db	$00, $0F, $01, $00
;;; x: 8-15
.db	$00, $7F, $00, $00
.db	$7F, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$E8, $FF, $00, $00
.db	$81, $FF, $17, $00
.db	$42, $BF, $5E, $00
.db	$42, $BF, $5E, $00
.db	$A0, $DF, $3F, $00
.db	$30, $CF, $3F, $00
.db	$00, $7F, $00, $00
.db	$0C, $7E, $0C, $00
.db	$04, $FF, $74, $00
.db	$96, $6F, $F6, $00
.db	$14, $FF, $E4, $00
.db	$0E, $FF, $CE, $00
;;; x: 16-23
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$C0, $E0, $00, $00
.db	$C0, $E0, $00, $00
.db	$C0, $E0, $00, $00
.db	$00, $C0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $C0, $80, $00
.db	$00, $C0, $80, $00
.db	$80, $40, $80, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$80, $C0, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$00, $1F, $0C, $00
.db	$06, $1B, $0E, $00
.db	$06, $19, $0E, $00
.db	$00, $0F, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $03, $00, $00
.db	$01, $3C, $02, $00
.db	$0A, $30, $05, $00
.db	$05, $30, $0A, $00
.db	$0A, $30, $05, $00
.db	$05, $30, $0A, $00
.db	$00, $3F, $00, $00
.db	$00, $30, $00, $00
.db	$00, $20, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$0E, $CF, $BE, $00
.db	$00, $FF, $00, $00
.db	$00, $FF, $00, $00
.db	$3F, $FF, $3F, $00
.db	$9F, $5F, $3F, $00
.db	$1F, $5F, $BF, $00
.db	$87, $27, $5F, $00
.db	$43, $1B, $A7, $00
.db	$A1, $15, $43, $00
.db	$40, $14, $A3, $00
.db	$80, $22, $41, $00
.db	$00, $42, $81, $00
.db	$00, $82, $01, $00
.db	$00, $02, $01, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
;;; x: 16-23
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $80, $00
.db	$C0, $E0, $C0, $00
.db	$C0, $E0, $C0, $00
.db	$E0, $F0, $E0, $00
.db	$E0, $F0, $E0, $00
.db	$60, $70, $E0, $00
.db	$E0, $F0, $E0, $00
.db	$E0, $F0, $E0, $00
.db	$E0, $F0, $E0, $00
.db	$60, $70, $E0, $00
.db	$00, $F8, $00, $00
.db	$00, $FC, $00, $00

; Frame 2
data_kunfukid_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $0F, $00, $00
.db	$03, $07, $00, $00
.db	$03, $07, $00, $00
.db	$03, $1F, $00, $00
.db	$07, $0F, $00, $00
.db	$02, $07, $00, $00
.db	$02, $0F, $00, $00
.db	$03, $07, $00, $00
.db	$00, $03, $00, $00
.db	$00, $00, $00, $00
.db	$00, $01, $00, $00
.db	$00, $01, $00, $00
.db	$00, $03, $00, $00
.db	$02, $07, $00, $00
.db	$02, $07, $00, $00
;;; x: 8-15
.db	$00, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$FF, $FF, $00, $00
.db	$D1, $FF, $00, $00
.db	$02, $FF, $2E, $00
.db	$84, $7F, $BC, $00
.db	$84, $7F, $BD, $00
.db	$40, $BF, $7F, $00
.db	$61, $9E, $7F, $00
.db	$00, $FF, $00, $00
.db	$00, $3C, $C0, $00
.db	$00, $7E, $B8, $00
.db	$08, $77, $BC, $00
.db	$20, $5F, $BE, $00
.db	$10, $2F, $DC, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$80, $C0, $00, $00
.db	$80, $C0, $00, $00
.db	$80, $C0, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $80, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $E0, $00, $00
.db	$00, $F0, $60, $00
.db	$40, $B0, $E0, $00
;; y: 16-31
;;; x: 0-7
.db	$02, $07, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
.db	$01, $03, $01, $00
.db	$01, $05, $03, $00
.db	$01, $05, $03, $00
.db	$01, $05, $03, $00
.db	$04, $7C, $07, $00
.db	$1D, $7D, $1F, $00
.db	$1F, $7F, $1F, $00
.db	$1F, $7F, $1F, $00
.db	$00, $60, $1F, $00
.db	$00, $7F, $00, $00
.db	$00, $60, $00, $00
.db	$00, $40, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$00, $1F, $E4, $00
.db	$00, $FE, $00, $00
.db	$00, $FE, $00, $00
.db	$F8, $FF, $F8, $00
.db	$F2, $F8, $F5, $00
.db	$F5, $F8, $F2, $00
.db	$EA, $F0, $E5, $00
.db	$65, $70, $EA, $00
.db	$C2, $E8, $C5, $00
.db	$81, $A4, $C2, $00
.db	$02, $44, $81, $00
.db	$01, $82, $00, $00
.db	$00, $02, $01, $00
.db	$01, $02, $00, $00
.db	$00, $03, $00, $00
.db	$00, $03, $00, $00
;;; x: 16-23
.db	$60, $90, $E0, $00
.db	$00, $E0, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $80, $00, $00
.db	$00, $40, $80, $00
.db	$80, $20, $40, $00
.db	$40, $20, $80, $00
.db	$A0, $10, $40, $00
.db	$40, $10, $A0, $00
.db	$A0, $10, $40, $00
.db	$40, $10, $A0, $00
.db	$A0, $10, $40, $00
.db	$40, $10, $A0, $00
.db	$00, $F8, $00, $00
.db	$00, $FC, $00, $00

