;
; pitpot
;
; Animation
; 2 frames
; - 16*16 pixels each
; - 128 bytes each
; 256 bytes total
;

; Infos
data_pitpot_infos:
.db	2, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	4	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	4*2*32	; Total number of data frames bytes

; Animation
data_pitpot_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_pitpot_desc:
.db     "IGUL                           ", 0
;        ^         ^         ^         ^

; Palette
data_pitpot_pal:
.db	$1B	; (R:3 G:2 B:1)
.db	$20	; (R:0 G:0 B:2)
.db	$04	; (R:0 G:1 B:0)
.db	$09	; (R:1 G:2 B:0)
.db	$32	; (R:2 G:0 B:3)
.db	$33	; (R:3 G:0 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_pitpot_tiles:
; Frame 0
data_pitpot_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $03, $03, $00
.db	$00, $0F, $0F, $00
.db	$18, $07, $1F, $00
.db	$27, $00, $3F, $00
.db	$27, $00, $3D, $00
.db	$1B, $24, $3F, $00
.db	$00, $1F, $1F, $00
.db	$00, $03, $03, $00
.db	$00, $07, $07, $00
.db	$06, $09, $0F, $00
.db	$07, $08, $0F, $00
.db	$06, $09, $0E, $00
.db	$00, $07, $07, $00
.db	$00, $00, $03, $00
.db	$00, $00, $07, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $F0, $00
.db	$00, $F8, $F8, $00
.db	$FC, $00, $FC, $00
.db	$FC, $00, $54, $00
.db	$FC, $00, $54, $00
.db	$FC, $00, $D4, $00
.db	$3C, $C0, $FC, $00
.db	$00, $80, $80, $00
.db	$38, $F8, $C0, $00
.db	$38, $F8, $C0, $00
.db	$38, $FC, $00, $00
.db	$38, $B8, $80, $00
.db	$38, $38, $00, $00
.db	$00, $00, $C0, $00

; Frame 1
data_pitpot_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $03, $03, $00
.db	$00, $0F, $0F, $00
.db	$18, $07, $1F, $00
.db	$27, $00, $3F, $00
.db	$27, $00, $3D, $00
.db	$1B, $24, $3F, $00
.db	$00, $1F, $1F, $00
.db	$00, $03, $03, $00
.db	$0C, $03, $0F, $00
.db	$1E, $01, $1F, $00
.db	$18, $07, $19, $00
.db	$00, $07, $26, $00
.db	$01, $03, $3E, $00
.db	$01, $01, $18, $00
.db	$00, $00, $0C, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $C0, $C0, $00
.db	$00, $F0, $F0, $00
.db	$00, $F8, $F8, $00
.db	$FC, $00, $FC, $00
.db	$FC, $00, $54, $00
.db	$FC, $00, $54, $00
.db	$FC, $00, $D4, $00
.db	$3C, $C0, $FC, $00
.db	$00, $80, $80, $00
.db	$00, $C0, $C0, $00
.db	$C0, $C0, $00, $00
.db	$E0, $E0, $00, $00
.db	$E0, $E0, $00, $00
.db	$C0, $E0, $00, $00
.db	$C0, $C0, $00, $00

