;
; prowrest
;
; Animation
; 2 frames
; - 48*32 pixels each
; - 768 bytes each
; 1536 bytes total
;

; Infos
data_prowrest_infos:
.db	6, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	24	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	24*2*32	; Total number of data frames bytes

; Animation
data_prowrest_anim:
.db	2	; Number of animation frames
.db     10      ; Animation Speed
.db	0, 1	; Animation

; Description:
data_prowrest_desc:
.db     "ORIENT EXPRESS                 ", 0
;        ^         ^         ^         ^

; Palette
data_prowrest_pal:
.db	$0E	; (R:2 G:3 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$32	; (R:2 G:0 B:3)
.db	$06	; (R:2 G:1 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$33	; (R:3 G:0 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_prowrest_tiles:
; Frame 0
data_prowrest_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$01, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $03, $00
.db	$1F, $00, $07, $00
.db	$0F, $00, $07, $00
;;; x: 8-15
.db	$F0, $00, $00, $00
.db	$FC, $00, $00, $00
.db	$FE, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $06, $00
.db	$FF, $00, $1F, $00
.db	$FF, $00, $21, $00
.db	$FF, $00, $21, $00
.db	$F3, $0C, $7F, $00
.db	$F7, $08, $7B, $00
.db	$FF, $00, $3D, $00
.db	$FF, $00, $01, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $80, $00
.db	$FF, $00, $C0, $00
.db	$FF, $00, $C2, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$01, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $01, $00
.db	$3F, $00, $01, $00
.db	$3F, $00, $01, $00
.db	$3F, $00, $01, $00
.db	$3F, $00, $01, $00
.db	$3F, $00, $00, $00
.db	$3F, $00, $03, $00
.db	$1F, $00, $07, $00
.db	$0F, $00, $07, $00
;;; x: 32-39
.db	$F0, $00, $00, $00
.db	$FC, $00, $00, $00
.db	$FE, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $70, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $E3, $00
.db	$FF, $00, $F9, $00
.db	$F7, $08, $FB, $00
.db	$FB, $04, $FF, $00
.db	$FF, $00, $FE, $00
.db	$FF, $00, $7F, $00
.db	$FC, $04, $BB, $00
.db	$FF, $00, $DC, $00
.db	$FF, $00, $C2, $00
;;; x: 40-47
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$1F, $00, $0F, $00
.db	$1F, $00, $0F, $00
.db	$3F, $03, $1C, $00
.db	$3F, $00, $1F, $00
.db	$1F, $00, $0F, $00
.db	$0F, $00, $07, $00
.db	$0F, $00, $07, $00
.db	$0F, $00, $07, $00
.db	$07, $00, $00, $00
.db	$07, $00, $03, $00
.db	$0B, $04, $03, $00
.db	$13, $0C, $01, $00
.db	$23, $1E, $02, $00
.db	$27, $1C, $04, $00
.db	$37, $0E, $06, $00
.db	$1B, $07, $03, $00
;;; x: 8-15
.db	$FF, $00, $BF, $00
.db	$FF, $8C, $33, $00
.db	$FF, $0C, $73, $00
.db	$FF, $07, $78, $00
.db	$FF, $00, $BE, $00
.db	$FF, $00, $DE, $00
.db	$FF, $01, $DC, $00
.db	$FF, $00, $80, $00
.db	$FF, $00, $42, $00
.db	$FF, $00, $E7, $00
.db	$FF, $00, $CF, $00
.db	$CF, $00, $87, $00
.db	$84, $03, $00, $00
.db	$02, $01, $00, $00
.db	$81, $00, $00, $00
.db	$80, $00, $00, $00
;;; x: 16-23
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$F0, $00, $60, $00
.db	$F0, $00, $E0, $00
.db	$F0, $00, $E0, $00
.db	$E0, $80, $40, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$FC, $C0, $C0, $00
.db	$F4, $F8, $F0, $00
.db	$68, $F0, $60, $00
.db	$30, $C0, $00, $00
.db	$E0, $00, $00, $00
;;; x: 24-31
.db	$1F, $00, $0F, $00
.db	$1F, $00, $0F, $00
.db	$3F, $03, $1C, $00
.db	$3F, $00, $1F, $00
.db	$1F, $00, $0F, $00
.db	$0F, $00, $07, $00
.db	$0F, $00, $07, $00
.db	$0F, $00, $07, $00
.db	$07, $00, $00, $00
.db	$07, $00, $03, $00
.db	$0B, $04, $03, $00
.db	$13, $0C, $01, $00
.db	$23, $1E, $02, $00
.db	$27, $1C, $04, $00
.db	$37, $0E, $06, $00
.db	$1B, $07, $03, $00
;;; x: 32-39
.db	$FF, $00, $BF, $00
.db	$FF, $8C, $33, $00
.db	$FF, $0C, $73, $00
.db	$FF, $07, $78, $00
.db	$FF, $00, $BE, $00
.db	$FF, $00, $DE, $00
.db	$FF, $01, $DC, $00
.db	$FF, $00, $80, $00
.db	$FF, $00, $42, $00
.db	$FF, $00, $E7, $00
.db	$FF, $00, $CF, $00
.db	$CF, $00, $87, $00
.db	$84, $03, $00, $00
.db	$02, $01, $00, $00
.db	$81, $00, $00, $00
.db	$80, $00, $00, $00
;;; x: 40-47
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$E0, $00, $00, $00
.db	$F0, $00, $60, $00
.db	$F0, $00, $E0, $00
.db	$F0, $00, $E0, $00
.db	$E0, $80, $40, $00
.db	$C0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$FC, $C0, $C0, $00
.db	$F4, $F8, $F0, $00
.db	$68, $F0, $60, $00
.db	$30, $C0, $00, $00
.db	$E0, $00, $00, $00

; Frame 1
data_prowrest_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $01, $00
.db	$0F, $00, $03, $00
.db	$07, $00, $03, $00
;;; x: 8-15
.db	$F8, $00, $00, $00
.db	$FE, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $03, $00
.db	$FF, $00, $0F, $00
.db	$FF, $00, $10, $00
.db	$FF, $00, $10, $00
.db	$F9, $06, $3F, $00
.db	$FB, $04, $3D, $00
.db	$FF, $00, $1E, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $C0, $00
.db	$FF, $00, $E0, $00
.db	$FF, $00, $E1, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$E0, $00, $C0, $00
.db	$E0, $00, $C0, $00
.db	$E0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
;;; x: 24-31
.db	$00, $00, $00, $00
.db	$03, $00, $00, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$0F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $01, $00
.db	$0F, $00, $03, $00
.db	$07, $00, $03, $00
;;; x: 32-39
.db	$F8, $00, $00, $00
.db	$FE, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $38, $00
.db	$FF, $00, $7F, $00
.db	$FF, $00, $F1, $00
.db	$FF, $00, $FC, $00
.db	$FB, $04, $FD, $00
.db	$FD, $02, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $3F, $00
.db	$FE, $02, $DD, $00
.db	$FF, $00, $EE, $00
.db	$FF, $00, $E1, $00
;;; x: 40-47
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$E0, $00, $C0, $00
.db	$E0, $00, $C0, $00
.db	$E0, $00, $C0, $00
.db	$E0, $00, $40, $00
.db	$E0, $00, $C0, $00
.db	$40, $00, $80, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$07, $00, $03, $00
.db	$07, $00, $03, $00
.db	$07, $00, $03, $00
.db	$07, $00, $01, $00
.db	$07, $00, $01, $00
.db	$07, $00, $02, $00
.db	$03, $00, $01, $00
.db	$03, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $00, $E8, $00
.db	$FF, $00, $F7, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $07, $00
.db	$FF, $00, $00, $00
.db	$FE, $00, $70, $00
.db	$FC, $00, $F8, $00
.db	$FC, $00, $78, $00
.db	$F8, $00, $70, $00
.db	$58, $30, $10, $00
.db	$58, $30, $10, $00
.db	$8C, $78, $08, $00
.db	$8E, $7C, $0C, $00
;;; x: 16-23
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 24-31
.db	$07, $00, $03, $00
.db	$07, $00, $03, $00
.db	$07, $00, $03, $00
.db	$07, $00, $01, $00
.db	$07, $00, $01, $00
.db	$07, $00, $02, $00
.db	$03, $00, $01, $00
.db	$03, $00, $00, $00
.db	$01, $00, $00, $00
.db	$01, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 32-39
.db	$FF, $00, $E8, $00
.db	$FF, $00, $F7, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $FF, $00
.db	$FF, $00, $07, $00
.db	$FF, $00, $00, $00
.db	$FE, $00, $70, $00
.db	$FC, $00, $F8, $00
.db	$FC, $00, $78, $00
.db	$F8, $00, $70, $00
.db	$58, $30, $10, $00
.db	$58, $30, $10, $00
.db	$8C, $78, $08, $00
.db	$8E, $7C, $0C, $00
;;; x: 40-47
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$80, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

