;
; solomonk
;
; Animation
; 4 frames
; - 16*16 pixels each
; - 128 bytes each
; 512 bytes total
;

; Infos
data_solomonk_infos:
.db	2, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	4	; Number of 8x8 tiles
.db	4	; Number of data frames
.dw	4*4*32	; Total number of data frames bytes

; Animation
data_solomonk_anim:
.db     4               ; Number of animation frames
.db     6               ; Animation Speed
.db	0, 1, 2, 3	; Animation

; Description:
data_solomonk_desc:
.db     "DANA                           ", 0
;        ^         ^         ^         ^

; Palette
data_solomonk_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$38	; (R:0 G:2 B:3)
.db	$0C	; (R:0 G:3 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$1F	; (R:3 G:3 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_solomonk_tiles:
; Frame 0
data_solomonk_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$1E, $1E, $20, $01
.db	$0F, $07, $10, $00
.db	$07, $01, $08, $00
.db	$07, $01, $18, $00
.db	$07, $02, $69, $10
.db	$7A, $39, $C3, $04
.db	$FF, $06, $F0, $00
.db	$FF, $03, $F8, $00
.db	$DF, $00, $F3, $00
.db	$9F, $07, $E0, $00
.db	$3F, $00, $FF, $00
.db	$79, $00, $FE, $00
.db	$F3, $00, $3C, $00
.db	$E1, $61, $12, $00
.db	$60, $60, $89, $10
.db	$30, $20, $44, $08
;;; x: 8-15
.db	$80, $80, $48, $00
.db	$48, $48, $34, $80
.db	$F8, $F8, $06, $00
.db	$B2, $72, $2F, $80
.db	$B7, $77, $3F, $80
.db	$67, $E7, $FB, $00
.db	$7C, $FC, $C1, $02
.db	$F8, $F8, $02, $04
.db	$BC, $60, $FE, $00
.db	$BC, $C0, $7E, $00
.db	$F8, $00, $FC, $00
.db	$F0, $00, $F8, $00
.db	$E0, $80, $70, $00
.db	$80, $80, $20, $40
.db	$C0, $80, $10, $20
.db	$00, $00, $E0, $00

; Frame 1
data_solomonk_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$0F, $0F, $10, $00
.db	$1F, $03, $20, $00
.db	$07, $01, $18, $00
.db	$07, $03, $18, $00
.db	$1E, $05, $23, $00
.db	$07, $00, $7F, $00
.db	$7A, $01, $FF, $00
.db	$FD, $01, $F0, $02
.db	$F3, $03, $C0, $0C
.db	$BF, $1B, $DC, $00
.db	$3F, $38, $FF, $00
.db	$5F, $1B, $B8, $00
.db	$FF, $00, $1F, $00
.db	$FE, $C0, $3F, $00
.db	$DC, $C0, $3E, $00
.db	$80, $80, $5C, $00
;;; x: 8-15
.db	$C0, $C0, $2C, $00
.db	$AC, $AC, $12, $40
.db	$F8, $F8, $04, $00
.db	$A0, $60, $38, $80
.db	$B0, $70, $3C, $80
.db	$E4, $E4, $FE, $00
.db	$4E, $CE, $FF, $00
.db	$CE, $CE, $07, $30
.db	$F8, $E0, $06, $00
.db	$BC, $E0, $7E, $00
.db	$BC, $40, $FE, $00
.db	$FC, $C0, $3E, $00
.db	$B8, $10, $CC, $00
.db	$74, $14, $82, $08
.db	$3A, $0A, $41, $04
.db	$00, $00, $3E, $00

; Frame 2
data_solomonk_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$07, $07, $08, $00
.db	$0F, $01, $10, $00
.db	$03, $00, $1C, $00
.db	$1F, $01, $60, $00
.db	$73, $00, $FF, $00
.db	$FF, $00, $FD, $00
.db	$FD, $01, $F8, $02
.db	$FD, $40, $88, $02
.db	$F7, $E1, $0C, $00
.db	$F7, $C0, $3E, $00
.db	$FF, $80, $3F, $00
.db	$9F, $00, $7F, $00
.db	$0E, $00, $9F, $00
.db	$00, $00, $0E, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$90, $90, $08, $60
.db	$CC, $CC, $02, $30
.db	$F8, $F8, $04, $00
.db	$D0, $30, $98, $40
.db	$58, $B8, $9C, $40
.db	$30, $F0, $F8, $00
.db	$E0, $E0, $10, $00
.db	$F0, $70, $18, $00
.db	$D0, $E0, $F8, $00
.db	$F0, $F0, $C8, $00
.db	$F8, $C0, $FE, $00
.db	$7A, $02, $FD, $00
.db	$3E, $02, $79, $00
.db	$3E, $1E, $61, $00
.db	$3C, $1C, $42, $00
.db	$30, $00, $4C, $00

; Frame 3
data_solomonk_tiles_frame3:
;; y: 0-15
;;; x: 0-7
.db	$0F, $0F, $10, $00
.db	$07, $01, $08, $00
.db	$03, $00, $04, $00
.db	$03, $00, $CC, $00
.db	$CF, $01, $F0, $00
.db	$73, $00, $FF, $00
.db	$7F, $00, $FD, $00
.db	$3F, $01, $78, $00
.db	$07, $03, $38, $00
.db	$03, $01, $04, $00
.db	$03, $00, $06, $00
.db	$07, $00, $0F, $00
.db	$0F, $00, $13, $00
.db	$0F, $06, $11, $00
.db	$07, $07, $08, $00
.db	$03, $03, $04, $00
;;; x: 8-15
.db	$40, $40, $2C, $80
.db	$AC, $AC, $12, $40
.db	$F8, $F8, $04, $00
.db	$D0, $B0, $18, $40
.db	$D8, $38, $9C, $40
.db	$70, $F0, $F8, $00
.db	$A0, $60, $F0, $00
.db	$F0, $F0, $08, $00
.db	$F8, $38, $0C, $00
.db	$E8, $F0, $3C, $00
.db	$F8, $F8, $74, $00
.db	$F0, $60, $38, $00
.db	$A0, $00, $F0, $00
.db	$40, $00, $E0, $00
.db	$40, $00, $20, $80
.db	$A0, $80, $10, $40

