;
; teddyboy
;
; Animation
; 2 frames
; - 16*32 pixels each
; - 256 bytes each
; 512 bytes total
;

; Infos
data_teddyboy_infos:
.db	2, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	8	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	8*2*32	; Total number of data frames bytes

; Animation
data_teddyboy_anim:
.db	2	; Number of animation frames
.db     6       ; Animation Speed
.db	0, 1	; Animation

; Description:
data_teddyboy_desc:
.db     "TEDDY BOY                      ", 0
;        ^         ^         ^         ^

; Palette
data_teddyboy_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$34	; (R:0 G:1 B:3)
.db	$08	; (R:0 G:2 B:0)
.db	$38	; (R:0 G:2 B:3)
.db	$0C	; (R:0 G:3 B:0)
.db	$3C	; (R:0 G:3 B:3)
.db	$01	; (R:1 G:0 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$00	; (R:0 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$0F	; (R:3 G:3 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_teddyboy_tiles:
; Frame 0
data_teddyboy_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $3F
.db	$00, $27, $1F, $40
.db	$00, $47, $3F, $80
.db	$00, $0F, $7F, $80
.db	$00, $1E, $7E, $81
.db	$01, $7C, $7C, $83
.db	$01, $7C, $7C, $83
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $C0
.db	$00, $C0, $C0, $20
.db	$00, $E0, $E0, $10
.db	$00, $90, $90, $68
.db	$60, $00, $00, $F8
.db	$F0, $60, $00, $F8
.db	$D0, $C0, $00, $F8
;; y: 16-31
;;; x: 0-7
.db	$0B, $70, $70, $8F
.db	$0B, $70, $70, $8F
.db	$0F, $70, $70, $8F
.db	$07, $38, $38, $47
.db	$03, $0C, $0C, $33
.db	$07, $04, $00, $08
.db	$0F, $08, $02, $10
.db	$0F, $00, $07, $10
.db	$0F, $00, $02, $11
.db	$0F, $00, $00, $13
.db	$0F, $00, $00, $10
.db	$0F, $00, $00, $10
.db	$07, $00, $00, $08
.db	$07, $00, $00, $08
.db	$00, $07, $07, $08
.db	$00, $00, $00, $0F
;;; x: 8-15
.db	$D0, $C0, $00, $F8
.db	$F0, $E0, $00, $FC
.db	$F0, $08, $00, $FC
.db	$70, $80, $80, $78
.db	$80, $60, $60, $90
.db	$00, $00, $00, $E0
.db	$80, $00, $80, $48
.db	$F8, $78, $78, $87
.db	$D8, $00, $00, $FC
.db	$D8, $00, $00, $FC
.db	$00, $00, $00, $F8
.db	$80, $00, $00, $40
.db	$00, $00, $00, $80
.db	$00, $00, $00, $80
.db	$00, $80, $80, $40
.db	$00, $00, $00, $C0

; Frame 1
data_teddyboy_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $3F
.db	$00, $27, $1F, $40
.db	$00, $47, $3F, $80
.db	$00, $0F, $7F, $80
.db	$00, $1E, $7E, $81
.db	$01, $7C, $7C, $83
.db	$01, $7C, $7C, $83
.db	$0B, $70, $70, $8F
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $C0
.db	$00, $C0, $C0, $20
.db	$00, $E0, $E0, $10
.db	$00, $90, $90, $68
.db	$60, $00, $00, $F8
.db	$F0, $60, $00, $F8
.db	$D0, $C0, $00, $F8
.db	$D0, $C0, $00, $F8
;; y: 16-31
;;; x: 0-7
.db	$0B, $70, $70, $8F
.db	$0F, $70, $70, $8F
.db	$07, $38, $38, $47
.db	$03, $0C, $0C, $33
.db	$07, $04, $00, $08
.db	$0F, $08, $02, $10
.db	$0F, $00, $07, $10
.db	$0F, $00, $02, $11
.db	$0F, $00, $00, $13
.db	$0F, $00, $00, $10
.db	$1F, $00, $00, $20
.db	$3C, $00, $00, $43
.db	$18, $20, $20, $44
.db	$00, $1C, $1C, $22
.db	$00, $00, $00, $1C
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$F0, $E0, $00, $FC
.db	$F0, $08, $00, $FC
.db	$70, $80, $80, $78
.db	$80, $60, $60, $90
.db	$00, $00, $00, $E0
.db	$80, $00, $80, $48
.db	$F8, $78, $78, $87
.db	$D8, $00, $00, $FC
.db	$D8, $00, $00, $FC
.db	$00, $00, $00, $F8
.db	$E0, $00, $00, $18
.db	$F0, $08, $08, $04
.db	$60, $10, $10, $88
.db	$00, $60, $60, $90
.db	$00, $00, $00, $60
.db	$00, $00, $00, $00

