;
; wboy2
;
; Animation
; 3 frames
; - 24*32 pixels each
; - 384 bytes each
; 1152 bytes total
;

; Infos
data_wboy2_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	12*3*32	; Total number of data frames bytes

; Animation
data_wboy2_anim:
.db     6       ; Number of animation frames
.db     6       ; Animation Speed
.db     0, 1, 0, 1, 2, 1 ; Animation

; Description:
data_wboy2_desc:
.db     "BOCK LEE TEMJIN                ", 0
;        ^         ^         ^         ^

; Palette
data_wboy2_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$02	; (R:2 G:0 B:0)
.db	$2A	; (R:2 G:2 B:2)
.db	$03	; (R:3 G:0 B:0)
.db	$2B	; (R:3 G:2 B:2)
.db	$1F	; (R:3 G:3 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_wboy2_tiles:
; Frame 0
data_wboy2_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$18, $00, $00, $00
.db	$1C, $08, $00, $00
.db	$1E, $0C, $00, $00
.db	$1E, $0C, $04, $00
.db	$1E, $0C, $04, $00
.db	$1F, $0C, $04, $00
.db	$1F, $0C, $05, $00
.db	$1E, $0D, $05, $00
.db	$1E, $0D, $05, $00
.db	$1F, $0C, $05, $00
.db	$1F, $0C, $04, $00
.db	$1F, $0C, $04, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$7C, $00, $00, $00
.db	$C3, $3C, $7C, $00
.db	$00, $FF, $FF, $00
.db	$3F, $C0, $E0, $00
.db	$66, $9F, $86, $00
.db	$C6, $7F, $46, $00
.db	$7F, $C0, $40, $00
.db	$7F, $92, $24, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$60, $00, $00, $00
.db	$A0, $40, $40, $00
.db	$A0, $40, $C0, $00
.db	$E0, $00, $40, $00
.db	$E0, $80, $80, $00
.db	$A0, $40, $00, $00
.db	$E0, $00, $80, $00
;; y: 16-31
;;; x: 0-7
.db	$3F, $0C, $00, $00
.db	$5E, $00, $21, $00
.db	$5E, $1E, $21, $00
.db	$21, $00, $1E, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $0D, $00
.db	$1F, $00, $0D, $00
.db	$0F, $00, $00, $00
.db	$03, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $01, $00, $00
.db	$03, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $12, $76, $00
.db	$FF, $12, $76, $00
.db	$FF, $20, $7F, $00
.db	$FF, $00, $3F, $00
.db	$3F, $C0, $00, $00
.db	$FF, $10, $16, $00
.db	$CF, $38, $08, $00
.db	$FF, $7F, $00, $00
.db	$00, $FF, $00, $00
.db	$FF, $00, $00, $00
.db	$F3, $9E, $82, $00
.db	$FF, $00, $21, $00
.db	$FF, $09, $7B, $00
.db	$FF, $09, $7B, $00
.db	$7F, $04, $3D, $00
.db	$3F, $00, $00, $00
;;; x: 16-23
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C8, $80, $80, $00
.db	$DC, $00, $08, $00
.db	$BE, $40, $0C, $00
.db	$FE, $80, $3C, $00
.db	$7C, $80, $38, $00
.db	$F8, $80, $B0, $00
.db	$F0, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$60, $C0, $40, $00
.db	$E0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$80, $00, $00, $00

; Frame 1
data_wboy2_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$18, $00, $00, $00
.db	$1C, $08, $00, $00
.db	$1E, $0C, $00, $00
.db	$1E, $0C, $04, $00
.db	$1E, $0C, $04, $00
.db	$1F, $0C, $04, $00
.db	$1F, $0C, $05, $00
.db	$1E, $0D, $05, $00
.db	$1E, $0D, $05, $00
.db	$1F, $0C, $05, $00
.db	$1F, $0C, $04, $00
.db	$1F, $0C, $04, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$7C, $00, $00, $00
.db	$C3, $3C, $7C, $00
.db	$00, $FF, $FF, $00
.db	$3F, $C0, $E0, $00
.db	$66, $9F, $86, $00
.db	$C6, $7F, $46, $00
.db	$7F, $C0, $40, $00
.db	$7F, $92, $24, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$60, $00, $00, $00
.db	$A0, $40, $40, $00
.db	$A0, $40, $C0, $00
.db	$E0, $00, $40, $00
.db	$E0, $80, $80, $00
.db	$A0, $40, $00, $00
.db	$E0, $00, $80, $00
;; y: 16-31
;;; x: 0-7
.db	$3F, $0C, $00, $00
.db	$5E, $00, $21, $00
.db	$5E, $1E, $21, $00
.db	$21, $00, $1E, $00
.db	$1F, $00, $00, $00
.db	$1F, $00, $0D, $00
.db	$1F, $00, $0D, $00
.db	$0F, $00, $00, $00
.db	$03, $00, $00, $00
.db	$01, $00, $00, $00
.db	$02, $01, $00, $00
.db	$03, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$FF, $12, $76, $00
.db	$FF, $12, $76, $00
.db	$FF, $20, $7F, $00
.db	$FF, $00, $3F, $00
.db	$3F, $C0, $00, $00
.db	$FF, $10, $16, $00
.db	$CF, $38, $08, $00
.db	$FF, $7F, $00, $00
.db	$00, $FF, $00, $00
.db	$FF, $00, $00, $00
.db	$F3, $9E, $82, $00
.db	$FF, $00, $20, $00
.db	$7F, $08, $3A, $00
.db	$7E, $04, $3C, $00
.db	$3F, $02, $1E, $00
.db	$1F, $00, $00, $00
;;; x: 16-23
.db	$C0, $00, $80, $00
.db	$C0, $00, $80, $00
.db	$C8, $80, $80, $00
.db	$DC, $00, $08, $00
.db	$BE, $40, $0C, $00
.db	$FE, $80, $3C, $00
.db	$7C, $80, $38, $00
.db	$F8, $80, $B0, $00
.db	$F0, $80, $80, $00
.db	$C0, $00, $00, $00
.db	$60, $C0, $40, $00
.db	$E0, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_wboy2_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$30, $00, $00, $00
.db	$38, $10, $00, $00
.db	$3C, $18, $00, $00
.db	$3C, $18, $08, $00
.db	$3C, $18, $08, $00
.db	$3F, $18, $08, $00
.db	$3E, $19, $0B, $00
.db	$3C, $1B, $0B, $00
.db	$3C, $1B, $0B, $00
.db	$3F, $18, $0A, $00
.db	$3E, $19, $08, $00
.db	$3E, $19, $08, $00
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$F8, $00, $00, $00
.db	$86, $78, $F8, $00
.db	$01, $FE, $FE, $00
.db	$7F, $80, $C1, $00
.db	$CD, $3E, $0C, $00
.db	$8D, $FF, $8D, $00
.db	$FF, $80, $80, $00
.db	$FF, $24, $49, $00
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$40, $80, $80, $00
.db	$40, $80, $80, $00
.db	$C0, $00, $80, $00
.db	$C0, $00, $00, $00
.db	$40, $80, $00, $00
.db	$C0, $00, $00, $00
;; y: 16-31
;;; x: 0-7
.db	$7F, $18, $00, $00
.db	$BD, $00, $42, $00
.db	$BD, $3C, $42, $00
.db	$43, $00, $3C, $00
.db	$3E, $01, $00, $00
.db	$3F, $00, $1A, $00
.db	$3F, $00, $1A, $00
.db	$1F, $00, $00, $00
.db	$06, $01, $00, $00
.db	$03, $00, $00, $00
.db	$05, $03, $01, $00
.db	$07, $00, $00, $00
.db	$0F, $00, $07, $00
.db	$0F, $00, $07, $00
.db	$07, $00, $03, $00
.db	$03, $00, $00, $00
;;; x: 8-15
.db	$FF, $24, $ED, $00
.db	$FF, $24, $ED, $00
.db	$FF, $41, $FF, $00
.db	$FF, $00, $7E, $00
.db	$7F, $80, $00, $00
.db	$FF, $21, $2C, $00
.db	$9E, $71, $10, $00
.db	$FF, $FF, $01, $00
.db	$01, $FF, $01, $00
.db	$FF, $00, $00, $00
.db	$E6, $3D, $04, $00
.db	$FF, $00, $C2, $00
.db	$E7, $40, $C3, $00
.db	$C3, $80, $81, $00
.db	$E1, $40, $C0, $00
.db	$E0, $00, $00, $00
;;; x: 16-23
.db	$80, $00, $00, $00
.db	$80, $00, $00, $00
.db	$90, $00, $00, $00
.db	$B8, $00, $10, $00
.db	$7C, $80, $18, $00
.db	$FC, $00, $78, $00
.db	$F8, $00, $70, $00
.db	$F0, $00, $60, $00
.db	$E0, $00, $00, $00
.db	$80, $00, $00, $00
.db	$C0, $80, $80, $00
.db	$E0, $00, $00, $00
.db	$F0, $60, $E0, $00
.db	$F8, $10, $F0, $00
.db	$F0, $00, $E0, $00
.db	$E0, $00, $00, $00

