;
; wboy3
;
; Animation
; 3 frames
; - 24*32 pixels each
; - 384 bytes each
; 1152 bytes total
;

; Infos
data_wboy3_infos:
.db	3, 4	; Size in 8x8 tiles
.db	32	; Vertical Size in pixels
.db	12	; Number of 8x8 tiles
.db	3	; Number of data frames
.dw	12*3*32	; Total number of data frames bytes

; Animation
data_wboy3_anim:
.db     4               ; Number of animation frames
.db     5               ; Animation Speed
.db     0, 1, 0, 2      ; Animation

; Description:
data_wboy3_desc:
.db     "BOCK LEE TEMJIN                ", 0
;        ^         ^         ^         ^

; Palette
data_wboy3_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$04	; (R:0 G:1 B:0)
.db	$0C	; (R:0 G:3 B:0)
.db	$01	; (R:1 G:0 B:0)
.db	$15	; (R:1 G:1 B:1)
.db	$2A	; (R:2 G:2 B:2)
.db	$03	; (R:3 G:0 B:0)
.db	$07	; (R:3 G:1 B:0)
.db	$1B	; (R:3 G:2 B:1)
.db	$3F	; (R:3 G:3 B:3)
.db	$00	; (R:0 G:0 B:0)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_wboy3_tiles:
; Frame 0
data_wboy3_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$08, $00, $00, $08
.db	$1C, $00, $14, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $01, $37, $08
.db	$1C, $00, $36, $09
.db	$1D, $01, $37, $08
.db	$1D, $00, $36, $08
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$78, $07, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $0E, $0E, $00
.db	$DF, $3F, $1F, $00
.db	$DF, $3F, $03, $00
.db	$BF, $61, $21, $1E
.db	$FD, $43, $41, $3E
.db	$7C, $C2, $40, $3F
.db	$7F, $C1, $41, $3E
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $20, $00, $00
.db	$00, $E0, $00, $00
.db	$C0, $20, $00, $00
.db	$C0, $30, $00, $00
.db	$E0, $90, $80, $00
.db	$E0, $90, $80, $00
.db	$F0, $20, $20, $C0
.db	$60, $80, $00, $E0
.db	$60, $80, $00, $E0
.db	$F0, $08, $00, $E0
;; y: 16-31
;;; x: 0-7
.db	$E0, $FF, $1F, $00
.db	$7E, $7F, $00, $01
.db	$31, $3E, $0C, $02
.db	$3D, $3D, $3D, $02
.db	$36, $36, $37, $08
.db	$32, $32, $33, $0C
.db	$1C, $1E, $1D, $02
.db	$18, $1E, $05, $02
.db	$01, $00, $03, $00
.db	$03, $00, $02, $01
.db	$03, $00, $03, $00
.db	$02, $02, $02, $01
.db	$07, $03, $03, $00
.db	$0F, $01, $01, $00
.db	$0B, $04, $00, $00
.db	$04, $03, $00, $00
;;; x: 8-15
.db	$7C, $E0, $60, $1F
.db	$60, $E0, $60, $1F
.db	$B0, $30, $70, $0F
.db	$FF, $1F, $DF, $20
.db	$C2, $02, $FF, $00
.db	$3D, $00, $E3, $1C
.db	$3D, $02, $F9, $06
.db	$9A, $00, $FF, $00
.db	$D7, $00, $7D, $82
.db	$87, $30, $CD, $32
.db	$07, $00, $9D, $62
.db	$07, $00, $0D, $F2
.db	$12, $10, $17, $E0
.db	$E3, $E0, $E0, $00
.db	$E3, $00, $00, $00
.db	$01, $C0, $00, $00
;;; x: 16-23
.db	$40, $7E, $3E, $80
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$4C, $62, $BE, $00
.db	$20, $7C, $9C, $40
.db	$50, $10, $90, $20
.db	$00, $10, $80, $60
.db	$08, $F0, $00, $00
.db	$08, $F0, $00, $00
.db	$1C, $E0, $00, $00
.db	$80, $7C, $00, $00

; Frame 1
data_wboy3_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$08, $00, $00, $08
.db	$1C, $00, $14, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $01, $37, $08
.db	$1C, $00, $36, $09
.db	$1D, $01, $37, $08
.db	$1D, $00, $36, $08
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$78, $07, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $0E, $0E, $00
.db	$DF, $3F, $1F, $00
.db	$DF, $3F, $03, $00
.db	$BF, $61, $21, $1E
.db	$FD, $43, $41, $3E
.db	$7C, $C2, $40, $3F
.db	$7F, $C1, $41, $3E
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $20, $00, $00
.db	$00, $E0, $00, $00
.db	$C0, $20, $00, $00
.db	$C0, $30, $00, $00
.db	$E0, $90, $80, $00
.db	$E0, $90, $80, $00
.db	$F0, $20, $20, $C0
.db	$60, $80, $00, $E0
.db	$60, $80, $00, $E0
.db	$F0, $08, $00, $E0
;; y: 16-31
;;; x: 0-7
.db	$E0, $FF, $1F, $00
.db	$7E, $7F, $00, $01
.db	$31, $3E, $0C, $02
.db	$3D, $3D, $3D, $02
.db	$36, $36, $37, $08
.db	$32, $32, $33, $0C
.db	$1C, $1E, $1D, $02
.db	$18, $1E, $05, $02
.db	$01, $00, $03, $00
.db	$1F, $00, $02, $01
.db	$3F, $04, $07, $00
.db	$3C, $04, $04, $03
.db	$36, $0A, $02, $01
.db	$13, $0C, $00, $00
.db	$00, $07, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$7C, $E0, $60, $1F
.db	$60, $E0, $60, $1F
.db	$B0, $30, $70, $0F
.db	$FF, $1F, $DF, $20
.db	$C2, $02, $FF, $00
.db	$3D, $00, $E3, $1C
.db	$3D, $02, $F9, $06
.db	$9A, $00, $FF, $00
.db	$D7, $00, $6D, $82
.db	$B7, $30, $FD, $02
.db	$17, $10, $9D, $62
.db	$07, $00, $0D, $E2
.db	$02, $00, $07, $C0
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 16-23
.db	$40, $7E, $3E, $80
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$4C, $62, $BE, $00
.db	$60, $3C, $DC, $00
.db	$70, $4E, $C0, $00
.db	$06, $78, $80, $00
.db	$0E, $F0, $00, $00
.db	$9C, $60, $00, $00
.db	$58, $20, $00, $00
.db	$00, $00, $00, $00

; Frame 2
data_wboy3_tiles_frame2:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$08, $00, $00, $08
.db	$1C, $00, $14, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1C, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $00, $36, $08
.db	$1D, $01, $37, $08
.db	$1C, $00, $36, $09
.db	$1D, $01, $37, $08
.db	$1D, $00, $36, $08
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$78, $07, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $00, $00, $00
.db	$FF, $0E, $0E, $00
.db	$DF, $3F, $1F, $00
.db	$DF, $3F, $03, $00
.db	$BF, $61, $21, $1E
.db	$FD, $43, $41, $3E
.db	$7C, $C2, $40, $3F
.db	$7F, $C1, $41, $3E
;;; x: 16-23
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $20, $00, $00
.db	$00, $E0, $00, $00
.db	$C0, $20, $00, $00
.db	$C0, $30, $00, $00
.db	$E0, $90, $80, $00
.db	$E0, $90, $80, $00
.db	$F0, $20, $20, $C0
.db	$60, $80, $00, $E0
.db	$60, $80, $00, $E0
.db	$F0, $08, $00, $E0
;; y: 16-31
;;; x: 0-7
.db	$E0, $FF, $1F, $00
.db	$7E, $7F, $00, $01
.db	$31, $3E, $0C, $02
.db	$3D, $3D, $3D, $02
.db	$36, $36, $37, $08
.db	$32, $32, $33, $0C
.db	$1C, $1E, $1D, $02
.db	$18, $1E, $05, $02
.db	$01, $00, $03, $00
.db	$03, $00, $02, $01
.db	$03, $00, $03, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
.db	$00, $00, $00, $00
;;; x: 8-15
.db	$7C, $E0, $60, $1F
.db	$60, $E0, $60, $1F
.db	$B0, $30, $70, $0F
.db	$FF, $1F, $DF, $20
.db	$C2, $02, $FF, $00
.db	$3D, $00, $E3, $1C
.db	$3D, $02, $F9, $06
.db	$9A, $00, $FF, $00
.db	$DC, $18, $7F, $80
.db	$A4, $24, $E7, $18
.db	$C2, $46, $C3, $38
.db	$E1, $6F, $61, $10
.db	$E0, $3F, $20, $00
.db	$E0, $1F, $00, $00
.db	$F1, $0E, $00, $00
.db	$01, $06, $00, $00
;;; x: 16-23
.db	$40, $7E, $3E, $80
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$8A, $DF, $75, $00
.db	$BE, $E1, $53, $0C
.db	$9E, $C1, $73, $0C
.db	$4C, $62, $BE, $00
.db	$E0, $3C, $DC, $00
.db	$20, $00, $E0, $00
.db	$00, $C0, $00, $00
.db	$40, $80, $00, $00
.db	$C0, $00, $00, $00
.db	$C0, $00, $00, $00
.db	$80, $00, $00, $00

