;
; ys
;
; Animation
; 2 frames
; - 16*16 pixels each
; - 128 bytes each
; 256 bytes total
;

; Infos
data_ys_infos:
.db	2, 2	; Size in 8x8 tiles
.db	16	; Vertical Size in pixels
.db	4	; Number of 8x8 tiles
.db	2	; Number of data frames
.dw	4*2*32	; Total number of data frames bytes

; Animation
data_ys_anim:
.db	2	; Number of animation frames
.db     10      ; Animation Speed
.db	0, 1	; Animation

; Description:
data_ys_desc:
.db     "ADOL                           ", 0
;        ^         ^         ^         ^

; Palette
data_ys_pal:
.db	$33	; (R:3 G:0 B:3)
.db	$24	; (R:0 G:1 B:2)
.db	$34	; (R:0 G:1 B:3)
.db	$38	; (R:0 G:2 B:3)
.db	$3C	; (R:0 G:3 B:3)
.db	$02	; (R:2 G:0 B:0)
.db	$3A	; (R:2 G:2 B:3)
.db	$03	; (R:3 G:0 B:0)
.db	$0B	; (R:3 G:2 B:0)
.db	$00	; (R:0 G:0 B:0)
.db	$2F	; (R:3 G:3 B:2)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)
.db	$3F	; (R:3 G:3 B:3)

data_ys_tiles:
; Frame 0
data_ys_tiles_frame0:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$07, $00, $03, $04
.db	$0F, $01, $07, $08
.db	$0F, $01, $07, $08
.db	$0F, $00, $07, $08
.db	$0F, $00, $07, $08
.db	$0D, $02, $05, $0A
.db	$06, $01, $02, $05
.db	$06, $02, $01, $04
.db	$0F, $07, $03, $08
.db	$0F, $03, $03, $08
.db	$0F, $01, $03, $08
.db	$0F, $00, $01, $06
.db	$03, $07, $00, $00
.db	$07, $0B, $07, $00
.db	$3A, $06, $01, $38
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$E0, $C0, $E0, $00
.db	$F0, $E0, $F0, $00
.db	$F0, $E0, $F0, $00
.db	$F0, $00, $F0, $00
.db	$40, $A0, $00, $E0
.db	$40, $A0, $00, $E0
.db	$02, $C2, $00, $C2
.db	$16, $54, $E0, $14
.db	$3C, $18, $C0, $08
.db	$B8, $10, $40, $90
.db	$B0, $E0, $80, $20
.db	$B0, $D0, $80, $40
.db	$30, $D0, $00, $C0
.db	$A0, $00, $C0, $00
.db	$F0, $00, $00, $F0

; Frame 1
data_ys_tiles_frame1:
;; y: 0-15
;;; x: 0-7
.db	$00, $00, $00, $00
.db	$07, $00, $03, $04
.db	$0F, $01, $07, $08
.db	$0F, $01, $07, $08
.db	$0F, $00, $07, $08
.db	$0F, $00, $07, $08
.db	$0D, $02, $05, $0A
.db	$06, $01, $02, $05
.db	$06, $02, $01, $04
.db	$0F, $07, $03, $08
.db	$0F, $03, $03, $08
.db	$0F, $03, $03, $08
.db	$0F, $01, $03, $04
.db	$02, $06, $00, $01
.db	$0C, $03, $00, $09
.db	$3E, $07, $00, $30
;;; x: 8-15
.db	$00, $00, $00, $00
.db	$E0, $C0, $E0, $00
.db	$F0, $E0, $F0, $00
.db	$F0, $E0, $F0, $00
.db	$F0, $00, $F0, $00
.db	$40, $A0, $00, $E0
.db	$40, $A0, $00, $E0
.db	$08, $E8, $30, $C8
.db	$1C, $6C, $E0, $04
.db	$1C, $28, $E0, $08
.db	$18, $B0, $60, $10
.db	$B8, $68, $00, $A0
.db	$F8, $48, $00, $C0
.db	$10, $80, $00, $C0
.db	$40, $C0, $40, $80
.db	$B0, $80, $40, $30

